' ---------------------------------------------------------------------------
'
' APOPHIS Bta Version 1.0 du 30/09/2002 - avancement 0.4
' Copyright (C) 2002 Loc EGGERMONT
'
' Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
' les termes de la Licence Publique Gnrale GNU publie par la Free Software
' Foundation (version 2).
'
' Ce programme est distribu car potentiellement utile, mais SANS AUCUNE
' GARANTIE, ni explicite ni implicite, y compris les garanties de
' commercialisation ou d'adaptation dans un but spcifique. Reportez-vous 
' la Licence Publique Gnrale GNU pour plus de dtails.
'
' Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
' temps que ce programme ; si ce n'est pas le cas, crivez :
'
' Free Software Foundation, Inc.,
' 59 Temple Place, Suite 330, Boston, MA 02111-1307, Etats-Unis.
'
' ---------------------------------------------------------------------------

DEFINT A-Z

DECLARE SUB fontPut (z1%, y1%, in$, C%)
DECLARE SUB petitInfo (x%, y%)
DECLARE SUB zoneIcones (x1%, y1%, x2%, y2%)
DECLARE SUB bouton (x1%, y1%, x2%, y2%)
DECLARE SUB frame (x1%, y1%, x2%, y2%)
DECLARE SUB testSouris ()
DECLARE SUB configBarreDefilement (pageActuelle%, nombreDePages%)
DECLARE SUB bouton3 (x1%, y1%, x2%, y2%)
DECLARE SUB zoneTexte (x1%, y1%, x2%, y2%)
DECLARE SUB petitConfig (x%, y%)
DECLARE SUB barreAide (aide$)
DECLARE SUB center (ligne%, texte$)
DECLARE SUB boutonOk (L%, C%)
DECLARE SUB boutonAnnuler (L%, C%)
DECLARE FUNCTION onClick% (x1%, y1%, x2%, y2%)
DECLARE FUNCTION clickFermer% (x1%, y1%, x2%, y2%)
DECLARE SUB closeFen (x%, y%, ButStat%)
DECLARE SUB form (x1%, y1%, x2%, y2%, FormStat%, titre$)
DECLARE SUB font (aecrire$, L%, C%, col%)
DECLARE SUB dessinEcran (x%, y%)
DECLARE SUB dessinBureau (x%, y%, couleurFondEcran%, couleurFondLignes%)
DECLARE SUB HideMouse ()
DECLARE SUB ShowMouse ()
DECLARE FUNCTION initMouse! ()
DECLARE FUNCTION GetMouseX! ()
DECLARE FUNCTION GetMouseY! ()
DECLARE FUNCTION GetMouseLButton! ()
DECLARE FUNCTION GetMouseRButton! ()
DECLARE SUB fopen (file$, file%)
DECLARE SUB fprint (text$, textx%, texty%, colour%, file%)

CONST true = -1
CONST False = 0

DIM SHARED SegAsm%
DIM SHARED OffAsm%
DIM Asm%(56)

SegAsm% = VARSEG(Asm%(0))
OffAsm% = VARPTR(Asm%(0))
DEF SEG = SegAsm%
FOR i% = LBOUND(Asm%, 1) TO UBOUND(Asm%, 1)
READ Octet%
POKE OffAsm% + i%, Octet%
NEXT i%
DEF SEG

' Langage machine pour la gestion de la souris
DATA &H55,&H89,&HE5,&H8B,&H5E,&H0C,&H8B,&H07,&H50,&H8B
DATA &H5E,&H0A,&H8B,&H07,&H50,&H8B,&H5E,&H08,&H8B,&H0F
DATA &H8B,&H5E,&H06,&H8B,&H17,&H5B,&H58,&H1E,&H07,&HCD
        DATA &H33,&H53,&H8B,&H5E,&H0C,&H89,&H07,&H58,&H8B,&H5E
DATA &H0A,&H89,&H07,&H8B,&H5E,&H08,&H89,&H0F,&H8B,&H5E
DATA &H06,&H89,&H17,&H5D,&HCA,&H08,&H00

Debut:

IF COMMAND$ = "/APOPHIS" THEN
      
        ON ERROR GOTO 10000

        SCREEN 12
       
        OPEN "C:\APOPHIS\SYSTEME\AIDE.DAT" FOR INPUT AS #1
                INPUT #1, fichier$
                INPUT #1, signet$
        CLOSE #1
       
        ' IF fichier$ = "aide apophis" AND signet$ = "utilisation" THEN

        IF fichier$ = "aide apophis" THEN fichier$ = "C:\APOPHIS\SYSTEME\APOPHIS.HLP"
       
        OPEN fichier$ FOR INPUT AS #1
                DO
                        INPUT #1, ligne$
               
                        IF ligne$ = "-" THEN
                                EXIT DO
                        ELSE
                                nombreChapitres% = nombreChapitres% + 1
                        END IF
                LOOP
               
                DIM nombreLignesChapitre(nombreChapitres%)
                       
                FOR i = 1 TO nombreChapitres%
                        DO
                                INPUT #1, ligne$

                                IF ligne$ = "-" THEN
                                        EXIT DO
                                ELSE
                                        nombreLignesChapitre(i) = nombreLignesChapitre(i) + 1
                                END IF
                        LOOP
                NEXT i
               
        CLOSE #1

        DIM chapitre$(nombreChapitres%)
               
        DIM ligneChapitre$(i, 100)
               
        OPEN fichier$ FOR INPUT AS #1
                FOR i = 1 TO nombreChapitres%
                        INPUT #1, chapitre$(i)
                NEXT i
                       
                INPUT #1, inutile$

                FOR i = 1 TO nombreChapitres%
                        FOR j = 1 TO nombreLignesChapitre(i)
                                INPUT #1, ligneChapitre$(i, j)
                        NEXT j
                     
                        INPUT #1, inutile$
                NEXT i
        CLOSE #1
       
        form 15, 10, 595, 450, 1, "Aide du systeme APOPHIS"
        font "?", 25, 20, 7

        LINE (25, 40)-(585, 440), 1, B
        LINE (26, 41)-(584, 439), 1, B
       
        LINE (25, 40)-(210, 440), 1, BF

        A = 60
        B = 60
        C = 60
      
        PALETTE 5, 65536 * C + 256 * B + A
       
        LINE (211, 42)-(583, 438), 9, BF
       
        FOR i = 1 TO nombreChapitres%
               font chapitre$(i), 40, 40 + (15 * i), 7
        NEXT i
       
        chapitreCourant% = 1
       
        fopen "C:\APOPHIS\SYSTEME\ARIAL.FNT", 1
                fprint chapitre$(chapitreCourant%), 220, 45, 5, 1
        CLOSE #1
      
        FOR i = 1 TO nombreLignesChapitre%(chapitreCourant%)
                font ligneChapitre$(chapitreCourant%, i), 220, 80 + (11 * i), 5
        NEXT i
      
        CALL ShowMouse
       
Choix:
       
        DO
                touche$ = INKEY$
       
                FOR i = 1 TO 25
                        IF onClick(35, 40 + (15 * i) - 5, 200, 40 + (15 * i) + 11) AND i <= nombreChapitres% THEN selectionPointeur% = i: GOTO suiteAide
                NEXT i

                selectionPointeur% = 0

suiteAide:

                IF ancienSelectionPointeur% <> selectionPointeur% THEN
                        IF selectionPointeur% <> 0 THEN
                                CALL HideMouse
                               
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i

                                LINE (35, 40 + (15 * selectionPointeur%) - 5)-(200, 40 + (15 * selectionPointeur%) + 11), 7, B
                       
                                CALL ShowMouse
                        ELSE
                                CALL HideMouse
                               
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i
                       
                                CALL ShowMouse
                        END IF
                END IF

                IF clickFermer(15, 10, 595, 450) = true OR touche$ = CHR$(27) THEN END

                FOR i = 1 TO 25
                        IF GetMouseLButton = true AND onClick(35, 40 + (15 * i) - 5, 200, 40 + (15 * i) + 11) AND i <= nombreChapitres% THEN
                                CALL HideMouse
                               
                                LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 15, B
                      
                                CALL ShowMouse

                                DO: LOOP WHILE GetMouseLButton = true

                                CALL HideMouse
                                     
                                FOR j = 1 TO 25
                                        LINE (35, 40 + (15 * j) - 5)-(200, 40 + (15 * j) + 11), 1, B
                                NEXT j
                                     
                                LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 7, B
                                     
                                CALL ShowMouse
                               
                                IF onClick(35, 40 + (15 * i) - 5, 200, 40 + (15 * i) + 11) = False OR i = chapitreCourant% THEN GOTO Choix
                                
                                chapitreCourant% = i

                                selectionPointeur% = 0
                                
                                GOSUB reecrireChapitre

                                GOTO Choix
                        END IF

                NEXT i
               
                ancienSelectionPointeur% = selectionPointeur%
                ancienChapitreCourant% = chapitreCourant%


        LOOP

        END


ELSE

        SCREEN 0
        COLOR 7, 0
        CLS
        PRINT "ͻ"
        PRINT " AIDE.EXE         Programme annexe du systme APOPHIS    Version 1.00       "
        PRINT "ͼ"
        PRINT ""
        PRINT ""
        COLOR 10
        PRINT "Ce programme est utilis par le systme d'exploitation APOPHIS."
        PRINT ""
        PRINT "Il ne peux tre utilis indpendament."
        SLEEP
        END

END IF


'----------------------------------------------------------------------------

reecrireChapitre:

        Debut! = TIMER
      
        DO
                ancienSelectionPointeur% = selectionPointeur%
               
                FOR i = 1 TO 25
                        IF onClick(35, 40 + (15 * i) - 5, 200, 40 + (15 * i) + 11) AND i <= nombreChapitres% THEN selectionPointeur% = i: GOTO suiteAide2
                NEXT i

                selectionPointeur% = 0

suiteAide2:

                IF ancienSelectionPointeur% <> selectionPointeur% THEN
                        IF selectionPointeur% <> 0 THEN
                                CALL HideMouse
                              
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i

                                LINE (35, 40 + (15 * selectionPointeur%) - 5)-(200, 40 + (15 * selectionPointeur%) + 11), 7, B
                      
                                CALL ShowMouse
                        ELSE
                                CALL HideMouse
                              
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i
                      
                                CALL ShowMouse
                        END IF
                END IF
               
                Fin! = TIMER
              
                IF Fin! - Debut! > .02 THEN
                        A = A - 6
                        B = B - 6
                      
                        IF A < 21 THEN EXIT DO

                        PALETTE 5, 65536 * C + 256 * B + A
                      
                        Debut! = TIMER
                END IF
        LOOP
      
        IF GetMouseX > 210 THEN CALL HideMouse: etatSouris$ = "efface" ELSE etatSouris$ = "affiche"
      
        LINE (211, 42)-(583, 438), 9, BF
     
        IF fichier$ = "C:\APOPHIS\SYSTEME\APOPHIS.HLP" AND chapitre$(chapitreCourant%) = "Participants" THEN
                fopen "C:\APOPHIS\SYSTEME\ARIAL.FNT", 1
                        fprint chapitre$(chapitreCourant%), 220, 45, 5, 1
                CLOSE #1
                
                LINE (220, 90)-(574, 115), 5, B

                font "Programmeur principal", 225, 95, 5
                font "et responsable du projet", 225, 104, 5
                font "Zarbi27", 400, 100, 5
                font "LOIC EGGERMONT", 489, 100, 5

                fontPut 323, 140, "AUTRES PROGRAMMEURS", 5
       
                font "AURELIEN LEMAITRE  -  Neorel  -  APOPHIS Draw", 220, 170, 5
                font "ROMAIN MEGEL  -  Romain  -  Installateur", 220, 180, 5
                font "LAURENT VANAERDE  -  LTB  -  Orion's Quest", 220, 190, 5
                font "AURELIEN LOUROT  -  TBD  -  APODOS", 220, 200, 5
               
                fontPut 347, 240, "REMERCIEMENTS", 5
      
                font "R. Verchere  -  CybWarrior  -  www.cybwarrior.com", 220, 270, 5
                font "Mike Huff  -  www.ocf.berkeley.edu", 220, 280, 5
                font "Michael S.Halpin  -  Calvary Games", 220, 290, 5
                font "Bobby K  -  Krusty  -  Insanity Dreams and Digiwerx", 220, 300, 5
                font "Antoine ANDRIEUX - Spoooke - Graphismes", 220, 310, 5
		font "Remi QUIEVRYN  -  nich  -  Rapports de bogues", 220, 320,5

        ELSE
                fopen "C:\APOPHIS\SYSTEME\ARIAL.FNT", 1
                        fprint chapitre$(chapitreCourant%), 220, 45, 5, 1
                CLOSE #1
       
                FOR i = 1 TO nombreLignesChapitre%(chapitreCourant%)
                        font ligneChapitre$(chapitreCourant%, i), 220, 80 + (11 * i), 5
                NEXT i
        END IF
               
        IF etatSouris$ = "efface" THEN CALL ShowMouse
      
        Debut! = TIMER
     
        DO
                ancienSelectionPointeur% = selectionPointeur%
              
                FOR i = 1 TO 25
                        IF onClick(35, 40 + (15 * i) - 5, 200, 40 + (15 * i) + 11) AND i <= nombreChapitres% THEN selectionPointeur% = i: GOTO suiteAide3
                NEXT i

                selectionPointeur% = 0

suiteAide3:

                IF ancienSelectionPointeur% <> selectionPointeur% THEN
                        IF selectionPointeur% <> 0 THEN
                                CALL HideMouse
                              
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i

                                LINE (35, 40 + (15 * selectionPointeur%) - 5)-(200, 40 + (15 * selectionPointeur%) + 11), 7, B
                      
                                CALL ShowMouse
                        ELSE
                                CALL HideMouse
                              
                                FOR i = 1 TO 25
                                        LINE (35, 40 + (15 * i) - 5)-(200, 40 + (15 * i) + 11), 1, B
                                NEXT i
                      
                                CALL ShowMouse
                        END IF
                END IF
               
                Fin! = TIMER
             
                IF Fin! - Debut! > .02 THEN
                        A = A + 6
                        B = B + 6
                     
                        IF A > 60 THEN EXIT DO
                      
                        PALETTE 5, 65536 * C + 256 * B + A
                     
                        Debut! = TIMER
                END IF
        LOOP
      
        RETURN

'----------------------------------------------------------------------------


10000
        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #100
                PRINT #100, "APOPHIS - Aide"
                PRINT #100, "Beta 1.0"
                PRINT #100, ERR
        CLOSE #100

        CHDIR "C:\APOPHIS\SYSTEME"
        SHELL "ERREUR /APOPHIS"

        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR INPUT AS #100
                INPUT #100, erreurConfig$
        CLOSE #100

        IF erreurConfig$ = "fermer" THEN
                END
        END IF

        IF erreurConfig$ = "continuer" THEN RESUME
     
        GOTO Debut

SUB barreAide (aide$)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

FOR i = 466 TO 479
        LINE (1, i)-(640, i), 7
NEXT i

LINE (1, 466)-(640, 466), 15

font aide$, 5, 470, 4

END SUB

SUB bouton (x1%, y1%, x2%, y2%)

LINE (x1%, y1%)-(x2%, y2%), 7, BF
LINE (x1%, y1%)-(x2%, y2%), 0, B
LINE (x1% + 1, y2% - 1)-(x1% + 1, y1% + 1), 15
LINE -(x2% - 1, y1% + 1), 15
LINE (x2% - 1, y1% + 2)-(x2% - 1, y2% - 1), 8
LINE -(x1% + 2, y2% - 1), 8

END SUB

SUB bouton3 (x1%, y1%, x2%, y2%)

LINE (x1% + 1, y1% + 1)-(x2% - 1, y2% - 1), 7, BF
LINE (x1% + 1, y2% - 1)-(x1% + 1, y1% + 1), 15
LINE -(x2% - 1, y1% + 1), 15
LINE (x2% - 1, y1% + 2)-(x2% - 1, y2% - 1), 8
LINE -(x1% + 2, y2% - 1), 8

END SUB

SUB boutonAnnuler (L%, C%)

FOR A% = L% TO L% + 40
LINE (A%, C%)-(A%, C% + 15), 7
NEXT A%

LINE (L%, C%)-(L% + 40, C%), 15
LINE -(L% + 40, C% + 15), 0
LINE -(L%, C% + 15), 0
LINE (L%, C% + 14)-(L%, C%), 15
LINE (L% + 1, C% + 14)-(L% + 39, C% + 14), 8
LINE (L% + 39, C% + 1)-(L% + 39, C% + 14), 8

LINE (L% + 17, C% + 4)-(L% + 25, C% + 10), 4
LINE (L% + 17, C% + 10)-(L% + 25, C% + 4), 4
LINE (L% + 16, C% + 4)-(L% + 24, C% + 10), 4
LINE (L% + 16, C% + 10)-(L% + 24, C% + 4), 4
LINE (L% + 18, C% + 4)-(L% + 26, C% + 10), 4
LINE (L% + 18, C% + 10)-(L% + 26, C% + 4), 4
PSET (L% + 26, C% + 10), 7
PSET (L% + 26, C% + 4), 7

END SUB

SUB boutonOk (L%, C%)

FOR A% = L% TO L% + 40
LINE (A%, C%)-(A%, C% + 15), 7
NEXT A%

LINE (L%, C%)-(L% + 40, C%), 15
LINE -(L% + 40, C% + 15), 0
LINE -(L%, C% + 15), 0
LINE (L%, C% + 14)-(L%, C%), 15
LINE (L% + 1, C% + 14)-(L% + 39, C% + 14), 8
LINE (L% + 39, C% + 1)-(L% + 39, C% + 14), 8

LINE (L% + 15, C% + 6)-(L% + 18, C% + 11), 2
LINE (L% + 16, C% + 6)-(L% + 19, C% + 11), 2
LINE (L% + 14, C% + 6)-(L% + 17, C% + 11), 2

LINE (L% + 27, C% + 4)-(L% + 19, C% + 11), 2
LINE (L% + 28, C% + 4)-(L% + 20, C% + 11), 2
LINE (L% + 26, C% + 4)-(L% + 18, C% + 11), 2

PSET (L% + 17, C% + 11), 7

END SUB

SUB center (ligne%, texte$)

LOCATE ligne%, 41 - LEN(texte$) / 2
PRINT texte$

END SUB

SUB centrer (row, text$)
    LOCATE row, 41 - LEN(text$) / 2
    PRINT text$;
END SUB

FUNCTION clickFermer (x1%, y1%, x2%, y2%)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

IF GetMouseLButton = False OR mousex% < (x2% - 21) OR mousex% > (x2% - 21 + 14) OR mousey% < (y1% + 6) OR mousey% > (y1% + 6 + 14) THEN clickFermer = False: EXIT FUNCTION

CALL HideMouse

closeFen x2% - 21, y1% + 6, 1

LINE (211, 42)-(583, 438), 9, BF

CALL ShowMouse

clickFermer = true

DO
LOOP WHILE GetMouseLButton = true

CALL HideMouse

closeFen x2% - 21, y1% + 6, 0

CALL ShowMouse

END FUNCTION

SUB closeFen (x, y, ButStat)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
        PRINT #1, "closeFen"
        PRINT #1, x
        PRINT #1, y
        PRINT #1, ButStat
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"

END SUB

SUB configBarreDefilement (pageActuelle%, nombreDePages%)

bouton3 475, 189, 491, 204
PSET (483, 195), 0
LINE (482, 196)-(484, 196), 0
LINE (481, 197)-(485, 197), 0
LINE (480, 198)-(486, 198), 0

bouton3 475, 293, 491, 308
LINE (480, 299)-(486, 299), 0
LINE (481, 300)-(485, 300), 0
LINE (482, 301)-(484, 301), 0
PSET (483, 302), 0

IF nombreDePages% = 1 THEN
        LINE (482, 207)-(482, 290), 8
        LINE (484, 207)-(484, 290), 8
        EXIT SUB
END IF

LINE (483, 207)-(483, 290), 8

IF pageActuelle% = 1 THEN
        position% = 209
ELSE
        IF pageActuelle% = nombreDePages% THEN
                position% = 288
        ELSE
                position% = 208 + (INT(83 / (nombreDePages% - 1))) * (pageActuelle% - 1)
        END IF
END IF

CIRCLE (483, position%), 2, 0
PAINT (483, position%), 0, 0

END SUB

SUB dessinBureau (x%, y%, couleurFondEcran%, couleurFondLignes%)

LINE (x% + 4, y% + 14)-(x% + 115, y% + 94), 0, B
LINE (x% + 5, y% + 15)-(x% + 114, y% + 93), 0, B
LINE (x% + 6, y% + 16)-(x% + 113, y% + 92), 0, B

LINE (x% + 109, y% + 17)-(x% + 112, y% + 88), 15, BF
LINE (x% + 108, y% + 17)-(x% + 108, y% + 88), 7
LINE (x% + 107, y% + 17)-(x% + 107, y% + 88), 8
LINE (x% + 106, y% + 17)-(x% + 106, y% + 88), 0
LINE (x% + 7, y% + 89)-(x% + 112, y% + 89), 8
LINE (x% + 7, y% + 90)-(x% + 112, y% + 91), 7, BF

FOR i = 0 TO 23
        LINE (x% + 7, y% + 17 + (3 * i))-(x% + 105, y% + 17 + (3 * i)), couleurFondLignes%
        LINE (x% + 7, y% + 18 + (3 * i))-(x% + 105, y% + 18 + (3 * i)), couleurFondEcran%
        LINE (x% + 7, y% + 19 + (3 * i))-(x% + 105, y% + 19 + (3 * i)), couleurFondEcran%
NEXT i

END SUB

SUB dessinEcran (x%, y%)

LINE (x%, y% + 98)-(x%, y% + 10), 0
LINE -(x% + 119, y% + 10), 0
LINE -(x% + 119, y% + 98), 0

LINE (x% + 3, y% + 95)-(x% + 3, y% + 3 + 10), 8
LINE -(x% + 116, y% + 3 + 10), 8
LINE (x% + 116, y% + 4 + 10)-(x% + 116, y% + 95), 15
LINE -(x% + 4, y% + 95), 15

LINE (x%, y% + 98)-(x% + 3, y% + 98), 0
LINE (x% + 4, y% + 99)-(x% + 19, y% + 99), 0
LINE (x% + 20, y% + 100)-(x% + 28, y% + 100), 0
LINE (x% + 29, y% + 101)-(x% + 39, y% + 101), 0
LINE (x% + 40, y% + 102)-(x% + 79, y% + 102), 0
LINE (x% + 80, y% + 101)-(x% + 90, y% + 101), 0
LINE (x% + 91, y% + 100)-(x% + 99, y% + 100), 0
LINE (x% + 100, y% + 99)-(x% + 115, y% + 99), 0
LINE (x% + 116, y% + 98)-(x% + 119, y% + 98), 0

LINE (x% + 39, y% + 103)-(x% + 38, y% + 103), 0
LINE (x% + 37, y% + 104)-(x% + 36, y% + 104), 0
PSET (x% + 35, y% + 105), 0
PSET (x% + 34, y% + 106), 0
PSET (x% + 33, y% + 107), 0
PSET (x% + 32, y% + 108), 0
PSET (x% + 31, y% + 109), 0
LINE (x% + 80, y% + 103)-(x% + 81, y% + 103), 0
LINE (x% + 82, y% + 104)-(x% + 83, y% + 104), 0
PSET (x% + 84, y% + 105), 0
PSET (x% + 85, y% + 106), 0
PSET (x% + 86, y% + 107), 0
PSET (x% + 87, y% + 108), 0
PSET (x% + 88, y% + 109), 0
LINE (x% + 31, y% + 110)-(x% + 88, y% + 110), 0

LINE (x% + 46, y% + 99)-(x% + 49, y% + 100), 10, BF
LINE (x% + 52, y% + 99)-(x% + 55, y% + 100), 8, BF
LINE (x% + 58, y% + 99)-(x% + 61, y% + 100), 8, BF
LINE (x% + 64, y% + 99)-(x% + 67, y% + 100), 8, BF
LINE (x% + 70, y% + 99)-(x% + 73, y% + 100), 8, BF

LINE (x% + 40, y% + 103)-(x% + 62, y% + 103), 8
LINE (x% + 38, y% + 104)-(x% + 54, y% + 104), 8
LINE (x% + 36, y% + 105)-(x% + 45, y% + 105), 8
LINE (x% + 35, y% + 106)-(x% + 38, y% + 106), 8
PSET (x% + 34, y% + 107), 8
LINE (x% + 84, y% + 108)-(x% + 86, y% + 108), 8
LINE (x% + 77, y% + 109)-(x% + 87, y% + 109), 8

END SUB

SUB fenetre (row1, col1, row2, col2, titrebox2$) STATIC

    BoxWidth = col2 - col1 + 1

    COLOR 7, 0
  
    LOCATE row1, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";

    FOR A% = row1 + 1 TO row2 - 1
        LOCATE A, col1
        PRINT ""; SPACE$(BoxWidth - 2); "";
    NEXT A

    LOCATE row2, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";

    LOCATE row1 + 2, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";
  
    COLOR 0, 7
    LOCATE row1 + 1, col1 + 1
    PRINT SPACE$(BoxWidth - 2)

    COLOR 15, 7
  
    LOCATE row1 + 1, col1 + 2
    PRINT ""; " "; titrebox2$

    COLOR 7, 0

END SUB

SUB font (aecrire$, L%, C%, col%)

IF aecrire$ = "" THEN EXIT SUB

FOR A% = 1 TO LEN(aecrire$)
        SELECT CASE MID$(UCASE$(aecrire$), A%, 1)
                CASE "A"
                        LINE (L%, C% + 1)-(L%, C% + 6), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 6), col%
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                   
                CASE "B"
                        LINE (L%, C%)-(L%, C% + 6), col%
                        LINE -(L% + 3, C% + 6), col%
                        LINE (L%, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE (L%, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 4), col%
                CASE "C"
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        PSET (L% + 4, C% + 1), col%
                        PSET (L% + 0, C% + 1), col%
                        LINE (L%, C% + 2)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        PSET (L% + 4, C% + 5), col%
                CASE "D"
                        LINE (L%, C%)-(L% + 3, C%), col%
                        LINE (L% + 1, C%)-(L% + 1, C% + 6), col%
                        LINE (L%, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 5), col%
                CASE "E"
                        LINE (L%, C%)-(L% + 4, C%), col%
                        LINE (L%, C%)-(L%, C% + 6), col%
                        LINE -(L% + 4, C% + 6), col%
                        LINE (L%, C% + 3)-(L% + 2, C% + 3), col%
                        PSET (L% + 4, C% + 1), col%
                        PSET (L% + 4, C% + 5), col%
                CASE "F"
                        LINE (L%, C%)-(L% + 4, C%), col%
                        LINE (L%, C%)-(L%, C% + 6), col%
                        LINE (L%, C% + 3)-(L% + 2, C% + 3), col%
                        PSET (L% + 4, C% + 1), col%
                CASE "G"
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        PSET (L% + 4, C% + 1), col%
                        PSET (L% + 0, C% + 1), col%
                        LINE (L%, C% + 2)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 4), col%
                        PSET (L% + 3, C% + 4), col%
                CASE "H"
                        LINE (L%, C%)-(L%, C% + 6), col%
                        LINE (L%, C% + 3)-(L% + 4, C% + 3), col%
                        LINE (L% + 4, C%)-(L% + 4, C% + 6), col%
                CASE "I"
                        LINE (L% + 2, C%)-(L% + 2, C% + 6), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                CASE "J"
                        LINE (L% + 3, C%)-(L% + 3, C% + 5), col%
                        LINE (L% + 1, C%)-(L% + 4, C%), col%
                        LINE (L% + 2, C% + 6)-(L% + 1, C% + 6), col%
                        LINE (L%, C% + 5)-(L%, C% + 4), col%
                CASE "K"
                        LINE (L%, C%)-(L%, C% + 6), col%
                        LINE (L%, C% + 4)-(L% + 4, C%), col%
                        LINE (L%, C% + 2)-(L% + 4, C% + 6), col%
                CASE "L"
                        LINE (L% + 1, C%)-(L% + 1, C% + 6), col%
                        LINE -(L% + 4, C% + 6), col%
                        PSET (L% + 4, C% + 5), col%
                CASE "M"
                        LINE (L%, C% + 6)-(L%, C%), col%
                        PSET (L% + 1, C% + 1), col%
                        PSET (L% + 3, C% + 1), col%
                        LINE (L% + 2, C% + 2)-(L% + 2, C% + 3), col%
                        LINE (L% + 4, C%)-(L% + 4, C% + 6), col%
                CASE "N"
                        LINE (L%, C% + 6)-(L%, C%), col%
                        LINE -(L% + 4, C% + 6), col%
                        LINE -(L% + 4, C%), col%
                CASE "O"
                        LINE (L%, C% + 1)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                CASE "P"
                        LINE (L%, C% + 6)-(L%, C%), col%
                        LINE -(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE (L% + 3, C% + 3)-(L%, C% + 3), col%
                   
                CASE "Q"
                        LINE (L%, C% + 1)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 2, C% + 6), col%
                        LINE (L% + 3, C% + 4)-(L% + 3, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 2, C%), col%
                        PSET (L% + 4, C% + 6), col%
                        PSET (L% + 3, C% + 6), col%
                        PSET (L% + 3, C% + 5), col%
                CASE "R"
                        LINE (L%, C% + 6)-(L%, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE (L% + 3, C% + 3)-(L% + 1, C% + 3), col%
                        LINE (L% + 2, C% + 3)-(L% + 4, C% + 6), col%
                CASE "S"
                        LINE (L% + 4, C%)-(L% + 1, C%), col%
                        LINE (L%, C% + 1)-(L%, C% + 2), col%
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 4)-(L% + 4, C% + 5), col%
                        LINE (L% + 3, C% + 6)-(L%, C% + 6), col%
                CASE "T"
                        LINE (L%, C% + 1)-(L%, C%), col%
                        LINE -(L% + 4, C%), col%
                        LINE -(L% + 4, C% + 1), col%
                        LINE (L% + 2, C%)-(L% + 2, C% + 6), col%
                CASE "U"
                        LINE (L%, C%)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C%), col%
                CASE "V"
                        LINE (L%, C%)-(L%, C% + 4), col%
                        LINE -(L% + 2, C% + 6), col%
                        LINE -(L% + 4, C% + 4), col%
                        LINE -(L% + 4, C%), col%
                CASE "W"
                        LINE (L%, C%)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 2, C% + 3), col%
                        PSET (L% + 3, C% + 6), col%
                        LINE (L% + 4, C%)-(L% + 4, C% + 5), col%
                CASE "X"
                        LINE (L%, C%)-(L%, C% + 1), col%
                        LINE -(L% + 4, C% + 5), col%
                        LINE -(L% + 4, C% + 6), col%
                        LINE (L%, C% + 6)-(L%, C% + 5), col%
                        LINE -(L% + 4, C% + 1), col%
                        LINE -(L% + 4, C%), col%
                CASE "Y"
                        LINE (L%, C% + 1)-(L% + 2, C% + 3), col%
                        LINE -(L% + 4, C% + 1), col%
                        LINE (L% + 2, C% + 3)-(L% + 2, C% + 6), col%
                        PSET (L%, C%), col%
                        PSET (L% + 4, C%), col%
                CASE "Z"
                        LINE (L%, C%)-(L% + 4, C%), col%
                        LINE (L% + 4, C% + 1)-(L%, C% + 5), col%
                        LINE (L%, C% + 6)-(L% + 4, C% + 6), col%
                        PSET (L%, C% + 1), col%
                        PSET (L% + 4, C% + 5), col%
                CASE ","
                        PSET (L% + 1, C% + 5), col%
                        PSET (L% + 1, C% + 6), col%
                        PSET (L% + 0, C% + 7), col%
                        L% = L% - 2
                CASE "."
                        PSET (L% + 1, C% + 6), col%
                        L% = L% - 2
                CASE ";"
                        PSET (L% + 1, C% + 5), col%
                        PSET (L% + 1, C% + 6), col%
                        PSET (L% + 0, C% + 7), col%
                        PSET (L% + 1, C% + 2), col%
                        L% = L% - 2
                CASE "!"
                        L% = L% + 1
                        LINE (L% + 1, C%)-(L% + 1, C% + 4), col%
                        LINE (L%, C% + 1)-(L%, C% + 2), col%
                        LINE (L% + 2, C% + 1)-(L% + 2, C% + 2), col%
                        PSET (L% + 1, C% + 6), col%
                        L% = L% - 1
                CASE "'"
                        LINE (L% + 1, C% - 1)-(L% + 1, C%), col%
                        PSET (L%, C% + 1), col%
                        L% = L% - 2
                CASE ":"
                        PSET (L% + 1, C% + 6), col%
                        PSET (L% + 1, C% + 3), col%
                        L% = L% - 2
                CASE "\"
                        LINE (L%, C%)-(L% + 3, C% + 6), col%
                        L% = L% - 1
                CASE " "
                        L% = L% - 3
                CASE "?"
                        LINE (L% + 2, C%)-(L% + 4, C%), col%
                        PSET (L% + 1, C% + 1), col%
                        PSET (L% + 5, C% + 1), col%
                        PSET (L% + 4, C% + 2), col%
                        LINE (L% + 3, C% + 3)-(L% + 3, C% + 4), col%
                        PSET (L% + 3, C% + 6), col%
                CASE "="
                        LINE (L% + 1, C% + 5)-(L% + 3, C% + 5), col%
                        LINE (L% + 1, C% + 2)-(L% + 3, C% + 2), col%
                CASE "0"
                        LINE (L%, C% + 1)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                CASE "1"
                        LINE (L% + 2, C%)-(L% + 2, C% + 6), col%
                        LINE (L% + 2, C%)-(L%, C% + 2), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                CASE "2"
                        PSET (L%, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE -(L%, C% + 6), col%
                        LINE -(L% + 4, C% + 6), col%
                CASE "3"
                        PSET (L%, C% + 1), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE (L% + 3, C% + 3)-(L% + 1, C% + 3), col%
                        LINE (L% + 4, C% + 4)-(L% + 4, C% + 5), col%
                        LINE (L% + 3, C% + 6)-(L% + 1, C% + 6), col%
                        PSET (L%, C% + 5), col%
                CASE "4"
                        LINE (L% + 2, C% + 6)-(L% + 4, C% + 6), col%
                        LINE (L% + 3, C% + 6)-(L% + 3, C%), col%
                        LINE -(L%, C% + 3), col%
                        LINE -(L% + 4, C% + 3), col%
                CASE "5"
                        LINE (L% + 4, C%)-(L%, C%), col%
                        LINE -(L%, C% + 3), col%
                        LINE -(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 4)-(L% + 4, C% + 5), col%
                        LINE (L% + 3, C% + 6)-(L%, C% + 6), col%

                CASE "6"
                        LINE (L%, C% + 1)-(L%, C% + 2), col%
                        LINE (L%, C% + 3)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        PSET (L% + 4, C% + 1), col%
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 4), col%
                   
                CASE "7"
                        LINE (L%, C% + 1)-(L%, C%), col%
                        LINE -(L% + 4, C%), col%
                        LINE -(L% + 4, C% + 2), col%
                        LINE -(L% + 2, C% + 4), col%
                        LINE -(L% + 2, C% + 6), col%
               CASE "8"
                        LINE (L%, C% + 1)-(L%, C% + 2), col%
                        LINE (L%, C% + 4)-(L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 2), col%
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 4), col%
                CASE "9"
                        LINE (L%, C% + 1)-(L%, C% + 2), col%
                        PSET (L%, C% + 5), col%
                        LINE (L% + 1, C% + 6)-(L% + 3, C% + 6), col%
                        LINE (L% + 1, C%)-(L% + 3, C%), col%
                        LINE (L% + 4, C% + 1)-(L% + 4, C% + 3), col%
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                        LINE (L% + 4, C% + 5)-(L% + 4, C% + 4), col%
                CASE "-"
                        LINE (L% + 1, C% + 3)-(L% + 3, C% + 3), col%
                CASE "_"
                        LINE (L% + 1, C% + 7)-(L% + 3, C% + 7), col%
                CASE ELSE
                        LINE (L%, C%)-(L% + 4, C% + 6), col%, BF
            
        END SELECT
        L% = L% + 6
NEXT A%

END SUB

SUB fontPut (z1%, y1%, in$, C%)
DEF SEG = &HFFA6
o1% = z1%
FOR L% = 1 TO LEN(in$)
        L$ = MID$(in$, L%, 1)
        FOR y% = y1% TO y1% + 7
                x% = PEEK(&HE + (ASC(L$) * 8) + (y% - y1%))
                FOR z% = 0 TO 7
                        IF x% AND (2 ^ (7 - z%)) THEN PSET (z1%, y%), C%
                        z1% = z1% + 1
                NEXT z%
                z1% = z1% - 8
        NEXT y%
        z1% = z1% + 8
NEXT L%
DEF SEG
END SUB

DEFSNG A-Z
'                  !!!WINDOWS FONTS FOR QBASIC!!!
'                  ------------------------------
'   Written by Bobby K (Krusty) of Insanity Dreams and Digiwerx
'
'
'
SUB fopen (file$, file%)
  OPEN file$ FOR RANDOM AS file% LEN = 2
  'Just to make it easier for those of you who dont
  'understand the OPEN command yet! ;)
END SUB

DEFINT A-Z
SUB form (x1, y1, x2, y2, FormStat, titre$)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
        PRINT #1, x1
        PRINT #1, y1
        PRINT #1, x2
        PRINT #1, y2
        PRINT #1, FormStat
        PRINT #1, titre$
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"

END SUB

DEFSNG A-Z
'                  !!!WINDOWS FONTS FOR QBASIC!!!
'                  ------------------------------
'   Written by Bobby K (Krusty) of Insanity Dreams and Digiwerx
'
'
'
SUB fprint (text$, textx%, texty%, colour%, file%)
  'lpi: lines per integer
  'fws: font word spacing
  'fls: font letter spacing
  'p% : pointer
  GET file%, 1, lpi%
  GET file%, 2, fws%
  GET file%, 3, fls%
  FOR count% = 1 TO LEN(text$)
    m% = ASC(MID$(text$, count%, 1)) - 29
    IF m% > 3 THEN
      GET file%, m%, a1%
      GET file%, m% + 1, a2%
      FOR n% = a1% TO a2% - 1 STEP lpi%
        FOR z% = 0 TO lpi% - 1
          GET file%, n% + z%, L%
          LINE (p% + textx%, (16 * z%) + texty%)-(p% + textx%, (16 * z%) + 15 + texty%), colour%, , L%
        NEXT z%
        p% = p% + 1
      NEXT n%
      p% = p% + fls%
    ELSE
      p% = p% + fws%
    END IF
  NEXT count%
END SUB

DEFINT A-Z
SUB frame (x1, y1, x2, y2)

LINE (x1, y1)-(x2, y2), 7, B
LINE (x1 + 1, y1 + 1)-(x2 - 1, y1 + 1), 8
LINE (x1 + 1, y1 + 1)-(x1 + 1, y2 - 1), 8
LINE (x1 + 2, y1 + 2)-(x2 - 1, y2 - 1), 15, B
LINE (x1 + 3, y1 + 3)-(x2 - 2, y2 - 2), 7, BF
LINE (x1 + 3, y2 - 2)-(x2 - 2, y2 - 2), 8
LINE (x2 - 2, y2 - 2)-(x2 - 2, y1 + 3), 8

END SUB

DEFSNG A-Z
FUNCTION GetMouseLButton
'------------------------------------------------
'|                                              |
'| Renvoi l'tat du bouton gauche de la souris: |
'|    + TRUE si enfonc                         |
'|    + FALSE si relach                        |
'|                                              |
'------------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 1 OR bx% = 3 THEN GetMouseLButton = true ELSE GetMouseLButton = False
DEF SEG
END FUNCTION

FUNCTION GetMouseRButton
'-----------------------------------------------
'|                                             |
'| Renvoi l'tat du bouton droit de la souris: |
'|    + TRUE si enfonc                        |
'|    + FALSE si relach                       |
'|                                             |
'-----------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 2 OR bx% = 3 THEN GetMouseRButton = true ELSE GetMouseRButton = False
DEF SEG
END FUNCTION

FUNCTION GetMouseX
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes X de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseX = cx%
DEF SEG
END FUNCTION

FUNCTION GetMouseY
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes Y de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseY = dx%
DEF SEG
END FUNCTION

SUB HideMouse
'----------------------------------
'|                                |
'| Masque le curseur de la souris |
'|                                |
'----------------------------------
DEF SEG = SegAsm%
ax% = 2
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

FUNCTION initMouse
'-----------------------------------------
'|                                       |
'| Initialise la souris                  |
'|    + TRUE si une souris est dtecte  |
'|    + FALSE si aucune souris dtecte  |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 0
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF ax% = 0 THEN initMouse = False ELSE initMouse = true
DEF SEG
END FUNCTION

SUB MoveMouse (x%, y%)
'-----------------------------------
'|                                 |
'| Dplace le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 4
cx% = x%
dx% = y%
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

DEFINT A-Z
FUNCTION onClick (x1%, y1%, x2%, y2%)
      
        mousex% = GetMouseX + 1
        mousey% = GetMouseY + 1

        IF mousex% > x1% AND mousex% < x2% AND mousey% > y1% AND mousey% < y2% THEN onClick = true ELSE onClick = False

END FUNCTION

SUB petitConfig (x%, y%)

LINE (x%, y%)-(x% + 3, y% + 1), 15, BF
LINE (x% + 1, y% + 2)-(x% + 1, y% + 5), 15
LINE (x% + 2, y% + 2)-(x% + 2, y% + 5), 7
LINE (x%, y% + 6)-(x% + 3, y% + 9), 6, BF
LINE (x% + 1, y% + 7)-(x% + 2, y% + 8), 4, BF
LINE (x% + 1, y% + 10)-(x% + 2, y% + 10), 6

LINE (x% + 7, y%)-(x% + 8, y%), 6
LINE (x% + 6, y% + 1)-(x% + 9, y% + 4), 6, BF
LINE (x% + 7, y% + 2)-(x% + 8, y% + 3), 4, BF
LINE (x% + 7, y% + 5)-(x% + 7, y% + 7), 15
LINE (x% + 8, y% + 5)-(x% + 8, y% + 7), 7
LINE (x% + 6, y% + 8)-(x% + 9, y% + 10), 8, BF
LINE (x% + 10, y% + 8)-(x% + 10, y% + 9), 8

END SUB

SUB petitInfo (x%, y%)

LINE (x% + 3, y%)-(x% + 6, y%), 7

LINE (x% + 2, y% + 1)-(x% + 3, y% + 1), 7
LINE (x% + 6, y% + 1)-(x% + 7, y% + 1), 7

LINE (x% + 1, y% + 2)-(x% + 3, y% + 2), 7
LINE (x% + 6, y% + 2)-(x% + 8, y% + 2), 7

LINE (x%, y% + 3)-(x% + 9, y% + 3), 7

LINE (x%, y% + 4)-(x% + 3, y% + 6), 7, BF
LINE (x% + 6, y% + 4)-(x% + 9, y% + 6), 7, BF

LINE (x% + 1, y% + 7)-(x% + 2, y% + 7), 7
LINE (x% + 7, y% + 7)-(x% + 8, y% + 7), 7

LINE (x% + 2, y% + 8)-(x% + 7, y% + 8), 7

LINE (x% + 3, y% + 9)-(x% + 6, y% + 9), 7

END SUB

DEFSNG A-Z
SUB ShowMouse
'-----------------------------------
'|                                 |
'| Affiche le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 1
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

DEFINT A-Z
SUB testSouris

DO
        LOCATE 1, 1: PRINT GetMouseX
        LOCATE 1, 10: PRINT GetMouseY
LOOP

END SUB

SUB zoneIcones (x1, y1, x2, y2)

        LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 15, BF

        LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 8, B

        LINE (x2 + 1, y1 - 1)-(x1 - 1, y1 - 1), 0
        LINE -(x1 - 1, y2 + 1), 0

END SUB

SUB zoneTexte (x1%, y1%, x2%, y2%)

        LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 0, BF
    
        LINE (x1%, y1%)-(x2%, y1%), 8
        LINE -(x2%, y2%), 7
        LINE -(x1%, y2%), 7
        LINE -(x1%, y1%), 8

        LINE (x1% - 1, y1% - 1)-(x2% + 1, y1% - 1), 7
        LINE (x2% + 1, y1%)-(x2% + 1, y2% + 1), 15
        LINE -(x1% - 1, y2% + 1), 15
        LINE -(x1% - 1, y1% - 1), 7
END SUB

