' ---------------------------------------------------------------------------
' Orion's Quest version 1.1
' Par Laurent VANAEERDE - LTB
' basic_ltb@voila.fr
' ---------------------------------------------------------------------------
' Programme adapt pour APOPHIS - licence APOPHIS:
' ---------------------------------------------------------------------------
'
' APOPHIS Bta Version 1.0 du 30/09/2002 - avancement 0.4
' Copyright (C) 2002 Loc EGGERMONT
'
' Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
' les termes de la Licence Publique Gnrale GNU publie par la Free Software
' Foundation (version 2).
'
' Ce programme est distribu car potentiellement utile, mais SANS AUCUNE
' GARANTIE, ni explicite ni implicite, y compris les garanties de
' commercialisation ou d'adaptation dans un but spcifique. Reportez-vous 
' la Licence Publique Gnrale GNU pour plus de dtails.
'
' Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
' temps que ce programme ; si ce n'est pas le cas, crivez :
'
' Free Software Foundation, Inc.,
' 59 Temple Place, Suite 330, Boston, MA 02111-1307, Etats-Unis.
'
' ---------------------------------------------------------------------------

DECLARE FUNCTION clickFermer! (x1%, y1%, x2%, y2%)
DECLARE SUB defzoneaide (retour, ret, ferme)
DECLARE SUB retourmenu (retour, retourm)
DECLARE SUB fermer (ferme)
DECLARE SUB closeFen (x, Y, ButStat)
DECLARE SUB CommandButton (x1, y1, x2, y2, ButStat)
DECLARE SUB frame (x1, y1, x2, y2)
DECLARE SUB Form (x1, y1, x2, y2, FormStat, titre$)
DECLARE SUB Pause ()
DECLARE SUB font (aecrire$, l%, c%, col%)
DECLARE SUB barreAide (aide$)

DECLARE SUB ShowMouse ()
DECLARE SUB HideMouse ()
DECLARE SUB movemouse (x%, Y%)
DECLARE FUNCTION InitMouse! ()
DECLARE FUNCTION getmousex! ()
DECLARE FUNCTION getmousey! ()
DECLARE FUNCTION getmouselbutton! ()
DECLARE FUNCTION GetMouseRButton! ()

CONST True = -1
CONST False = 0

DIM SHARED SegAsm%
DIM SHARED OffAsm%
DIM Asm%(56)

SegAsm% = VARSEG(Asm%(0))
OffAsm% = VARPTR(Asm%(0))
DEF SEG = SegAsm%
FOR i% = LBOUND(Asm%, 1) TO UBOUND(Asm%, 1)
  READ Octet%
  POKE OffAsm% + i%, Octet%
NEXT i%
DEF SEG

' Langage machine pour la gestion de la souris
DATA &H55,&H89,&HE5,&H8B,&H5E,&H0C,&H8B,&H07,&H50,&H8B
DATA &H5E,&H0A,&H8B,&H07,&H50,&H8B,&H5E,&H08,&H8B,&H0F
DATA &H8B,&H5E,&H06,&H8B,&H17,&H5B,&H58,&H1E,&H07,&HCD
DATA &H33,&H53,&H8B,&H5E,&H0C,&H89,&H07,&H58,&H8B,&H5E
DATA &H0A,&H89,&H07,&H8B,&H5E,&H08,&H89,&H0F,&H8B,&H5E
DATA &H06,&H89,&H17,&H5D,&HCA,&H08,&H00

DIM score(10)
DIM vaisseau(20, 20)
DIM noir(20, 20)
DIM ennemi(16, 15)

RANDOMIZE TIMER
SCREEN 12

OPEN "C:\APOPHIS\PROG\orion.sco" FOR APPEND AS #1
PRINT #1, "   "
CLOSE

OPEN "C:\APOPHIS\PROG\orion.sco" FOR INPUT AS #1
INPUT #1, first$
CLOSE

IF first$ = "" THEN
OPEN "C:\APOPHIS\PROG\orion.sco" FOR OUTPUT AS #1
PRINT #1, "Niveau 1 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 2 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 3 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 4 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 5 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 6 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 7 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 8 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 9 :       ???"
PRINT #1, 0
PRINT #1, "Niveau 10 :      ???"
PRINT #1, 0
CLOSE
END IF

IF COMMAND$ = "/APOPHIS" THEN

ON ERROR GOTO 10000

Form 10, 10, 600, 455, 1, "Orion's Quest"
LINE (14, 35)-(595, 450), 0, BF
RESTORE DataEnnemi
FOR j = 1 TO 10
FOR i = 1 TO 16
READ couleur
xx = i: yy = j
IF couleur <> 0 THEN PSET (xx + 13, yy + 18), couleur
NEXT i
NEXT j

closeFen 580, 16, 0
RESTORE DataVaisseau
FOR j = 1 TO 17
FOR i = 1 TO 20
READ couleur
x = i: Y = j
PSET (x + 100, Y + 100), couleur
NEXT i
NEXT j
GET (100, 100)-(120, 125), vaisseau

LINE (15, 35)-(595, 450), 0, BF


FOR j = 1 TO 10
FOR i = 1 TO 16
READ couleur
xx = i: yy = j
PSET (xx + 100, yy + 100), couleur
NEXT i
NEXT j
GET (100, 98)-(130, 125), ennemi
LINE (15, 35)-(595, 450), 0, BF


Debut:
intro:

barreAide ""

HideMouse
COLOR 4
LOCATE 5, 32
PRINT "Orion's quest"
COLOR 14
LOCATE 6, 35
PRINT "By LTB"
COLOR 15
LOCATE 13, 35
PRINT "1.Jouer"
LOCATE 15, 35
PRINT "2.Records"
LOCATE 17, 35
PRINT "3.Instructions"
LOCATE 19, 35
PRINT "4.Quitter"


DO
ShowMouse

IF je = 0 AND getmousex > 270 AND getmousex < 335 AND getmousey > 190 AND getmousey < 210 THEN
HideMouse
LINE (270, 190)-(335, 210), 9, B
ShowMouse
je = 1
ELSEIF je = 1 AND getmousex > 270 AND getmousex < 335 AND getmousey > 190 AND getmousey < 210 THEN
DO
IF getmousex < 270 OR getmousex > 335 OR getmousey < 190 OR getmousey > 210 THEN EXIT DO
CALL fermer(ferme)
 IF getmouselbutton = -1 THEN
  je = 0
  CALL HideMouse
  LINE (15, 35)-(595, 450), 0, BF
  CALL ShowMouse
  GOTO jeu
 END IF
LOOP
je = 0
HideMouse
LINE (270, 190)-(335, 210), 0, B
ShowMouse
END IF

IF recc = 0 AND getmousex > 270 AND getmousex < 350 AND getmousey > 224 AND getmousey < 240 THEN
HideMouse
LINE (270, 224)-(350, 240), 9, B
ShowMouse
recc = 1
ELSEIF recc = 1 AND getmousex > 270 AND getmousex < 350 AND getmousey > 224 AND getmousey < 240 THEN
DO
CALL fermer(ferme)
IF getmousex < 270 OR getmousex > 350 OR getmousey < 224 OR getmousey > 240 THEN EXIT DO
 IF getmouselbutton = -1 THEN
  recc = 0
  CALL HideMouse
  LINE (15, 35)-(595, 450), 0, BF
  GOTO rec
 END IF
LOOP
recc = 0
HideMouse
LINE (270, 224)-(350, 240), 0, B
ShowMouse
END IF

IF aid = 0 AND getmousex > 270 AND getmousex < 390 AND getmousey > 256 AND getmousey < 270 THEN
HideMouse
LINE (270, 256)-(390, 270), 9, B
aid = 1
ShowMouse
ELSEIF aid = 1 AND getmousex > 270 AND getmousex < 390 AND getmousey > 256 AND getmousey < 270 THEN
DO
IF getmousex < 270 OR getmousex > 390 OR getmousey < 256 OR getmousey > 270 THEN EXIT DO
CALL fermer(ferme)
IF getmouselbutton = -1 THEN
 aid = 0
 CALL HideMouse
 LINE (15, 35)-(595, 450), 0, BF
 GOTO aide
END IF
LOOP
aid = 0
HideMouse
LINE (270, 256)-(390, 270), 0, B
ShowMouse
END IF

IF qui = 0 AND getmousex > 270 AND getmousex < 350 AND getmousey > 290 AND getmousey < 305 THEN
HideMouse
LINE (270, 285)-(350, 305), 9, B
qui = 1
ShowMouse
ELSEIF qui = 1 AND getmousex > 270 AND getmousex < 350 AND getmousey > 290 AND getmousey < 305 THEN
DO
IF getmousex < 270 OR getmousex > 350 OR getmousey < 290 OR getmousey > 305 THEN EXIT DO
IF getmouselbutton = -1 THEN qui = 0: END
CALL fermer(ferme)
LOOP
qui = 0
HideMouse
LINE (270, 285)-(350, 305), 0, B
ShowMouse
END IF

CALL fermer(ferme)

LOOP


jeu:
HideMouse
closeFen 580, 16, 3

LINE (15, 35)-(595, 450), 0, BF

LOCATE 10, 5
PRINT "Niveau de difficult ? (1-9)  "

ShowMouse

DO
        CALL fermer(ferme)
        diff$ = INKEY$
LOOP WHILE diff$ = ""

DO
        IF ASC(diff$) < 49 OR ASC(diff$) > 56 THEN
       
                LOCATE 11, 5
                PRINT "ENTRE 1 ET 9 !!!  "
                DO
                        CALL fermer(ferme)
                        diff$ = INKEY$
                LOOP WHILE diff$ = ""

        END IF

LOOP WHILE ASC(diff$) < 49 OR ASC(diff$) > 56

HideMouse

LINE (15, 35)-(595, 450), 0, BF

vie = 100
nova = 3
essence = 100
score = 0

newen:
LINE (131, 35)-(469, 450), 0, BF
IF vie = 200 THEN GOTO fin
yen = 50
xen = INT(RND * 300) + 137

LOCATE 25, 63
COLOR 15
PRINT "Score :"; score

FOR i = 55 TO 70
LINE (i, vie)-(i, 200), 4
NEXT i
FOR i = 55 TO 70
LINE (i, 100)-(i, vie), 0
NEXT i
LOCATE 15, 7: PRINT "Vie"
LOCATE 15, 65: PRINT "Essence"

barreAide "clic droit pour arreter le jeu"

DO

LOCATE 25, 63
COLOR 15
PRINT "Score :"; score

x = getmousex
IF x < 140 THEN x = 140
IF x > 445 THEN x = 445
LINE (x + 20, 400)-(469, 440), 0, BF
LINE (x, 400)-(131, 440), 0, BF

re = INT(RND * 2)
IF re = 0 THEN re = 4
IF re = 1 THEN re = 14
GOSUB reacteur

yen = yen + VAL(diff$) * .2

IF yen > 400 THEN
vie = vie + 20
GOTO newen
END IF

PUT (xen, yen), ennemi, PSET

IF tir = 0 AND getmouselbutton = -1 THEN tir = 1
IF GetMouseRButton = -1 THEN GOTO fin

PUT (x, 408), vaisseau, PSET
LINE (130, 34)-(130, 450), 15
LINE (470, 34)-(470, 450), 15

essence = essence + .01
IF essence >= 200 THEN GOTO fin

FOR i = 530 TO 545
LINE (i, essence)-(i, 200), 6
LINE (i, essence)-(i, essence - 10), 0
NEXT i


IF tir = 1 THEN
LINE (131, 35)-(469, 45), 0, BF
ytir = 400
xtir = x
tir = 2
END IF

IF tir = 2 THEN
ytir = ytir - 10
vieuytir = ytir + 10
PSET (xtir + 4, vieuytir + 1), 0
PSET (xtir + 17, vieuytir + 1), 0
PSET (xtir + 4, vieuytir + 2), 0
PSET (xtir + 17, vieuytir + 2), 0
PSET (xtir + 4, vieuytir), 0
PSET (xtir + 17, vieuytir), 0

PSET (xtir + 4, ytir + 1), 14
PSET (xtir + 17, ytir + 1), 14
PSET (xtir + 4, ytir + 2), 14
PSET (xtir + 17, ytir + 2), 14
PSET (xtir + 4, ytir), 14
PSET (xtir + 17, ytir), 14

IF xtir + 5 < xen + 20 AND xtir + 5 > xen AND ytir < yen + 5 AND ytir > yen - 5 THEN GOSUB explo
IF xtir + 17 < xen + 20 AND xtir + 17 > xen AND ytir < yen + 5 AND ytir > yen - 5 THEN GOSUB explo
END IF

IF ytir < 50 THEN
PSET (xtir + 4, ytir + 1), 0
PSET (xtir + 17, ytir + 1), 0
PSET (xtir + 4, ytir + 2), 0
PSET (xtir + 17, ytir + 2), 0
PSET (xtir + 4, ytir), 0
PSET (xtir + 17, ytir), 0
ytir = 400
tir = 0
comtir = comtir + 1
IF comtir = 10 THEN
comtir = 0
score = score - 1
END IF
END IF

LOOP

fin:
ShowMouse

barreAide ""

closeFen 580, 16, 0
LINE (15, 35)-(595, 450), 0, BF

LOCATE 5, 5
PRINT "Votre score est de"; score; "points !"
LOCATE 7, 5
PRINT "          Records :"

OPEN "C:\APOPHIS\PROG\orion.sco" FOR INPUT AS #1
INPUT #1, ligne1$
INPUT #1, score(1)
INPUT #1, ligne2$
INPUT #1, score(2)
INPUT #1, ligne3$
INPUT #1, score(3)
INPUT #1, ligne4$
INPUT #1, score(4)
INPUT #1, ligne5$
INPUT #1, score(5)
INPUT #1, ligne6$
INPUT #1, score(6)
INPUT #1, ligne7$
INPUT #1, score(7)
INPUT #1, ligne8$
INPUT #1, score(8)
INPUT #1, ligne9$
INPUT #1, score(9)
INPUT #1, ligne10$
INPUT #1, score(10)
CLOSE
LOCATE 8, 5
PRINT ligne1$, score(1)
LOCATE 9, 5
PRINT ligne2$, score(2)
LOCATE 10, 5
PRINT ligne3$, score(3)
LOCATE 11, 5
PRINT ligne4$, score(4)
LOCATE 12, 5
PRINT ligne5$, score(5)
LOCATE 13, 5
PRINT ligne6$, score(6)
LOCATE 14, 5
PRINT ligne7$, score(7)
LOCATE 15, 5
PRINT ligne8$, score(8)
LOCATE 16, 5
PRINT ligne9$, score(9)
LOCATE 17, 5
PRINT ligne10$, score(10)
IF score > score(VAL(diff$)) THEN
score(VAL(diff$)) = score
LOCATE 20, 5
PRINT "Vous avez battu le record du niveau"; VAL(diff$)

LOCATE 21, 5
PRINT "Entrez votre nom s'il vous plait :   "

x = 42

DebutSaisie:

DO
        DO
                touche$ = INKEY$
       
                CALL fermer(ferme)
        LOOP WHILE touche$ = ""

        IF touche$ = CHR$(13) THEN
                IF LEN(nom$) = 0 THEN BEEP: GOTO DebutSaisie
                GOTO finSaisieNom
        END IF
       
        IF touche$ = CHR$(8) THEN
                IF LEN(nom$) = 0 THEN BEEP: GOTO DebutSaisie

                nom$ = LEFT$(nom$, LEN(nom$) - 1)
               
                HideMouse
                LOCATE 21, 42: PRINT "     "
                LOCATE 21, 42: PRINT nom$
                ShowMouse
               
                x = x - 1
       
                GOTO DebutSaisie
        END IF
       
        IF ASC(touche$) < 48 OR ASC(touche$) > 122 THEN BEEP: GOTO DebutSaisie

        IF LEN(nom$) = 3 THEN BEEP: GOTO DebutSaisie
       
        nom$ = nom$ + touche$

        HideMouse
        LOCATE 21, x: PRINT touche$
        ShowMouse
       
        x = x + 1
LOOP

finSaisieNom:

SELECT CASE VAL(diff$)
CASE 1
ligne1$ = "Niveau 1 :       " + nom$
CASE 2
ligne2$ = "Niveau 2 :       " + nom$
CASE 3
ligne3$ = "Niveau 3 :       " + nom$
CASE 4
ligne4$ = "Niveau 4 :       " + nom$
CASE 5
ligne5$ = "Niveau 5 :       " + nom$
CASE 6
ligne6$ = "Niveau 6 :       " + nom$
CASE 7
ligne7$ = "Niveau 7 :       " + nom$
CASE 8
ligne8$ = "Niveau 8 :       " + nom$
CASE 9
ligne9$ = "Niveau 9 :       " + nom$
CASE 10
ligne10$ = "Niveau 10 :      " + nom$
END SELECT

OPEN "C:\APOPHIS\PROG\orion.sco" FOR OUTPUT AS #1
PRINT #1, ligne1$
PRINT #1, score(1)
PRINT #1, ligne2$
PRINT #1, score(2)
PRINT #1, ligne3$
PRINT #1, score(3)
PRINT #1, ligne4$
PRINT #1, score(4)
PRINT #1, ligne5$
PRINT #1, score(5)
PRINT #1, ligne6$
PRINT #1, score(6)
PRINT #1, ligne7$
PRINT #1, score(7)
PRINT #1, ligne8$
PRINT #1, score(8)
PRINT #1, ligne9$
PRINT #1, score(9)
PRINT #1, ligne10$
PRINT #1, score(10)
CLOSE

END IF
LOCATE 23, 5: PRINT "Cliquez dans le cercle pour recommencer"
CIRCLE (300, 400), 20, 4
ShowMouse

DO
CALL fermer(ferme)
GOSUB retourmenu
LOOP

reacteur:
PSET (x + 9, Y + 410), re
PSET (x + 10, Y + 410), re
PSET (x + 11, Y + 410), re
PSET (x + 12, Y + 410), re
PSET (x + 9, Y + 411), re
PSET (x + 10, Y + 411), re
PSET (x + 11, Y + 411), re
PSET (x + 12, Y + 411), re
PSET (x + 9, Y + 412), re
PSET (x + 10, Y + 412), re
PSET (x + 11, Y + 412), re
PSET (x + 12, Y + 412), re
          
RETURN


RETURN

explo:
tir = 0
ytir = 400
comtir = comtir + 1
IF comtir = 10 THEN
comtir = 0
score = score - 1
END IF
score = score + 1
essence = essence - 1
GOTO newen

rec:
OPEN "C:\APOPHIS\PROG\orion.sco" FOR INPUT AS #1
INPUT #1, ligne1$
INPUT #1, score(1)
INPUT #1, ligne2$
INPUT #1, score(2)
INPUT #1, ligne3$
INPUT #1, score(3)
INPUT #1, ligne4$
INPUT #1, score(4)
INPUT #1, ligne5$
INPUT #1, score(5)
INPUT #1, ligne6$
INPUT #1, score(6)
INPUT #1, ligne7$
INPUT #1, score(7)
INPUT #1, ligne8$
INPUT #1, score(8)
INPUT #1, ligne9$
INPUT #1, score(9)
INPUT #1, ligne10$
INPUT #1, score(10)
CLOSE
COLOR 13
LOCATE 4, 37
PRINT "Records"
COLOR 15
LOCATE 7, 5
PRINT ligne1$, score(1)
LOCATE 8, 5
PRINT ligne2$, score(2)
LOCATE 9, 5
PRINT ligne3$, score(3)
LOCATE 10, 5
PRINT ligne4$, score(4)
LOCATE 11, 5
PRINT ligne5$, score(5)
LOCATE 12, 5
PRINT ligne6$, score(6)
LOCATE 13, 5
PRINT ligne7$, score(7)
LOCATE 14, 5
PRINT ligne8$, score(8)
LOCATE 15, 5
PRINT ligne9$, score(9)
LOCATE 16, 5
PRINT ligne10$, score(10)
COLOR 4
LOCATE 18, 5
PRINT "Cliquez dans le cercle"
CIRCLE (300, 400), 20, 4
ShowMouse
DO
GOSUB retourmenu
CALL fermer(ferm)
LOOP

aide:
LINE (15, 35)-(595, 450), 0, BF
COLOR 5
LOCATE 5, 35
PRINT "Aide"
COLOR 15
font "Bienvenue dans Orion's quest ! C'est un jeu de shootem'up classique avec 2 ou 3 petits trucs en plus.", 30, 100, 15
font "Je vais deja vous expliquer comment on joue a ce jeu : pour vous deplacer, utilisez la souris.", 30, 120, 15
font "Pour tirer les lasers , cliquez.", 30, 130, 15
font "Vous pouvez quittez le jeu a tout moment en cliquant  droite.", 30, 140, 15
font "Si un ennemi arrive en bas de l'ecran, vous perdez de la vie mais quand vous en detruisez un, vous", 30, 160, 15
font "recuperez l'essence qu'il possede.", 30, 170, 15
font "La production d'energie pour les lasers est couteuse. Ainsi, vous perdrez 1 point tous les 10 tirs.", 30, 190, 15
font "Ca vous apprendra a etre precis et a ne pas bourriner votre pauvre souris !", 30, 200, 15
font "Cliquez dans le cercle pour revenir.", 210, 230, 4
CIRCLE (300, 400), 20, 4
ShowMouse
ret = 1
DO
GOSUB retourmenu
CALL fermer(ferme)
LOOP
ret = 0
HideMouse
GOTO intro


retourmenu:
IF getmouselbutton = -1 AND getmousex > 280 AND getmousex < 320 AND getmousey > 380 AND getmousey < 420 THEN
        CALL HideMouse
        LINE (15, 35)-(595, 450), 0, BF
        GOTO intro
END IF
CALL defzoneaide(retour, ret, ferme)
RETURN


ELSE
    
        SCREEN 0
        COLOR 7, 0
        CLS
        PRINT "ͻ"
        PRINT " ORION.EXE               Programme pour APOPHIS          Version 1.10       "
        PRINT "ͼ"
        PRINT ""
        PRINT ""
        COLOR 10
        PRINT "Ce programme est utilis par le systme d'exploitation APOPHIS."
        PRINT ""
        PRINT "Il ne peux tre utilis indpendament."
        SLEEP
        END

END IF

10000
        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #100
                PRINT #100, "Orion's Quest"
                PRINT #100, "1.1"
                PRINT #100, ERR
        CLOSE #100

        CHDIR "C:\APOPHIS\SYSTEME"
        SHELL "ERREUR /APOPHIS"

        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR INPUT AS #100
                INPUT #100, erreurFermer$
        CLOSE #100

        IF erreurFermer$ = "fermer" THEN END
      
        IF erreurFermer$ = "continuer" THEN RESUME
     
        GOTO Debut



DataVaisseau:

DATA 00,00,00,00,00,00,00,00,00,01,01,00,00,00,00,00,00,00,00,00
DATA 00,00,00,00,00,00,00,00,01,01,01,01,00,00,00,00,00,00,00,00
DATA 00,00,00,00,00,00,00,01,01,01,01,01,01,00,00,00,00,00,00,00
DATA 00,00,00,00,00,00,00,01,01,01,01,01,01,00,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,01,08,08,01,01,01,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,08,08,08,08,01,01,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,08,08,08,08,01,01,00,00,00,00,00,00
DATA 00,00,00,14,00,01,01,01,01,01,01,01,01,01,01,00,14,00,00,00
DATA 00,00,00,14,01,01,01,01,01,01,01,01,01,01,01,01,14,00,00,00
DATA 00,00,00,14,01,01,01,01,01,01,01,01,01,01,01,01,14,00,00,00
DATA 00,00,01,14,01,01,01,01,01,01,01,01,01,01,01,01,14,01,00,00
DATA 00,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,00
DATA 01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01,01
DATA 00,00,00,00,00,00,01,01,01,01,01,01,01,01,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,01,01,01,01,01,01,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,01,01,01,01,01,01,00,00,00,00,00,00
DATA 00,00,00,00,00,00,01,01,01,01,01,01,01,01,00,00,00,00,00,00

DataEnnemi:

DATA 00,00,00,00,00,00,00,04,04,00,00,00,00,00,00,00
DATA 00,00,00,00,00,00,04,04,04,04,00,00,00,00,00,00
DATA 00,00,00,00,04,04,04,04,04,04,04,04,00,00,00,00
DATA 00,04,04,04,04,04,04,04,04,04,04,04,04,04,04,00
DATA 04,14,14,14,14,14,14,14,14,14,14,14,14,14,14,04
DATA 04,14,14,14,14,14,14,14,14,14,14,14,14,14,14,04
DATA 00,04,04,04,04,04,04,04,04,04,04,04,04,04,04,00
DATA 00,00,00,00,04,04,04,04,04,04,04,04,00,00,00,00
DATA 00,00,00,00,00,00,04,04,04,04,00,00,00,00,00,00
DATA 00,00,00,00,00,00,00,04,04,00,00,00,00,00,00,00

SUB barreAide (aide$)
mouseX% = getmousex + 1
mouseY% = getmousey + 1
FOR Z = 466 TO 479
  LINE (0, Z)-(640, Z), 7
NEXT Z
font aide$, 5, 470, 4
END SUB

FUNCTION clickFermer (x1%, y1%, x2%, y2%)

mouseX% = getmousex + 1
mouseY% = getmousey + 1

IF getmouselbutton = False OR mouseX% < (x2% - 21) OR mouseX% > (x2% - 21 + 14) OR mouseY% < (y1% + 6) OR mouseY% > (y1% + 6 + 14) THEN clickFermer = False: EXIT FUNCTION

CALL HideMouse

closeFen x2% - 21, y1% + 6, 1

CALL ShowMouse

clickFermer = True

DO
LOOP WHILE getmouselbutton = True

CALL HideMouse

closeFen x2% - 21, y1% + 6, 0

CALL ShowMouse

END FUNCTION

SUB closeFen (x, Y, ButStat)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
        PRINT #1, "closeFen"
        PRINT #1, x
        PRINT #1, Y
        PRINT #1, ButStat
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"


END SUB

SUB CommandButton (x1, y1, x2, y2, ButStat)

IF ButStat = 0 THEN
        LINE (x1 + 1, y1)-(x2 - 1, y1), 0
        LINE (x1, y1 + 1)-(x1, y2 - 1), 0
        LINE (x1 + 1, y2)-(x2 - 1, y2), 0
        LINE (x2, y1 + 1)-(x2, y2 - 1), 0
        LINE (x1 + 1, y1 + 1)-(x2 - 2, y1 + 1), 15
        LINE (x1 + 1, y1 + 2)-(x2 - 3, y1 + 2), 15
        LINE (x1 + 1, y1 + 1)-(x1 + 1, y2 - 1), 15
        LINE (x1 + 2, y1 + 1)-(x1 + 2, y2 - 2), 15
        LINE (x1 + 2, y2 - 1)-(x2 - 1, y2 - 1), 8
        LINE (x1 + 3, y2 - 2)-(x2 - 1, y2 - 2), 8
        LINE (x2 - 1, y1 + 1)-(x2 - 1, y2 - 1), 8
        LINE (x2 - 2, y1 + 2)-(x2 - 2, y2 - 1), 8
        LINE (x1 + 3, y1 + 3)-(x2 - 3, y2 - 3), 7, BF
ELSE
        LINE (x1 + 1, y1)-(x2 - 1, y1), 0
        LINE (x1, y1 + 1)-(x1, y2 - 1), 0
        LINE (x1 + 1, y2)-(x2 - 1, y2), 0
        LINE (x2, y1 + 1)-(x2, y2 - 1), 0
        LINE (x1 + 1, y1 + 1)-(x2 - 2, y1 + 1), 8
        LINE (x1 + 1, y1 + 2)-(x2 - 3, y1 + 2), 8
        LINE (x1 + 1, y1 + 1)-(x1 + 1, y2 - 1), 8
        LINE (x1 + 2, y1 + 1)-(x1 + 2, y2 - 2), 8
        LINE (x1 + 2, y2 - 1)-(x2 - 1, y2 - 1), 15
        LINE (x1 + 3, y2 - 2)-(x2 - 1, y2 - 2), 15
        LINE (x2 - 1, y1 + 1)-(x2 - 1, y2 - 1), 15
        LINE (x2 - 2, y1 + 2)-(x2 - 2, y2 - 1), 15
        LINE (x1 + 3, y1 + 3)-(x2 - 3, y2 - 3), 7, BF
END IF

END SUB

SUB defzoneaide (retour, ret, ferme)
IF getmousex > 280 OR getmousex < 320 OR getmousey > 380 OR getmousey < 420 THEN
IF getmousex < 580 OR getmousex > 595 OR getmousey < 16 OR getmousey > 29 THEN barreAide "": retour = 0: ferme = 0

IF ferme = 0 AND getmousex > 580 AND getmousex < 595 AND getmousey > 16 AND getmousey < 29 THEN ferme = 1: barreAide "ferme le programme"
IF ret = 1 THEN IF retour = 0 AND getmousex > 320 AND getmousex < 280 AND getmousey > 420 AND getmousey < 380 THEN barreAide "Pour revenir au menu": retour = 1

END IF

END SUB

SUB fermer (ferme)
'IF getmouselbutton = -1 AND getmousex > 580 AND getmousex < 595 AND getmousey > 16 AND getmousey < 29 THEN END

IF clickFermer(10, 10, 600, 455) = True THEN END

CALL defzoneaide(retour, ret, ferme)
END SUB

SUB font (aecrire$, l%, c%, col%)

IF aecrire$ = "" THEN EXIT SUB

FOR a% = 1 TO LEN(aecrire$)
        SELECT CASE MID$(UCASE$(aecrire$), a%, 1)
                CASE "A"
                        LINE (l%, c% + 1)-(l%, c% + 6), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 6), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                    
                CASE "B"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE -(l% + 3, c% + 6), col%
                        LINE (l%, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l%, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "C"
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 0, c% + 1), col%
                        LINE (l%, c% + 2)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "D"
                        LINE (l%, c%)-(l% + 3, c%), col%
                        LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
                        LINE (l%, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 5), col%
                CASE "E"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "F"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
                        PSET (l% + 4, c% + 1), col%
                CASE "G"
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 0, c% + 1), col%
                        LINE (l%, c% + 2)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                        PSET (l% + 3, c% + 4), col%
                CASE "H"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 4, c% + 3), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
                CASE "I"
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                CASE "J"
                        LINE (l% + 3, c%)-(l% + 3, c% + 5), col%
                        LINE (l% + 1, c%)-(l% + 4, c%), col%
                        LINE (l% + 2, c% + 6)-(l% + 1, c% + 6), col%
                        LINE (l%, c% + 5)-(l%, c% + 4), col%
                CASE "K"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 4)-(l% + 4, c%), col%
                        LINE (l%, c% + 2)-(l% + 4, c% + 6), col%
                CASE "L"
                        LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "M"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        PSET (l% + 1, c% + 1), col%
                        PSET (l% + 3, c% + 1), col%
                        LINE (l% + 2, c% + 2)-(l% + 2, c% + 3), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
                CASE "N"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE -(l% + 4, c%), col%
                CASE "O"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                CASE "P"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        LINE -(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l%, c% + 3), col%
                    
                CASE "Q"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 2, c% + 6), col%
                        LINE (l% + 3, c% + 4)-(l% + 3, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 2, c%), col%
                        PSET (l% + 4, c% + 6), col%
                        PSET (l% + 3, c% + 6), col%
                        PSET (l% + 3, c% + 5), col%
                CASE "R"
                        LINE (l%, c% + 6)-(l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
                        LINE (l% + 2, c% + 3)-(l% + 4, c% + 6), col%
                CASE "S"
                        LINE (l% + 4, c%)-(l% + 1, c%), col%
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l%, c% + 6), col%
                CASE "T"
                        LINE (l%, c% + 1)-(l%, c%), col%
                        LINE -(l% + 4, c%), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                CASE "U"
                        LINE (l%, c%)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c%), col%
                CASE "V"
                        LINE (l%, c%)-(l%, c% + 4), col%
                        LINE -(l% + 2, c% + 6), col%
                        LINE -(l% + 4, c% + 4), col%
                        LINE -(l% + 4, c%), col%
                CASE "W"
                        LINE (l%, c%)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 2, c% + 3), col%
                        PSET (l% + 3, c% + 6), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 5), col%
                CASE "X"
                        LINE (l%, c%)-(l%, c% + 1), col%
                        LINE -(l% + 4, c% + 5), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE (l%, c% + 6)-(l%, c% + 5), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE -(l% + 4, c%), col%
                CASE "Y"
                        LINE (l%, c% + 1)-(l% + 2, c% + 3), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE (l% + 2, c% + 3)-(l% + 2, c% + 6), col%
                        PSET (l%, c%), col%
                        PSET (l% + 4, c%), col%
                CASE "Z"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l% + 4, c% + 1)-(l%, c% + 5), col%
                        LINE (l%, c% + 6)-(l% + 4, c% + 6), col%
                        PSET (l%, c% + 1), col%
                        PSET (l% + 4, c% + 5), col%
                CASE ","
                        PSET (l% + 1, c% + 5), col%
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 0, c% + 7), col%
                        l% = l% - 2
                CASE "."
                        PSET (l% + 1, c% + 6), col%
                        l% = l% - 2
                CASE ";"
                        PSET (l% + 1, c% + 5), col%
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 0, c% + 7), col%
                        PSET (l% + 1, c% + 2), col%
                        l% = l% - 2
                CASE "!"
                        l% = l% + 1
                        LINE (l% + 1, c%)-(l% + 1, c% + 4), col%
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l% + 2, c% + 1)-(l% + 2, c% + 2), col%
                        PSET (l% + 1, c% + 6), col%
                        l% = l% - 1
                CASE "'"
                        LINE (l% + 1, c% - 1)-(l% + 1, c%), col%
                        PSET (l%, c% + 1), col%
                        l% = l% - 2
                CASE ":"
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 1, c% + 3), col%
                        l% = l% - 2
                CASE "\"
                        LINE (l%, c%)-(l% + 3, c% + 6), col%
                        l% = l% - 1
                CASE " "
                        l% = l% - 3
                CASE "?"
                        LINE (l% + 2, c%)-(l% + 4, c%), col%
                        PSET (l% + 1, c% + 1), col%
                        PSET (l% + 5, c% + 1), col%
                        PSET (l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 3, c% + 4), col%
                        PSET (l% + 3, c% + 6), col%
                CASE "="
                        LINE (l% + 1, c% + 5)-(l% + 3, c% + 5), col%
                        LINE (l% + 1, c% + 2)-(l% + 3, c% + 2), col%
                CASE "0"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                CASE "1"
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                        LINE (l% + 2, c%)-(l%, c% + 2), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                CASE "2"
                        PSET (l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE -(l%, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                CASE "3"
                        PSET (l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l% + 1, c% + 6), col%
                        PSET (l%, c% + 5), col%
                CASE "4"
                        LINE (l% + 2, c% + 6)-(l% + 4, c% + 6), col%
                        LINE (l% + 3, c% + 6)-(l% + 3, c%), col%
                        LINE -(l%, c% + 3), col%
                        LINE -(l% + 4, c% + 3), col%
                CASE "5"
                        LINE (l% + 4, c%)-(l%, c%), col%
                        LINE -(l%, c% + 3), col%
                        LINE -(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l%, c% + 6), col%

                CASE "6"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l%, c% + 3)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                    
                CASE "7"
                        LINE (l%, c% + 1)-(l%, c%), col%
                        LINE -(l% + 4, c%), col%
                        LINE -(l% + 4, c% + 2), col%
                        LINE -(l% + 2, c% + 4), col%
                        LINE -(l% + 2, c% + 6), col%
               CASE "8"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l%, c% + 4)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "9"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        PSET (l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 3), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "-"
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                CASE "_"
                        LINE (l% + 1, c% + 7)-(l% + 3, c% + 7), col%
                CASE ELSE
                        LINE (l%, c%)-(l% + 4, c% + 6), col%, BF
             
        END SELECT
        l% = l% + 6
NEXT a%

END SUB

SUB Form (x1, y1, x2, y2, FormStat, titre$)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
        PRINT #1, x1
        PRINT #1, y1
        PRINT #1, x2
        PRINT #1, y2
        PRINT #1, FormStat
        PRINT #1, titre$
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"

END SUB

SUB frame (x1, y1, x2, y2)

LINE (x1, y1)-(x2, y2), 7, B
LINE (x1 + 1, y1 + 1)-(x2 - 1, y1 + 1), 8
LINE (x1 + 1, y1 + 1)-(x1 + 1, y2 - 1), 8
LINE (x1 + 2, y1 + 2)-(x2 - 1, y2 - 1), 15, B
LINE (x1 + 3, y1 + 3)-(x2 - 2, y2 - 2), 7, BF
LINE (x1 + 3, y2 - 2)-(x2 - 2, y2 - 2), 8
LINE (x2 - 2, y2 - 2)-(x2 - 2, y1 + 3), 8

END SUB

FUNCTION getmouselbutton
'+----------------------------------------------+
'|                                              |
'| Renvoi l'tat du bouton gauche de la souris: |
'|    + TRUE si enfonc                         |
'|    + FALSE si relach                        |
'|                                              |
'+----------------------------------------------+
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 1 OR bx% = 3 THEN getmouselbutton = True ELSE getmouselbutton = False
DEF SEG
END FUNCTION

FUNCTION GetMouseRButton
'+---------------------------------------------+
'|                                             |
'| Renvoi l'tat du bouton droit de la souris: |
'|    + TRUE si enfonc                        |
'|    + FALSE si relach                       |
'|                                             |
'+---------------------------------------------+
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 2 OR bx% = 3 THEN GetMouseRButton = True ELSE GetMouseRButton = False
DEF SEG
END FUNCTION

FUNCTION getmousex
'+---------------------------------------+
'|                                       |
'| Renvoi les coordonnes X de la souris |
'|                                       |
'+---------------------------------------+
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
getmousex = cx%
DEF SEG
END FUNCTION

FUNCTION getmousey
'+---------------------------------------+
'|                                       |
'| Renvoi les coordonnes Y de la souris |
'|                                       |
'+---------------------------------------+
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
getmousey = dx%
DEF SEG
END FUNCTION

SUB HideMouse
'+--------------------------------+
'|                                |
'| Masque le curseur de la souris |
'|                                |
'+--------------------------------+
DEF SEG = SegAsm%
ax% = 2
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

FUNCTION InitMouse
'+---------------------------------------+
'|                                       |
'| Initialise la souris                  |
'|    + TRUE si une souris est dtecte  |
'|    + FALSE si aucune souris dtecte  |
'|                                       |
'+---------------------------------------+
DEF SEG = SegAsm%
ax% = 0
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF ax% = 0 THEN InitMouse = False ELSE InitMouse = True
DEF SEG
END FUNCTION

SUB movemouse (x%, Y%)
'+---------------------------------+
'|                                 |
'| Dplace le curseur de la souris |
'|                                 |
'+---------------------------------+
DEF SEG = SegAsm%
ax% = 4
cx% = x%
dx% = Y%
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

SUB retourmenu (retour, retourm)
END SUB

SUB ShowMouse
'+---------------------------------+
'|                                 |
'| Affiche le curseur de la souris |
'|                                 |
'+---------------------------------+
DEF SEG = SegAsm%
ax% = 1
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

