' ---------------------------------------------------------------------------
'
' APOPHIS Bta Version 1.0 du 30/09/2002 - avancement 0.4
' Copyright (C) 2002 Loc EGGERMONT
'
' Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
' les termes de la Licence Publique Gnrale GNU publie par la Free Software
' Foundation (version 2).
'
' Ce programme est distribu car potentiellement utile, mais SANS AUCUNE
' GARANTIE, ni explicite ni implicite, y compris les garanties de
' commercialisation ou d'adaptation dans un but spcifique. Reportez-vous 
' la Licence Publique Gnrale GNU pour plus de dtails.
'
' Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
' temps que ce programme ; si ce n'est pas le cas, crivez :
'
' Free Software Foundation, Inc.,
' 59 Temple Place, Suite 330, Boston, MA 02111-1307, Etats-Unis.
'
' ---------------------------------------------------------------------------

ON ERROR GOTO 10000

IF COMMAND$ = "/APOPHIS" THEN
       
        SCREEN 0
        COLOR 0, 1
        CLS
        VIEW PRINT

        COLOR 15, 7: LOCATE 1, 1: PRINT "                                    APOPHIS                                     "
       
        COLOR 0, 1
       
        FOR I = 2 TO 23
                PRINT SPACE$(80)
        NEXT I

        COLOR 15, 1: LOCATE 3, 2: PRINT "Une erreur est survenue dans le systme, les information ci-dessous peuvent"
        LOCATE 4, 2: PRINT "aider les responsables de ce systme ou des crateurs du programme dfaillant"
        LOCATE 5, 2: PRINT " rsoudre le problme:"

        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR INPUT AS #1
                INPUT #1, ProgrammeDefaillant$
                INPUT #1, VersionDuProgramme$
                INPUT #1, CodeErreur$
        CLOSE #1

        SELECT CASE CodeErreur$
                CASE "1": Erreur$ = "NEXT sans FOR"
                CASE "2": Erreur$ = "Erreur de syntaxe"
                CASE "3": Erreur$ = "RETURN sans GOSUB"
                CASE "4": Erreur$ = "Donnes puises"
                CASE "5": Erreur$ = "Appel de fonction interdit"
                CASE "6": Erreur$ = "Dpassement de capacit"
                CASE "7": Erreur$ = "Mmoire insuffisante"
                CASE "8": Erreur$ = "Etiquette non dfinie"
                CASE "9": Erreur$ = "Indice en dehors des limites"
                CASE "10": Erreur$ = "Cette dfinition existe dj"
                CASE "11": Erreur$ = "Division par zro"
                CASE "12": Erreur$ = "Instruction interdite en mode derect"
                CASE "13": Erreur$ = "Types incompatibles"
                CASE "14": Erreur$ = "Espace pour chanes satur"
                CASE "16": Erreur$ = "Formule de chane trop complexe"
                CASE "17": Erreur$ = "Impossible de continuer"
                CASE "18": Erreur$ = "Fonction non dfinie"
                CASE "19": Erreur$ = "RESUME absent"
                CASE "20": Erreur$ = "RESUME sans erreur"
                CASE "24": Erreur$ = "Dlai d'attente du priphrique coul"
                CASE "25": Erreur$ = "Dfaillance du priphrique"
                CASE "26": Erreur$ = "FOR sans NEXT"
                CASE "27": Erreur$ = "Attente papier"
                CASE "29": Erreur$ = "WHILE sans WEND"
                CASE "30": Erreur$ = "WEND sans WHILE"
                CASE "33": Erreur$ = "Cette tiquette existe dj"
                CASE "35": Erreur$ = "Sous-programme non dfini"
                CASE "37": Erreur$ = "Le nombre d'arguments ne concorde pas"
                CASE "38": Erreur$ = "Tableau non dfini"
                CASE "40": Erreur$ = "Variable requise"
                CASE "50": Erreur$ = "Dbordement de champ avec FIELD"
                CASE "51": Erreur$ = "Erreur interne"
                CASE "52": Erreur$ = "Nom ou numro de fichier incorrect"
                CASE "53": Erreur$ = "Fichier non trouv"
                CASE "54": Erreur$ = "Mode d'accs au fichier incorrect"
                CASE "55": Erreur$ = "Fichier dj ouvert"
                CASE "56": Erreur$ = "Instruction FIELD active"
                CASE "57": Erreur$ = "Erreur d'entre/sortie"
                CASE "58": Erreur$ = "Ficiher dj existant"
                CASE "59": Erreur$ = "Longueur d'enregistrment incorrecte"
                CASE "61": Erreur$ = "Disque satur"
                CASE "62": Erreur$ = "Entre hors des limites du fichier"
                CASE "63": Erreur$ = "Numro d'enregistrement incorrect"
                CASE "64": Erreur$ = "Nom de fichier incorrect"
                CASE "67": Erreur$ = "Trop de ficihers"
                CASE "68": Erreur$ = "Priphrique non disponible"
                CASE "69": Erreur$ = "Dpassement de capacit du tampon"
                CASE "70": Erreur$ = "Accs refus"
                CASE "71": Erreur$ = "Disque non prt"
                CASE "72": Erreur$ = "Disque dfectueux"
                CASE "73": Erreur$ = "Caractristique non disponible"
                CASE "74": Erreur$ = "RENAME sur disques diffrents"
                CASE "75": Erreur$ = "Erreur d'accs au fichier"
                CASE "76": Erreur$ = "Chemin d'accs introuvable"
        END SELECT
       
        COLOR 10, 1
        LOCATE 7, 2: PRINT "Programme ayant gnr la faute:    ", ProgrammeDefaillant$
        LOCATE 9, 2: PRINT "Version de ce programme:            ", VersionDuProgramme$
        LOCATE 11, 2: PRINT "Code de l'erreur:                   ", CodeErreur$
        LOCATE 13, 2: PRINT "Signification du code d'erreur:     ", Erreur$
       
100

        COLOR 15, 1: LOCATE 16, 2: PRINT "Vous pouvez choisir une des options de rcupration suivantes,"
        LOCATE 17, 2: PRINT "si rien de fonctionne, vous pouvez teindre votre ordinateur maintenant sans"
        LOCATE 18, 2: PRINT "risque de dgts matriels."

MenuChoix1:

        COLOR 0, 7
        LOCATE 21, 16: PRINT "  Continuer  executer le programme dfaillant  "
        COLOR 0, 1
        LOCATE 22, 16: PRINT "         Fermer le programme dfaillant         "
        LOCATE 23, 16: PRINT "        Redmarrer APOPHIS (dconseill)        "

        DO
                touche$ = INKEY$
                IF touche$ = CHR$(0) + "P" THEN GOTO MenuChoix2
                IF touche$ = CHR$(13) THEN
                        CLOSE
                        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #1
                                PRINT #1, "continuer"
                        CLOSE #1
                        END
                END IF
        LOOP

MenuChoix2:

        COLOR 0, 1
        LOCATE 21, 16: PRINT "  Continuer  executer le programme dfaillant  "
        COLOR 0, 7
        LOCATE 22, 16: PRINT "         Fermer le programme dfaillant         "
        COLOR 0, 1
        LOCATE 23, 16: PRINT "        Redmarrer APOPHIS (dconseill)        "

        DO
                touche$ = INKEY$
                IF touche$ = CHR$(0) + "H" THEN GOTO MenuChoix1
                IF touche$ = CHR$(0) + "P" THEN GOTO MenuChoix3
                IF touche$ = CHR$(13) THEN
                        CLOSE
                        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #1
                                PRINT #1, "fermer"
                        CLOSE #1
                       
                        SCREEN 12

                        CHDIR "C:\APOPHIS\SYSTEME"
                        SHELL "BUREAU /APOPHIS"
                       
                        END
                END IF
        LOOP

MenuChoix3:

        COLOR 0, 1
        LOCATE 21, 16: PRINT "  Continuer  executer le programme dfaillant  "
        LOCATE 22, 16: PRINT "         Fermer le programme dfaillant         "
        COLOR 0, 7
        LOCATE 23, 16: PRINT "        Redmarrer APOPHIS (dconseill)        "

        DO
                touche$ = INKEY$
                IF touche$ = CHR$(0) + "H" THEN GOTO MenuChoix2
                IF touche$ = CHR$(13) THEN
                        CLOSE
                        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #1
                                PRINT #1, ""
                        CLOSE #1
                        CHDIR "C:\APOPHIS"
                        SHELL "APOPHIS"
                END IF
        LOOP

        SLEEP

        END

ELSE

        SCREEN 0
        COLOR 7, 0
        CLS
        PRINT "ͻ"
        PRINT " ERREUR.EXE       Programme annexe du systme APOPHIS    Version 1.00       "
        PRINT "ͼ"
        PRINT ""
        PRINT ""
        COLOR 10
        PRINT "Ce programme est utilis par le systme d'exploitation APOPHIS."
        PRINT ""
        PRINT "Il ne peux tre utilis indpendament."
        SLEEP
        END

END IF


10000
        COLOR 10, 1
        LOCATE 7, 2: PRINT "Programme ayant gnr la faute:    x"
        LOCATE 9, 2: PRINT "Version de ce programme:            x"
        LOCATE 11, 2: PRINT "Code de l'erreur:                   x"
        LOCATE 13, 2: PRINT "Signification du code d'erreur:     x"
        GOTO 100

