' ---------------------------------------------------------------------------
'
' APOPHIS Bta Version 1.0 du 30/09/2002 - avancement 0.4
' Copyright (C) 2002 Loc EGGERMONT
'
' Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
' les termes de la Licence Publique Gnrale GNU publie par la Free Software
' Foundation (version 2).
'
' Ce programme est distribu car potentiellement utile, mais SANS AUCUNE
' GARANTIE, ni explicite ni implicite, y compris les garanties de
' commercialisation ou d'adaptation dans un but spcifique. Reportez-vous 
' la Licence Publique Gnrale GNU pour plus de dtails.
'
' Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
' temps que ce programme ; si ce n'est pas le cas, crivez :
'
' Free Software Foundation, Inc.,
' 59 Temple Place, Suite 330, Boston, MA 02111-1307, Etats-Unis.
'
' ---------------------------------------------------------------------------

DEFINT A-Z

DECLARE SUB CloseTerminal (x%, y%, ButStat%)
DECLARE SUB formTerminal (x1%, y1%, x2%, y2%, titre$)
DECLARE SUB formMac (x1%, y1%, x2%, y2%, titre$)
DECLARE SUB CloseFen (x%, y%, ButStat%)
DECLARE SUB formgris (x1%, y1%, x2%, y2%, titre$)
DECLARE SUB petitConfig (x%, y%)
DECLARE SUB barreAide (Aide$)
DECLARE SUB center (ligne%, texte$)
DECLARE SUB boutonOk (l%, c%)
DECLARE SUB boutonAnnuler (l%, c%)
DECLARE FUNCTION onClick% (x1%, y1%, x2%, y2%)
DECLARE FUNCTION clickFermer% (x1%, y1%, x2%, y2%)
DECLARE SUB close95 (x%, y%, ButStat%)
DECLARE SUB form95gris (x1%, y1%, x2%, y2%, FormStat%, titre$)
DECLARE SUB font (aecrire$, l%, c%, col%)
DECLARE SUB dessinEcran (x%, y%)
DECLARE SUB dessinBureau (x%, y%, couleurFondEcran%, couleurFondLignes%)
DECLARE SUB HideMouse ()
DECLARE SUB ShowMouse ()
DECLARE FUNCTION InitMouse! ()
DECLARE FUNCTION GetMouseX! ()
DECLARE FUNCTION GetMouseY! ()
DECLARE FUNCTION GetMouseLButton! ()
DECLARE FUNCTION GetMouseRButton! ()

CONST True = -1
CONST False = 0

DIM SHARED SegAsm%
DIM SHARED OffAsm%
DIM Asm%(56)

SegAsm% = VARSEG(Asm%(0))
OffAsm% = VARPTR(Asm%(0))
DEF SEG = SegAsm%
FOR i% = LBOUND(Asm%, 1) TO UBOUND(Asm%, 1)
READ Octet%
POKE OffAsm% + i%, Octet%
NEXT i%
DEF SEG

' Langage machine pour la gestion de la souris
DATA &H55,&H89,&HE5,&H8B,&H5E,&H0C,&H8B,&H07,&H50,&H8B
DATA &H5E,&H0A,&H8B,&H07,&H50,&H8B,&H5E,&H08,&H8B,&H0F
DATA &H8B,&H5E,&H06,&H8B,&H17,&H5B,&H58,&H1E,&H07,&HCD
DATA &H33,&H53,&H8B,&H5E,&H0C,&H89,&H07,&H58,&H8B,&H5E
DATA &H0A,&H89,&H07,&H8B,&H5E,&H08,&H89,&H0F,&H8B,&H5E
DATA &H06,&H89,&H17,&H5D,&HCA,&H08,&H00

ON ERROR GOTO 10000

Debut:

IF COMMAND$ = "/CONFIG" THEN
        SCREEN 12
       
        DIM fondFenetre(13000)

        GET (90, 40)-(360, 210), fondFenetre

        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR INPUT AS #1
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, styleFenetres$
        CLOSE #1
       
        x1 = 100
        y1 = 50
        x2 = 350
        y2 = 200
        FenStat = 1
        titre$ = "Style graphique des fenetres"

RedessinerFenetre:
       
        CALL HideMouse
       
        LINE (90, 40)-(360, 210), 0, BF
                     
        PUT (90, 40), fondFenetre

        SELECT CASE styleFenetres$
                CASE "style fenetres=windows 95"
                        form95gris x1, y1, x2, y2, FenStat, titre$
                CASE "style fenetres=windows 95 modifie"
                        formgris x1, y1, x2, y2, titre$
                CASE "style fenetres=terminal"
                        formTerminal x1, y1, x2, y2, titre$
'               CASE "style fenetres=macintosh modifie"
'                       formMac x1, y1, x2, y2, titre$
        END SELECT

        petitConfig 108, 58

        font "Selectionnez le style graphique:", 110, 83, 1
       
        font "windows 95", 140, 110, 0
        font "windows 95 modifie", 140, 130, 0
        font "terminal", 140, 150, 0

        IF styleFenetres$ = "style fenetres=windows 95" THEN
                CIRCLE (125, 113), 3, 3
                PAINT (125, 113), 1, 3
                PSET (124, 112), 15
        END IF

        IF styleFenetres$ = "style fenetres=windows 95 modifie" THEN
                CIRCLE (125, 133), 3, 3
                PAINT (125, 133), 1, 3
                PSET (124, 132), 15
        END IF

        IF styleFenetres$ = "style fenetres=terminal" THEN
                CIRCLE (125, 153), 3, 3
                PAINT (125, 153), 1, 3
                PSET (124, 152), 15
        END IF
       
        boutonAnnuler 300, 175
        boutonOk 250, 175

        CALL ShowMouse

        DO
                touche$ = INKEY$

                ancienAide$ = Aide$

                IF onClick(300, 175, 340, 190) = True THEN Aide$ = "Ignorer les modifications et fermer le module de configuration": GOTO suiteConfig
                IF onClick(250, 175, 290, 190) = True THEN Aide$ = "Enregistrer les modifications et fermer le module de configuration": GOTO suiteConfig

                Aide$ = ""
  
suiteConfig:

                IF ancienAide$ <> Aide$ THEN barreAide Aide$
               
                IF touche$ = CHR$(27) OR clickFermer(100, 50, 350, 180) = True THEN
                        CALL HideMouse
                       
                        LINE (90, 40)-(360, 210), 0, BF
                       
                        PUT (90, 40), fondFenetre
                       
                        CALL ShowMouse

                        END
                END IF

                IF GetMouseLButton = True AND onClick(300, 175, 340, 190) = True THEN
                        CALL HideMouse
                      
                        LINE (90, 40)-(360, 210), 0, BF
                      
                        PUT (90, 40), fondFenetre
                      
                        CALL ShowMouse

                        END
                END IF

                IF GetMouseLButton = True AND onClick(120, 110, 330, 120) = True AND styleFenetres$ <> "style fenetres=windows 95" THEN
                        styleFenetres$ = "style fenetres=windows 95"
                       
                        GOTO RedessinerFenetre
                END IF

                IF GetMouseLButton = True AND onClick(120, 130, 330, 140) = True AND styleFenetres$ <> "style fenetres=windows 95 modifie" THEN
                        styleFenetres$ = "style fenetres=windows 95 modifie"
               
                        GOTO RedessinerFenetre
                END IF
               
                IF GetMouseLButton = True AND onClick(120, 150, 330, 160) = True AND styleFenetres$ <> "style fenetres=terminal" THEN
                        styleFenetres$ = "style fenetres=terminal"
              
                        GOTO RedessinerFenetre
                END IF

                IF GetMouseLButton = True AND onClick(250, 175, 290, 190) = True THEN
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR INPUT AS #1
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.TMP" FOR OUTPUT AS #2
                                INPUT #1, inutile$
                                INPUT #1, inutile$
                             
                                INPUT #1, couleurFondEcran$
                                INPUT #1, couleurLignesFondEcran$
                             
                                DO WHILE NOT EOF(1)
                                        INPUT #1, ligne$
                                        PRINT #2, ligne$
                                LOOP
                        CLOSE #1
                        CLOSE #2
                  
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.TMP" FOR INPUT AS #1
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR OUTPUT AS #2
                                PRINT #2, "[GENERAL]"
                                PRINT #2, ""

                                PRINT #2, couleurFondEcran$
                                PRINT #2, couleurLignesFondEcran$
                  
                                PRINT #2, styleFenetres$
                              
                                INPUT #1, inutile$

                                DO WHILE NOT EOF(1)
                                        INPUT #1, ligne$
                                        PRINT #2, ligne$
                                LOOP
                        CLOSE #1
                        CLOSE #2

                        OPEN "C:\APOPHIS\SYSTEME\APOPHIS.DAT" FOR OUTPUT AS #1
                                PRINT #1, "module"
                                PRINT #1, "config"
                        CLOSE #1

                        CALL HideMouse
                    
                        LINE (90, 40)-(360, 210), 0, BF
                    
                        PUT (90, 40), fondFenetre
                    
                        CALL ShowMouse
                      
                        END
                END IF
               
                IF touche$ = CHR$(13) THEN
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR INPUT AS #1
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.TMP" FOR OUTPUT AS #2
                                INPUT #1, inutile$
                                INPUT #1, inutile$
                              
                                INPUT #1, couleurFondEcran$
                                INPUT #1, couleurLignesFondEcran$
                              
                                DO WHILE NOT EOF(1)
                                        INPUT #1, ligne$
                                        PRINT #2, ligne$
                                LOOP
                        CLOSE #1
                        CLOSE #2
                   
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.TMP" FOR INPUT AS #1
                        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR OUTPUT AS #2
                                PRINT #2, "[GENERAL]"
                                PRINT #2, ""

                                PRINT #2, couleurFondEcran$
                                PRINT #2, couleurLignesFondEcran$
                   
                                PRINT #2, styleFenetres$
                               
                                INPUT #1, inutile$

                                DO WHILE NOT EOF(1)
                                        INPUT #1, ligne$
                                        PRINT #2, ligne$
                                LOOP
                        CLOSE #1
                        CLOSE #2

                        OPEN "C:\APOPHIS\SYSTEME\APOPHIS.DAT" FOR OUTPUT AS #1
                                PRINT #1, "module"
                                PRINT #1, "config"
                        CLOSE #1

                        CALL HideMouse
                     
                        LINE (90, 40)-(360, 210), 0, BF
                     
                        PUT (90, 40), fondFenetre
                     
                        CALL ShowMouse
                       
                        END
                END IF
       
        LOOP

        END

END IF

' ---------------------------------------------------------------------------

IF COMMAND$ = "/APOPHIS" THEN

        SCREEN 12
       
        OPEN "C:\APOPHIS\SYSTEME\BUREAU.INI" FOR INPUT AS #1
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, inutile$
                INPUT #1, styleFenetres$
        CLOSE #1
       
        OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR INPUT AS #1
                INPUT #1, typeCommande$
       
                IF typeCommande$ = "closeFen" THEN
               
                        INPUT #1, x
                        INPUT #1, y
                        INPUT #1, ButStat

                        SELECT CASE styleFenetres$
                                CASE "style fenetres=windows 95"
                                        close95 x, y, ButStat
                                CASE "style fenetres=windows 95 modifie"
                                        CloseFen x, y - 1, ButStat
                                CASE "style fenetres=terminal"
                                        CloseTerminal x, y - 1, ButStat
                  '              CASE "style fenetres=macintosh modifie"
                  '                      CloseMac x, y, ButStat
                        END SELECT
       
                ELSE
               
                        x1 = VAL(typeCommande$)
               
                        INPUT #1, y1
                        INPUT #1, x2
                        INPUT #1, y2
                        INPUT #1, FenStat
                        INPUT #1, titre$
                       
                        SELECT CASE styleFenetres$
                                CASE "style fenetres=windows 95"
                                        form95gris x1, y1, x2, y2, FenStat, titre$
                                CASE "style fenetres=windows 95 modifie"
                                        formgris x1, y1, x2, y2, titre$
                                CASE "style fenetres=terminal"
                                        formTerminal x1, y1, x2, y2, titre$
                  '              CASE "style fenetres=macintosh modifie"
                  '                      formMac x1, y1, x2, y2, titre$
                        END SELECT
       
                END IF

        CLOSE #1
       
        END

ELSE
     
        SCREEN 0
        COLOR 7, 0
        CLS
        PRINT "ͻ"
        PRINT " FENETRES.EXE     Programme annexe du systme APOPHIS    Version 1.00       "
        PRINT "ͼ"
        PRINT ""
        PRINT ""
        COLOR 10
        PRINT "Ce programme est utilis par le systme d'exploitation APOPHIS."
        PRINT ""
        PRINT "Il ne peux tre utilis indpendament."
        SLEEP
        END

END IF

10000
        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #100
                PRINT #100, "APOPHIS - configuration"
                PRINT #100, "Beta 1.0"
                PRINT #100, ERR
        CLOSE #100

        CHDIR "C:\APOPHIS\SYSTEME"
        SHELL "ERREUR /APOPHIS"

        OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR INPUT AS #100
                INPUT #100, erreurConfig$
        CLOSE #100

        IF erreurConfig$ = "fermer" THEN
                END
        END IF

        IF erreurConfig$ = "continuer" THEN RESUME
     
        GOTO Debut

SUB barreAide (Aide$)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

FOR i = 466 TO 479
        LINE (1, i)-(640, i), 7
NEXT i

LINE (1, 466)-(640, 466), 15

font Aide$, 5, 470, 4

END SUB

SUB boutonAnnuler (l%, c%)

FOR A% = l% TO l% + 40
LINE (A%, c%)-(A%, c% + 15), 7
NEXT A%

LINE (l%, c%)-(l% + 40, c%), 15
LINE -(l% + 40, c% + 15), 0
LINE -(l%, c% + 15), 0
LINE (l%, c% + 14)-(l%, c%), 15
LINE (l% + 1, c% + 14)-(l% + 39, c% + 14), 8
LINE (l% + 39, c% + 1)-(l% + 39, c% + 14), 8

LINE (l% + 17, c% + 4)-(l% + 25, c% + 10), 4
LINE (l% + 17, c% + 10)-(l% + 25, c% + 4), 4
LINE (l% + 16, c% + 4)-(l% + 24, c% + 10), 4
LINE (l% + 16, c% + 10)-(l% + 24, c% + 4), 4
LINE (l% + 18, c% + 4)-(l% + 26, c% + 10), 4
LINE (l% + 18, c% + 10)-(l% + 26, c% + 4), 4
PSET (l% + 26, c% + 10), 7
PSET (l% + 26, c% + 4), 7

END SUB

SUB boutonOk (l%, c%)

FOR A% = l% TO l% + 40
LINE (A%, c%)-(A%, c% + 15), 7
NEXT A%

LINE (l%, c%)-(l% + 40, c%), 15
LINE -(l% + 40, c% + 15), 0
LINE -(l%, c% + 15), 0
LINE (l%, c% + 14)-(l%, c%), 15
LINE (l% + 1, c% + 14)-(l% + 39, c% + 14), 8
LINE (l% + 39, c% + 1)-(l% + 39, c% + 14), 8

LINE (l% + 15, c% + 6)-(l% + 18, c% + 11), 2
LINE (l% + 16, c% + 6)-(l% + 19, c% + 11), 2
LINE (l% + 14, c% + 6)-(l% + 17, c% + 11), 2

LINE (l% + 27, c% + 4)-(l% + 19, c% + 11), 2
LINE (l% + 28, c% + 4)-(l% + 20, c% + 11), 2
LINE (l% + 26, c% + 4)-(l% + 18, c% + 11), 2

PSET (l% + 17, c% + 11), 7

END SUB

SUB center (ligne%, texte$)

LOCATE ligne%, 41 - LEN(texte$) / 2
PRINT texte$

END SUB

SUB centrer (row, text$)
    LOCATE row, 41 - LEN(text$) / 2
    PRINT text$;
END SUB

FUNCTION clickFermer (x1%, y1%, x2%, y2%)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

IF GetMouseLButton = False OR mousex% < (x2% - 21) OR mousex% > (x2% - 21 + 14) OR mousey% < (y1% + 6) OR mousey% > (y1% + 6 + 14) THEN clickFermer = False: EXIT FUNCTION

clickFermer = True

END FUNCTION

SUB close95 (x, y, ButStat)

IF ButStat = 0 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 12), 15
        LINE (x, y)-(x + 14, y), 15
        LINE (x + 15, y + 14)-(x + 15, y), 0
        LINE (x, y + 14)-(x + 15, y + 14), 0
        LINE (x + 1, y + 13)-(x + 14, y + 13), 8
        LINE (x + 14, y + 1)-(x + 14, y + 13), 8
        LINE (x + 4, y + 4)-(x + 5, y + 4), 0
        LINE (x + 5, y + 5)-(x + 6, y + 5), 0
        LINE (x + 6, y + 6)-(x + 7, y + 6), 0
        LINE (x + 7, y + 7)-(x + 8, y + 7), 0
        LINE (x + 8, y + 8)-(x + 9, y + 8), 0
        LINE (x + 9, y + 9)-(x + 10, y + 9), 0
        LINE (x + 10, y + 10)-(x + 11, y + 10), 0
        LINE (x + 10, y + 4)-(x + 11, y + 4), 0
        LINE (x + 9, y + 5)-(x + 10, y + 5), 0
        LINE (x + 8, y + 6)-(x + 9, y + 6), 0
        LINE (x + 7, y + 7)-(x + 8, y + 7), 0
        LINE (x + 6, y + 8)-(x + 7, y + 8), 0
        LINE (x + 5, y + 9)-(x + 6, y + 9), 0
        LINE (x + 4, y + 10)-(x + 5, y + 10), 0
END IF

IF ButStat = 1 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 13), 0
        LINE (x, y)-(x + 14, y), 0
        LINE (x + 1, y + 1)-(x + 14, y + 1), 8
        LINE (x + 1, y + 1)-(x + 1, y + 13), 8
        LINE (x + 15, y + 14)-(x + 15, y), 15
        LINE (x, y + 14)-(x + 15, y + 14), 15
        LINE (x + 5, y + 4)-(x + 6, y + 4), 0
        LINE (x + 6, y + 5)-(x + 7, y + 5), 0
        LINE (x + 7, y + 6)-(x + 8, y + 6), 0
        LINE (x + 8, y + 7)-(x + 9, y + 7), 0
        LINE (x + 9, y + 8)-(x + 10, y + 8), 0
        LINE (x + 10, y + 9)-(x + 11, y + 9), 0
        LINE (x + 11, y + 10)-(x + 12, y + 10), 0
        LINE (x + 11, y + 4)-(x + 12, y + 4), 0
        LINE (x + 10, y + 5)-(x + 11, y + 5), 0
        LINE (x + 9, y + 6)-(x + 10, y + 6), 0
        LINE (x + 8, y + 7)-(x + 9, y + 7), 0
        LINE (x + 7, y + 8)-(x + 8, y + 8), 0
        LINE (x + 6, y + 9)-(x + 7, y + 9), 0
        LINE (x + 5, y + 10)-(x + 6, y + 10), 0
END IF

IF ButStat = 2 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 12), 15
        LINE (x, y)-(x + 14, y), 15
        LINE (x + 15, y + 14)-(x + 15, y), 0
        LINE (x, y + 14)-(x + 15, y + 14), 0
        LINE (x + 1, y + 13)-(x + 14, y + 13), 8
        LINE (x + 14, y + 1)-(x + 14, y + 13), 8
        LINE (x + 4, y + 4)-(x + 5, y + 4), 8
        LINE (x + 5, y + 5)-(x + 6, y + 5), 8
        LINE (x + 6, y + 6)-(x + 7, y + 6), 8
        LINE (x + 7, y + 7)-(x + 8, y + 7), 8
        LINE (x + 8, y + 8)-(x + 9, y + 8), 8
        LINE (x + 9, y + 9)-(x + 10, y + 9), 8
        LINE (x + 10, y + 10)-(x + 11, y + 10), 8
        LINE (x + 10, y + 4)-(x + 11, y + 4), 8
        LINE (x + 9, y + 5)-(x + 10, y + 5), 8
        LINE (x + 8, y + 6)-(x + 9, y + 6), 8
        LINE (x + 7, y + 7)-(x + 8, y + 7), 8
        LINE (x + 6, y + 8)-(x + 7, y + 8), 8
        LINE (x + 5, y + 9)-(x + 6, y + 9), 8
        LINE (x + 4, y + 10)-(x + 5, y + 10), 8
END IF

IF ButStat = 3 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 13), 0
        LINE (x, y)-(x + 14, y), 0
        LINE (x + 1, y + 1)-(x + 14, y + 1), 8
        LINE (x + 1, y + 1)-(x + 1, y + 13), 8
        LINE (x + 15, y + 14)-(x + 15, y), 15
        LINE (x, y + 14)-(x + 15, y + 14), 15
        LINE (x + 5, y + 4)-(x + 6, y + 4), 8
        LINE (x + 6, y + 5)-(x + 7, y + 5), 8
        LINE (x + 7, y + 6)-(x + 8, y + 6), 8
        LINE (x + 8, y + 7)-(x + 9, y + 7), 8
        LINE (x + 9, y + 8)-(x + 10, y + 8), 8
        LINE (x + 10, y + 9)-(x + 11, y + 9), 8
        LINE (x + 11, y + 10)-(x + 12, y + 10), 8
        LINE (x + 11, y + 4)-(x + 12, y + 4), 8
        LINE (x + 10, y + 5)-(x + 11, y + 5), 8
        LINE (x + 9, y + 6)-(x + 10, y + 6), 8
        LINE (x + 8, y + 7)-(x + 9, y + 7), 8
        LINE (x + 7, y + 8)-(x + 8, y + 8), 8
        LINE (x + 6, y + 9)-(x + 7, y + 9), 8
        LINE (x + 5, y + 10)-(x + 6, y + 10), 8
END IF

END SUB

SUB CloseFen (x, y, ButStat)

IF ButStat = 0 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 12), 3
        LINE (x, y)-(x + 14, y), 3
        LINE (x + 15, y + 14)-(x + 15, y), 0
        LINE (x, y + 14)-(x + 15, y + 14), 0
        LINE (x, y + 13)-(x + 14, y + 13), 9
        LINE (x + 14, y + 1)-(x + 14, y + 13), 9
        LINE (x + 4, y + 4)-(x + 5, y + 4), 1
        LINE (x + 5, y + 5)-(x + 6, y + 5), 1
        LINE (x + 6, y + 6)-(x + 7, y + 6), 1
        LINE (x + 7, y + 7)-(x + 8, y + 7), 1
        LINE (x + 8, y + 8)-(x + 9, y + 8), 1
        LINE (x + 9, y + 9)-(x + 10, y + 9), 1
        LINE (x + 10, y + 10)-(x + 11, y + 10), 1
        LINE (x + 10, y + 4)-(x + 11, y + 4), 1
        LINE (x + 9, y + 5)-(x + 10, y + 5), 1
        LINE (x + 8, y + 6)-(x + 9, y + 6), 1
        LINE (x + 7, y + 7)-(x + 8, y + 7), 1
        LINE (x + 6, y + 8)-(x + 7, y + 8), 1
        LINE (x + 5, y + 9)-(x + 6, y + 9), 1
        LINE (x + 4, y + 10)-(x + 5, y + 10), 1
END IF

IF ButStat = 1 THEN
        LINE (x, y)-(x + 15, y + 13), 7, BF
        LINE (x, y)-(x, y + 13), 0
        LINE (x, y)-(x + 14, y), 0
        LINE (x + 1, y + 1)-(x + 14, y + 1), 9
        LINE (x + 1, y + 1)-(x + 1, y + 13), 9
        LINE (x + 15, y + 14)-(x + 15, y), 3
        LINE (x, y + 14)-(x + 15, y + 14), 3
        LINE (x + 5, y + 4)-(x + 6, y + 4), 1
        LINE (x + 6, y + 5)-(x + 7, y + 5), 1
        LINE (x + 7, y + 6)-(x + 8, y + 6), 1
        LINE (x + 8, y + 7)-(x + 9, y + 7), 1
        LINE (x + 9, y + 8)-(x + 10, y + 8), 1
        LINE (x + 10, y + 9)-(x + 11, y + 9), 1
        LINE (x + 11, y + 10)-(x + 12, y + 10), 1
        LINE (x + 11, y + 4)-(x + 12, y + 4), 1
        LINE (x + 10, y + 5)-(x + 11, y + 5), 1
        LINE (x + 9, y + 6)-(x + 10, y + 6), 1
        LINE (x + 8, y + 7)-(x + 9, y + 7), 1
        LINE (x + 7, y + 8)-(x + 8, y + 8), 1
        LINE (x + 6, y + 9)-(x + 7, y + 9), 1
        LINE (x + 5, y + 10)-(x + 6, y + 10), 1
END IF

END SUB

SUB CloseTerminal (x, y, ButStat)

IF ButStat = 0 THEN
        PAINT (x + 10, y + 4), 0, 8
END IF

IF ButStat = 1 THEN
        PAINT (x + 10, y + 4), 2, 8
END IF

END SUB

SUB dessinBureau (x%, y%, couleurFondEcran%, couleurFondLignes%)

LINE (x% + 4, y% + 14)-(x% + 115, y% + 94), 0, B
LINE (x% + 5, y% + 15)-(x% + 114, y% + 93), 0, B
LINE (x% + 6, y% + 16)-(x% + 113, y% + 92), 0, B

LINE (x% + 109, y% + 17)-(x% + 112, y% + 88), 15, BF
LINE (x% + 108, y% + 17)-(x% + 108, y% + 88), 7
LINE (x% + 107, y% + 17)-(x% + 107, y% + 88), 8
LINE (x% + 106, y% + 17)-(x% + 106, y% + 88), 0
LINE (x% + 7, y% + 89)-(x% + 112, y% + 89), 8
LINE (x% + 7, y% + 90)-(x% + 112, y% + 91), 7, BF

FOR i = 0 TO 23
        LINE (x% + 7, y% + 17 + (3 * i))-(x% + 105, y% + 17 + (3 * i)), couleurFondLignes%
        LINE (x% + 7, y% + 18 + (3 * i))-(x% + 105, y% + 18 + (3 * i)), couleurFondEcran%
        LINE (x% + 7, y% + 19 + (3 * i))-(x% + 105, y% + 19 + (3 * i)), couleurFondEcran%
NEXT i

END SUB

SUB dessinEcran (x%, y%)

LINE (x%, y% + 98)-(x%, y% + 10), 0
LINE -(x% + 119, y% + 10), 0
LINE -(x% + 119, y% + 98), 0

LINE (x% + 3, y% + 95)-(x% + 3, y% + 3 + 10), 8
LINE -(x% + 116, y% + 3 + 10), 8
LINE (x% + 116, y% + 4 + 10)-(x% + 116, y% + 95), 15
LINE -(x% + 4, y% + 95), 15

LINE (x%, y% + 98)-(x% + 3, y% + 98), 0
LINE (x% + 4, y% + 99)-(x% + 19, y% + 99), 0
LINE (x% + 20, y% + 100)-(x% + 28, y% + 100), 0
LINE (x% + 29, y% + 101)-(x% + 39, y% + 101), 0
LINE (x% + 40, y% + 102)-(x% + 79, y% + 102), 0
LINE (x% + 80, y% + 101)-(x% + 90, y% + 101), 0
LINE (x% + 91, y% + 100)-(x% + 99, y% + 100), 0
LINE (x% + 100, y% + 99)-(x% + 115, y% + 99), 0
LINE (x% + 116, y% + 98)-(x% + 119, y% + 98), 0

LINE (x% + 39, y% + 103)-(x% + 38, y% + 103), 0
LINE (x% + 37, y% + 104)-(x% + 36, y% + 104), 0
PSET (x% + 35, y% + 105), 0
PSET (x% + 34, y% + 106), 0
PSET (x% + 33, y% + 107), 0
PSET (x% + 32, y% + 108), 0
PSET (x% + 31, y% + 109), 0
LINE (x% + 80, y% + 103)-(x% + 81, y% + 103), 0
LINE (x% + 82, y% + 104)-(x% + 83, y% + 104), 0
PSET (x% + 84, y% + 105), 0
PSET (x% + 85, y% + 106), 0
PSET (x% + 86, y% + 107), 0
PSET (x% + 87, y% + 108), 0
PSET (x% + 88, y% + 109), 0
LINE (x% + 31, y% + 110)-(x% + 88, y% + 110), 0

LINE (x% + 46, y% + 99)-(x% + 49, y% + 100), 10, BF
LINE (x% + 52, y% + 99)-(x% + 55, y% + 100), 8, BF
LINE (x% + 58, y% + 99)-(x% + 61, y% + 100), 8, BF
LINE (x% + 64, y% + 99)-(x% + 67, y% + 100), 8, BF
LINE (x% + 70, y% + 99)-(x% + 73, y% + 100), 8, BF

LINE (x% + 40, y% + 103)-(x% + 62, y% + 103), 8
LINE (x% + 38, y% + 104)-(x% + 54, y% + 104), 8
LINE (x% + 36, y% + 105)-(x% + 45, y% + 105), 8
LINE (x% + 35, y% + 106)-(x% + 38, y% + 106), 8
PSET (x% + 34, y% + 107), 8
LINE (x% + 84, y% + 108)-(x% + 86, y% + 108), 8
LINE (x% + 77, y% + 109)-(x% + 87, y% + 109), 8

END SUB

SUB fenetre (row1, col1, row2, col2, titrebox2$) STATIC

    BoxWidth = col2 - col1 + 1

    COLOR 7, 0
  
    LOCATE row1, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";

    FOR A% = row1 + 1 TO row2 - 1
        LOCATE A, col1
        PRINT ""; SPACE$(BoxWidth - 2); "";
    NEXT A

    LOCATE row2, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";

    LOCATE row1 + 2, col1
    PRINT ""; STRING$(BoxWidth - 2, ""); "";
  
    COLOR 0, 7
    LOCATE row1 + 1, col1 + 1
    PRINT SPACE$(BoxWidth - 2)

    COLOR 15, 7
  
    LOCATE row1 + 1, col1 + 2
    PRINT ""; " "; titrebox2$

    COLOR 7, 0

END SUB

SUB font (aecrire$, l%, c%, col%)

IF aecrire$ = "" THEN EXIT SUB

FOR A% = 1 TO LEN(aecrire$)
        SELECT CASE MID$(UCASE$(aecrire$), A%, 1)
                CASE "A"
                        LINE (l%, c% + 1)-(l%, c% + 6), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 6), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                    
                CASE "B"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE -(l% + 3, c% + 6), col%
                        LINE (l%, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l%, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "C"
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 0, c% + 1), col%
                        LINE (l%, c% + 2)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "D"
                        LINE (l%, c%)-(l% + 3, c%), col%
                        LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
                        LINE (l%, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 5), col%
                CASE "E"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "F"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
                        PSET (l% + 4, c% + 1), col%
                CASE "G"
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        PSET (l% + 0, c% + 1), col%
                        LINE (l%, c% + 2)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                        PSET (l% + 3, c% + 4), col%
                CASE "H"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 3)-(l% + 4, c% + 3), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
                CASE "I"
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                CASE "J"
                        LINE (l% + 3, c%)-(l% + 3, c% + 5), col%
                        LINE (l% + 1, c%)-(l% + 4, c%), col%
                        LINE (l% + 2, c% + 6)-(l% + 1, c% + 6), col%
                        LINE (l%, c% + 5)-(l%, c% + 4), col%
                CASE "K"
                        LINE (l%, c%)-(l%, c% + 6), col%
                        LINE (l%, c% + 4)-(l% + 4, c%), col%
                        LINE (l%, c% + 2)-(l% + 4, c% + 6), col%
                CASE "L"
                        LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                        PSET (l% + 4, c% + 5), col%
                CASE "M"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        PSET (l% + 1, c% + 1), col%
                        PSET (l% + 3, c% + 1), col%
                        LINE (l% + 2, c% + 2)-(l% + 2, c% + 3), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
                CASE "N"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE -(l% + 4, c%), col%
                CASE "O"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                CASE "P"
                        LINE (l%, c% + 6)-(l%, c%), col%
                        LINE -(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l%, c% + 3), col%
                    
                CASE "Q"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 2, c% + 6), col%
                        LINE (l% + 3, c% + 4)-(l% + 3, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 2, c%), col%
                        PSET (l% + 4, c% + 6), col%
                        PSET (l% + 3, c% + 6), col%
                        PSET (l% + 3, c% + 5), col%
                CASE "R"
                        LINE (l%, c% + 6)-(l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
                        LINE (l% + 2, c% + 3)-(l% + 4, c% + 6), col%
                CASE "S"
                        LINE (l% + 4, c%)-(l% + 1, c%), col%
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l%, c% + 6), col%
                CASE "T"
                        LINE (l%, c% + 1)-(l%, c%), col%
                        LINE -(l% + 4, c%), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                CASE "U"
                        LINE (l%, c%)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c%), col%
                CASE "V"
                        LINE (l%, c%)-(l%, c% + 4), col%
                        LINE -(l% + 2, c% + 6), col%
                        LINE -(l% + 4, c% + 4), col%
                        LINE -(l% + 4, c%), col%
                CASE "W"
                        LINE (l%, c%)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 2, c% + 3), col%
                        PSET (l% + 3, c% + 6), col%
                        LINE (l% + 4, c%)-(l% + 4, c% + 5), col%
                CASE "X"
                        LINE (l%, c%)-(l%, c% + 1), col%
                        LINE -(l% + 4, c% + 5), col%
                        LINE -(l% + 4, c% + 6), col%
                        LINE (l%, c% + 6)-(l%, c% + 5), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE -(l% + 4, c%), col%
                CASE "Y"
                        LINE (l%, c% + 1)-(l% + 2, c% + 3), col%
                        LINE -(l% + 4, c% + 1), col%
                        LINE (l% + 2, c% + 3)-(l% + 2, c% + 6), col%
                        PSET (l%, c%), col%
                        PSET (l% + 4, c%), col%
                CASE "Z"
                        LINE (l%, c%)-(l% + 4, c%), col%
                        LINE (l% + 4, c% + 1)-(l%, c% + 5), col%
                        LINE (l%, c% + 6)-(l% + 4, c% + 6), col%
                        PSET (l%, c% + 1), col%
                        PSET (l% + 4, c% + 5), col%
                CASE ","
                        PSET (l% + 1, c% + 5), col%
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 0, c% + 7), col%
                        l% = l% - 2
                CASE "."
                        PSET (l% + 1, c% + 6), col%
                        l% = l% - 2
                CASE ";"
                        PSET (l% + 1, c% + 5), col%
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 0, c% + 7), col%
                        PSET (l% + 1, c% + 2), col%
                        l% = l% - 2
                CASE "!"
                        l% = l% + 1
                        LINE (l% + 1, c%)-(l% + 1, c% + 4), col%
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l% + 2, c% + 1)-(l% + 2, c% + 2), col%
                        PSET (l% + 1, c% + 6), col%
                        l% = l% - 1
                CASE "'"
                        LINE (l% + 1, c% - 1)-(l% + 1, c%), col%
                        PSET (l%, c% + 1), col%
                        l% = l% - 2
                CASE ":"
                        PSET (l% + 1, c% + 6), col%
                        PSET (l% + 1, c% + 3), col%
                        l% = l% - 2
                CASE "\"
                        LINE (l%, c%)-(l% + 3, c% + 6), col%
                        l% = l% - 1
                CASE " "
                        l% = l% - 3
                CASE "?"
                        LINE (l% + 2, c%)-(l% + 4, c%), col%
                        PSET (l% + 1, c% + 1), col%
                        PSET (l% + 5, c% + 1), col%
                        PSET (l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 3, c% + 4), col%
                        PSET (l% + 3, c% + 6), col%
                CASE "="
                        LINE (l% + 1, c% + 5)-(l% + 3, c% + 5), col%
                        LINE (l% + 1, c% + 2)-(l% + 3, c% + 2), col%
                CASE "0"
                        LINE (l%, c% + 1)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                CASE "1"
                        LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
                        LINE (l% + 2, c%)-(l%, c% + 2), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                CASE "2"
                        PSET (l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE -(l%, c% + 6), col%
                        LINE -(l% + 4, c% + 6), col%
                CASE "3"
                        PSET (l%, c% + 1), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l% + 1, c% + 6), col%
                        PSET (l%, c% + 5), col%
                CASE "4"
                        LINE (l% + 2, c% + 6)-(l% + 4, c% + 6), col%
                        LINE (l% + 3, c% + 6)-(l% + 3, c%), col%
                        LINE -(l%, c% + 3), col%
                        LINE -(l% + 4, c% + 3), col%
                CASE "5"
                        LINE (l% + 4, c%)-(l%, c%), col%
                        LINE -(l%, c% + 3), col%
                        LINE -(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
                        LINE (l% + 3, c% + 6)-(l%, c% + 6), col%

                CASE "6"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l%, c% + 3)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        PSET (l% + 4, c% + 1), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                    
                CASE "7"
                        LINE (l%, c% + 1)-(l%, c%), col%
                        LINE -(l% + 4, c%), col%
                        LINE -(l% + 4, c% + 2), col%
                        LINE -(l% + 2, c% + 4), col%
                        LINE -(l% + 2, c% + 6), col%
               CASE "8"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        LINE (l%, c% + 4)-(l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "9"
                        LINE (l%, c% + 1)-(l%, c% + 2), col%
                        PSET (l%, c% + 5), col%
                        LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
                        LINE (l% + 1, c%)-(l% + 3, c%), col%
                        LINE (l% + 4, c% + 1)-(l% + 4, c% + 3), col%
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                        LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
                CASE "-"
                        LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
                CASE "_"
                        LINE (l% + 1, c% + 7)-(l% + 3, c% + 7), col%
                CASE ELSE
                        LINE (l%, c%)-(l% + 4, c% + 6), col%, BF
             
        END SELECT
        l% = l% + 6
NEXT A%

END SUB

SUB form95gris (x1, y1, x2, y2, FormStat, titre$)

IF FormStat = 0 THEN
        LINE (x1, y1)-(x2, y2), 0, B
        LINE (x1 + 1, y1 + 1)-(x2 - 1, y1 + 19), 1, BF
        LINE (x1, y1 + 19)-(x2, y1 + 19), 0
        LINE (x1 + 1, y1 + 20)-(x2 - 1, y2 - 1), 7, BF
END IF

IF FormStat = 1 THEN
        LINE (x1, y1)-(x2, y1), 7
        LINE (x1, y1 + 1)-(x2, y1 + 1), 15
        LINE (x1, y1 + 2)-(x2, y1 + 3), 7, B
        LINE (x1, y1)-(x1, y2), 7
        LINE (x1 + 1, y1 + 1)-(x1 + 1, y2), 15
        LINE (x1 + 2, y1 + 2)-(x1 + 3, y2), 7, B
        LINE (x1, y2)-(x2, y2), 0
        LINE (x1 + 1, y2 - 1)-(x2, y2 - 1), 8
        LINE (x1 + 2, y2 - 2)-(x2, y2 - 3), 7, B
        LINE (x2, y1)-(x2, y2), 0
        LINE (x2 - 1, y1 + 1)-(x2 - 1, y2 - 1), 8
        LINE (x2 - 2, y1 + 2)-(x2 - 3, y2 - 2), 7, B
        LINE (x1 + 4, y1 + 4)-(x2 - 4, y2 - 4), 7, BF
        LINE (x1 + 4, y1 + 4)-(x2 - 4, y1 + 22), 1, BF
        LINE (x1 + 4, y1 + 23)-(x2 - 4, y1 + 23), 7
END IF

IF FormStat = 2 THEN
        LINE (x1, y1)-(x2, y2), 0, B
        LINE (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 8, B
        LINE (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 7, B
        LINE (x1 + 3, y1 + 3)-(x2 - 3, y2 - 3), 7, BF
        LINE (x1 + 4, y1 + 4)-(x2 - 4, y1 + 22), 1, BF
        LINE (x1 + 2, y1 + 23)-(x2 - 2, y1 + 23), 7
END IF

font titre$, (x1 + 22), (y1 + 10), 15

close95 x2% - 21, y1% + 6, 0

END SUB

SUB formgris (x1, y1, x2, y2, titre$)

LINE (x1 + 1, y1 + 1)-(x2 - 1, y2 - 1), 7, BF

LINE (x1, y2 - 1)-(x1, y1), 15
LINE -(x2 - 1, y1), 15

LINE (x2, y1)-(x2, y2), 8
LINE -(x1, y2), 8

LINE (x1 + 2, y2 - 3)-(x1 + 2, y1 + 24), 8
LINE -(x2 - 3, y1 + 24), 8

LINE (x2 - 2, y1 + 24)-(x2 - 2, y2 - 2), 15
LINE -(x1 + 2, y2 - 2), 15

LINE (x1 + 4, y1 + 4)-(x2 - 4, y1 + 20), 1, BF
LINE (x1 + 3, y1 + 3)-(x2 - 3, y1 + 21), 9, B
LINE (x1 + 2, y1 + 2)-(x2 - 2, y1 + 22), 3, B

font titre$, (x1 + 22), (y1 + 10), 15

CloseFen x2 - 21, y1% + 5, 0

END SUB

SUB formMac (x1, y1, x2, y2, titre$)

LINE (x1, y1)-(x2, y2), 0, B

LINE (x1 + 1, y2 - 1)-(x1 + 1, y1 + 1), 15
LINE -(x2 - 1, y1 + 1), 15
LINE (x2 - 1, y1 + 2)-(x2 - 1, y2 - 1), 8
LINE -(x1 + 2, y2 - 1), 8

LINE (x1 + 2, y1 + 2)-(x2 - 2, y2 - 2), 7, BF

LINE (x1 + 4, y1 + 22)-(x1 + 4, y1 + 4), 8
LINE -(x1 + 22, y1 + 4), 8
LINE (x1 + 22, y1 + 5)-(x1 + 22, y1 + 22), 15
LINE -(x1 + 5, y1 + 22), 15
LINE (x1 + 5, y1 + 5)-(x1 + 21, y1 + 21), 1, BF

tailleTitre% = LEN(titre$) * 6
debutTitre% = ((x2 - x1) / 2 + x1) - (tailleTitre% / 2)
finTitre% = debutTitre% + tailleTitre%

LINE (x1 + 27, y1 + 8)-(debutTitre% - 5, y1 + 8), 15
LINE (x1 + 27, y1 + 9)-(debutTitre% - 5, y1 + 9), 8

LINE (x1 + 27, y1 + 12)-(debutTitre% - 5, y1 + 12), 15
LINE (x1 + 27, y1 + 13)-(debutTitre% - 5, y1 + 13), 8

LINE (x1 + 27, y1 + 16)-(debutTitre% - 5, y1 + 16), 15
LINE (x1 + 27, y1 + 17)-(debutTitre% - 5, y1 + 17), 8

font titre$, debutTitre%, (y1 + 9), 15

LINE (finTitre% + 5, y1 + 8)-(x2 - 10, y1 + 8), 15
LINE (finTitre% + 5, y1 + 9)-(x2 - 10, y1 + 9), 8


CloseFen x2 - 21, y1% + 5, 0

END SUB

SUB formTerminal (x1, y1, x2, y2, titre$)

tierX = INT((x2 - x1) / 3)
tierY = INT((y2 - y1) / 3)

LINE (x1 + 2, y1 + 3)-(x2 - 24, y1 + 21), 0, BF
LINE (x1 + 2, y1 + 3)-(x2 - 24, y1 + 21), 10, B

LINE (x2 - 1, y1 + 22)-(x2 - 1, y2 - 1), 10
LINE -(x1, y2 - 1), 10
LINE -(x1, y1 + 1), 10

LINE (x1 + 2, y1 + 2)-(x1 + 2, y2 - 3), 8
LINE -(x2 - 3, y2 - 3), 8
LINE -(x2 - 3, y1 + 22), 8

LINE (x1 + 1, y1 + 2)-(x1 + 1, y2 - 2), 2
LINE -(x2 - 2, y2 - 2), 2
LINE -(x2 - 2, y1 + 22), 2

LINE (x1 + 2, y1 + 4)-(x2 - 25, y1 + 4), 2
LINE -(x2 - 25, y1 + 20), 2
LINE (x1 + 3, y1 + 5)-(x2 - 26, y1 + 5), 8
LINE -(x2 - 26, y1 + 20), 8

LINE (x1 + 3, y1 + 22)-(x2 - 4, y2 - 4), 7, BF

LINE (x2 - 24, y1 + 21)-(x2 - 2, y1 + 21), 10
LINE (x2 - 23, y1 + 22)-(x2 - 2, y1 + 22), 2
LINE (x2 - 23, y1 + 23)-(x2 - 3, y1 + 23), 8

LINE (x2 - 22, y1 + 22)-(x2 - 25, y1 + 20), 2
LINE (x2 - 22, y1 + 23)-(x2 - 26, y1 + 20), 8

PSET (x2 - 23, y1 + 20), 10

PSET (x1 - 2, y1), 10

LINE (x1 - 1, y1 - 1)-(x1, y1 - 1), 10
LINE (x1 + 1, y1 - 2)-(x1 + tierX - 6, y1 - 2), 10
LINE (x1 + tierX - 4, y1 - 1)-(x1 + tierX - 6, y1 - 1), 10
LINE (x1 + tierX - 2, y1)-(x1 + tierX - 4, y1), 10
LINE (x1 + tierX, y1 + 1)-(x1 + tierX - 2, y1 + 1), 10
LINE (x1 + tierX + 2, y1 + 2)-(x1 + tierX, y1 + 2), 10
  
LINE (x1 + 1, y1 - 1)-(x1 + tierX - 6, y1 - 1), 2
LINE (x1 - 1, y1)-(x1 + tierX - 4, y1), 2
LINE (x1 - 2, y1 + 1)-(x1 + tierX - 2, y1 + 1), 2
LINE (x1 - 2, y1 + 2)-(x1 + tierX, y1 + 2), 2
LINE (x1 - 3, y1 + 3)-(x1 + tierX + 2, y1 + 3), 2

LINE (x1 - 3, y1 + 1)-(x1 - 3, y1 + 2), 10
LINE (x1 - 4, y1 + 3)-(x1 - 4, y1 + tierY - 6), 10
LINE (x1 - 3, y1 + tierY - 6)-(x1 - 3, y1 + tierY - 4), 10
LINE (x1 - 2, y1 + tierY - 4)-(x1 - 2, y1 + tierY - 2), 10
LINE (x1 - 1, y1 + tierY - 2)-(x1 - 1, y1 + tierY), 10

LINE (x1 - 3, y1 + 4)-(x1 - 3, y1 + tierY - 6), 2
LINE (x1 - 2, y1 + 4)-(x1 - 2, y1 + tierY - 4), 2
LINE (x1 - 1, y1 + 4)-(x1 - 1, y1 + tierY - 2), 2
LINE (x1, y1 + 3)-(x1, y1 + tierY), 2
LINE (x1 + 1, y1 + 4)-(x1 + 1, y1 + tierY + 2), 2

PSET (x1 + 1, y2 - 10), 8
PSET (x1 + 9, y2 - 2), 8

PSET (x2 - 2, y2 - 10), 8
PSET (x2 - 9, y2 - 2), 8

font titre$, (x1 + 22), (y1 + 10), 10

x = x2% - 21
y = y1% + 6

FOR i = 1 TO 21
        CIRCLE (x + 10, y + 4), i / 3, 0
NEXT i

CIRCLE (x + 10, y + 4), 7, 10
     
PAINT (x + 10, y + 4), 2, 10
     
CIRCLE (x + 10, y + 4), 5, 8

PAINT (x + 10, y + 4), 0, 8

END SUB

DEFSNG A-Z
FUNCTION GetMouseLButton
'------------------------------------------------
'|                                              |
'| Renvoi l'tat du bouton gauche de la souris: |
'|    + TRUE si enfonc                         |
'|    + FALSE si relach                        |
'|                                              |
'------------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 1 OR bx% = 3 THEN GetMouseLButton = True ELSE GetMouseLButton = False
DEF SEG
END FUNCTION

FUNCTION GetMouseRButton
'-----------------------------------------------
'|                                             |
'| Renvoi l'tat du bouton droit de la souris: |
'|    + TRUE si enfonc                        |
'|    + FALSE si relach                       |
'|                                             |
'-----------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 2 OR bx% = 3 THEN GetMouseRButton = True ELSE GetMouseRButton = False
DEF SEG
END FUNCTION

FUNCTION GetMouseX
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes X de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseX = cx%
DEF SEG
END FUNCTION

FUNCTION GetMouseY
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes Y de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseY = dx%
DEF SEG
END FUNCTION

SUB HideMouse
'----------------------------------
'|                                |
'| Masque le curseur de la souris |
'|                                |
'----------------------------------
DEF SEG = SegAsm%
ax% = 2
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

FUNCTION InitMouse
'-----------------------------------------
'|                                       |
'| Initialise la souris                  |
'|    + TRUE si une souris est dtecte  |
'|    + FALSE si aucune souris dtecte  |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 0
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF ax% = 0 THEN InitMouse = False ELSE InitMouse = True
DEF SEG
END FUNCTION

SUB MoveMouse (x%, y%)
'-----------------------------------
'|                                 |
'| Dplace le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 4
cx% = x%
dx% = y%
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

DEFINT A-Z
FUNCTION onClick (x1%, y1%, x2%, y2%)
      
        mousex% = GetMouseX + 1
        mousey% = GetMouseY + 1

        IF mousex% > x1% AND mousex% < x2% AND mousey% > y1% AND mousey% < y2% THEN onClick = True ELSE onClick = False

END FUNCTION

SUB petitConfig (x%, y%)

LINE (x%, y%)-(x% + 3, y% + 1), 15, BF
LINE (x% + 1, y% + 2)-(x% + 1, y% + 5), 15
LINE (x% + 2, y% + 2)-(x% + 2, y% + 5), 7
LINE (x%, y% + 6)-(x% + 3, y% + 9), 6, BF
LINE (x% + 1, y% + 7)-(x% + 2, y% + 8), 4, BF
LINE (x% + 1, y% + 10)-(x% + 2, y% + 10), 6

LINE (x% + 7, y%)-(x% + 8, y%), 6
LINE (x% + 6, y% + 1)-(x% + 9, y% + 4), 6, BF
LINE (x% + 7, y% + 2)-(x% + 8, y% + 3), 4, BF
LINE (x% + 7, y% + 5)-(x% + 7, y% + 7), 15
LINE (x% + 8, y% + 5)-(x% + 8, y% + 7), 7
LINE (x% + 6, y% + 8)-(x% + 9, y% + 10), 8, BF
LINE (x% + 10, y% + 8)-(x% + 10, y% + 9), 8

END SUB

DEFSNG A-Z
SUB ShowMouse
'-----------------------------------
'|                                 |
'| Affiche le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 1
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

