' ---------------------------------------------------------------------------
'
' APOPHIS Bta Version 1.0 du 30/09/2002 - avancement 0.4
' Copyright (C) 2002 Loc EGGERMONT
'
' Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
' les termes de la Licence Publique Gnrale GNU publie par la Free Software
' Foundation (version 2).
'
' Ce programme est distribu car potentiellement utile, mais SANS AUCUNE
' GARANTIE, ni explicite ni implicite, y compris les garanties de
' commercialisation ou d'adaptation dans un but spcifique. Reportez-vous 
' la Licence Publique Gnrale GNU pour plus de dtails.
'
' Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
' temps que ce programme ; si ce n'est pas le cas, crivez :
'
' Free Software Foundation, Inc.,
' 59 Temple Place, Suite 330, Boston, MA 02111-1307, Etats-Unis.
'
' ---------------------------------------------------------------------------

DEFINT A-Z

DECLARE SUB petitDossier (x%, y%)
DECLARE SUB boutonSupprimer (l%, c%)
DECLARE SUB boutonNouveau (x%, y%, etat%)
DECLARE SUB petitInfo (x%, y%)
DECLARE SUB boutonInfos (l%, c%)
DECLARE SUB boutonExecuter (l%, c%)
DECLARE SUB bouton3 (x1%, y1%, x2%, y2%)
DECLARE SUB barreDefilement (pageActuelle%, nombreDePages%)
DECLARE SUB iconeTexte (l%, c%)
DECLARE SUB iconeProgrammeApophis (l%, c%)
DECLARE SUB iconeProgrammeDos (l%, c%)
DECLARE SUB fontput (z1%, y1%, in$, c%)
DECLARE SUB un (l%, c%)
DECLARE SUB zero (l%, c%)
DECLARE SUB iconeProgramme (l%, c%)
DECLARE SUB frame (x1%, y1%, x2%, y2%)
DECLARE SUB zoneIcones (x1%, y1%, x2%, y2%)
DECLARE SUB zoneTexte (x1%, y1%, x2%, y2%)
DECLARE SUB HideMouse ()
DECLARE SUB form (x1%, y1%, x2%, y2%, FormStat%, titre$)
DECLARE SUB boutonAnnuler (l%, c%)
DECLARE SUB boutonOk (l%, c%)
DECLARE SUB font (aecrire$, l%, c%, col%)
DECLARE SUB ShowMouse ()
DECLARE SUB barreAide (Aide$)
DECLARE FUNCTION clickFermer% (x1%, y1%, x2%, y2%)
DECLARE SUB closeFen (x%, y%, ButStat%)
DECLARE FUNCTION GetMouseRButton! ()
DECLARE FUNCTION GetMouseX% ()
DECLARE FUNCTION GetMouseY! ()
DECLARE FUNCTION initMouse! ()
DECLARE FUNCTION onClick! (x1%, y1%, x2%, y2%)
DECLARE FUNCTION GetMouseLButton% ()
DECLARE SUB BoutonDessin (l%, c%)
DECLARE SUB BoutonParametre (l%, c%)
DECLARE SUB boutonQuitter (l%, c%)
DECLARE SUB boutonAide (l%, c%, etat%)

CONST True = -1
CONST False = 0

DIM SHARED SegAsm%
DIM SHARED OffAsm%
DIM Asm%(56)

SegAsm% = VARSEG(Asm%(0))
OffAsm% = VARPTR(Asm%(0))
DEF SEG = SegAsm%
FOR i% = LBOUND(Asm%, 1) TO UBOUND(Asm%, 1)
READ Octet%
POKE OffAsm% + i%, Octet%
NEXT i%
DEF SEG

DATA &H55,&H89,&HE5,&H8B,&H5E,&H0C,&H8B,&H07,&H50,&H8B
DATA &H5E,&H0A,&H8B,&H07,&H50,&H8B,&H5E,&H08,&H8B,&H0F
DATA &H8B,&H5E,&H06,&H8B,&H17,&H5B,&H58,&H1E,&H07,&HCD
DATA &H33,&H53,&H8B,&H5E,&H0C,&H89,&H07,&H58,&H8B,&H5E
DATA &H0A,&H89,&H07,&H8B,&H5E,&H08,&H89,&H0F,&H8B,&H5E
DATA &H06,&H89,&H17,&H5D,&HCA,&H08,&H00

Debut:

ON ERROR GOTO 10000

IF COMMAND$ = "/APOPHIS" THEN
	SCREEN 12
       
	DIM fondFenetre(19000)
       
	OPEN "C:\APOPHIS\SYSTEME\GROUPES.DAT" FOR INPUT AS #1
		INPUT #1, typeDeDossier$
		INPUT #1, fichierGroupe$
	CLOSE #1

	i = 0
       
	OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR INPUT AS #1
		INPUT #1, inutile$
		INPUT #1, inutile$
	       
		DO WHILE NOT EOF(1)
			INPUT #1, ligne$
		       
			IF ligne$ <> "-" THEN i = i + 1 ELSE EXIT DO
		LOOP
	CLOSE #1
       
	nombreUnites% = (i + 1) / 10

	DIM nomUnite$(nombreUnites%)
	DIM cheminAccesUnite$(nombreUnites%)
	DIM typeUnite$(nombreUnites%)
	DIM programmeDefautUnite$(nombreUnites%)
	DIM commandeUnite$(nombreUnites%)
	DIM typeProgrammeUnite$(nombreUnites%)
	DIM lisezMoiUnite$(nombreUnites%)
	DIM auteurUnite$(nombreUnites%)
	DIM versionUnite$(nombreUnites%)
       
	OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR INPUT AS #1
		INPUT #1, inutile$
		INPUT #1, inutile$
	       
		FOR j = 1 TO nombreUnites%
			INPUT #1, bNomUnite$
			INPUT #1, bCheminAccesUnite$
			INPUT #1, bTypeUnite$
			INPUT #1, bProgrammeDefautUnite$
			INPUT #1, bCommandeUnite$
			INPUT #1, bTypeProgrammeUnite$
			INPUT #1, bLisezMoiUnite$
			INPUT #1, bAuteurUnite$
			INPUT #1, bVersionUnite$
	       
			nomUnite$(j) = RIGHT$(bNomUnite$, LEN(bNomUnite$) - 15)
			cheminAccesUnite$(j) = RIGHT$(bCheminAccesUnite$, LEN(bCheminAccesUnite$) - 26)
			typeUnite$(j) = RIGHT$(bTypeUnite$, LEN(bTypeUnite$) - 13)
			programmeDefautUnite$(j) = RIGHT$(bProgrammeDefautUnite$, LEN(bProgrammeDefautUnite$) - 32)
			commandeUnite$(j) = RIGHT$(bCommandeUnite$, LEN(bCommandeUnite$) - 18)
			typeProgrammeUnite$(j) = RIGHT$(bTypeProgrammeUnite$, LEN(bTypeProgrammeUnite$) - 18)
			lisezMoiUnite$(j) = RIGHT$(bLisezMoiUnite$, LEN(bLisezMoiUnite$) - 17)
			auteurUnite$(j) = RIGHT$(bAuteurUnite$, LEN(bAuteurUnite$) - 7)
			versionUnite$(j) = RIGHT$(bVersionUnite$, LEN(bVersionUnite$) - 8)
	       
			INPUT #1, inutile$
		NEXT j
	CLOSE #1

	nombreDePages% = 1 + INT(nombreUnites% / 9)

	pageActuelle% = 1
       
	form 150, 100, 490, 390, 1, typeDeDossier$

	petitDossier 157, 110

	boutonExecuter 157, 130
	boutonInfos 189, 130
	boutonSupprimer 221, 130
	boutonNouveau 253, 130, 0

	boutonAide 424, 130, 1
	boutonQuitter 456, 130

	GOSUB redessinerIcones

	barreDefilement pageActuelle%, nombreDePages%

	CALL ShowMouse

choix:

	DO
		touche$ = INKEY$

		ancienAide$ = Aide$

		IF onClick(157, 130, 182, 155) = True THEN Aide$ = "EXECUTER LE PROGRAMME SELECTIONNE OU OUVRIR LE FICHIER AVEC LE PROGRAMME APPROPRIE": GOTO suiteGroupes
		IF onClick(189, 130, 214, 155) = True THEN Aide$ = "OBTENIR DES INFORMATIONS SUR LA SELECTION": GOTO suiteGroupes
		IF onClick(221, 130, 246, 155) = True THEN Aide$ = "SUPPRIMER LE PROGRAMME OU LE FICHIER SELECTIONNE": GOTO suiteGroupes
		IF onClick(253, 130, 278, 155) = True THEN Aide$ = "AJOUTER UN NOUVEAU PROGRAMME OU UN NOUVEAU FICHIER": GOTO suiteGroupes
	       
		IF onClick(424, 130, 449, 155) = True THEN Aide$ = "OBTENIR DE L'AIDE SUR LE GESTIONNAIRE DE DOSSIERS": GOTO suiteGroupes
		IF onClick(456, 130, 481, 155) = True THEN Aide$ = "QUITTER LE GESTIONNAIRE DE DOSSIERS": GOTO suiteGroupes

		Aide$ = ""
     
suiteGroupes:

		IF ancienAide$ <> Aide$ THEN barreAide Aide$
	       
		IF touche$ = CHR$(27) THEN END
		IF clickFermer(150, 100, 490, 380) = True THEN END
		IF GetMouseLButton = True AND onClick(456, 130, 481, 155) = True THEN END
		
		IF GetMouseLButton = True AND onClick(189, 130, 214, 155) = True AND selection% <> 0 THEN
			CALL HideMouse
		       
			barreAide ""
		       
			GET (25, 25)-(216, 295), fondFenetre
		       
			form 30, 30, 216, 290, 1, nomUnite$(selection2%)
			petitInfo 38, 39

			font "Nom:", 40, 70, 1
			font nomUnite$(selection2%), 40, 80, 0

			font "Chemin d'acces:", 40, 100, 1
			IF LEN(cheminAccesUnite$(selection2%)) > 28 THEN
				font LEFT$(cheminAccesUnite$(selection2%), 28), 40, 110, 0
			ELSE
				font cheminAccesUnite$(selection2%), 40, 110, 0
			END IF

			SELECT CASE typeUnite$(selection2%)
				CASE "programme"
					font "Ligne de commande:", 40, 130, 1
					font commandeUnite$(selection2%), 40, 140, 0

					font "Type de programme:", 40, 160, 1
					font typeProgrammeUnite$(selection2%), 40, 170, 0

					font "Fichier LISEZ-MOI:", 40, 190, 1
					IF LEN(lisezMoiUnite$(selection2%)) > 28 THEN
						font RIGHT$(lisezMoiUnite$(selection2%), 28), 40, 200, 0
					ELSE
						font lisezMoiUnite$(selection2%), 40, 200, 0
					END IF
				       
					font "Auteur:", 40, 220, 1
					font auteurUnite$(selection2%), 40, 230, 0

					font "Version:", 40, 250, 1
					font versionUnite$(selection2%), 40, 260, 0
				CASE "fichier"
					font "Programme associe:", 40, 130, 1
					font programmeDefautUnite$(selection2%), 40, 140, 0
			END SELECT

			CALL ShowMouse
		       
			DO
				touche$ = INKEY$
			LOOP UNTIL touche$ = CHR$(27) OR touche$ = CHR$(13) OR clickFermer(30, 30, 215, 290) = True

			CALL HideMouse
			PUT (25, 25), fondFenetre, PSET
			CALL ShowMouse
		END IF

		IF GetMouseLButton = True AND onClick(221, 130, 246, 155) = True AND selection% <> 0 THEN
			CALL HideMouse
		       
			barreAide ""
		       
			GET (245, 175)-(395, 275), fondFenetre

			form 250, 180, 390, 270, 1, "Confirmation"

			font "Supprimer le lien?", 270, 220, 1

			boutonOk 270, 240
			boutonAnnuler 320, 240
		       
			CALL ShowMouse

			DO
				touche$ = INKEY$

				IF touche$ = CHR$(13) THEN EXIT DO
				IF GetMouseLButton = True AND onClick(270, 240, 310, 255) = True THEN EXIT DO

				IF touche$ = CHR$(27) OR clickFermer(250, 180, 390, 270) = True THEN
					CALL HideMouse
					PUT (245, 175), fondFenetre, PSET
					CALL ShowMouse

					GOTO choix
				END IF
				IF GetMouseLButton = True AND onClick(320, 240, 360, 255) = True THEN
					CALL HideMouse
					PUT (245, 175), fondFenetre, PSET
					CALL ShowMouse

					GOTO choix
				END IF
			LOOP
			
			OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR INPUT AS #1
			OPEN "C:\APOPHIS\SYSTEME\GROUPES.TMP" FOR OUTPUT AS #2
				DO WHILE NOT EOF(1)
					INPUT #1, ligne$
					PRINT #2, ligne$
				LOOP
			CLOSE #1
			CLOSE #2

			OPEN "C:\APOPHIS\SYSTEME\GROUPES.TMP" FOR INPUT AS #1
			OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR OUTPUT AS #2
				INPUT #1, ligne$
				PRINT #2, ligne$
				INPUT #1, ligne$
				PRINT #2, ligne$
			       
				IF nombreUnites% = 1 THEN
					PRINT #2, "-"
				ELSE
					FOR i = 1 TO (selection2% - 1) * 10
						INPUT #1, ligne$
						PRINT #2, ligne$
					NEXT i
				
					FOR i = 1 TO 10
						INPUT #1, inutile$
					NEXT i
			       
					IF selection2% = nombreUnites% THEN
						PRINT #2, "-"
					ELSE
						DO WHILE NOT EOF(1)
							INPUT #1, ligne$
							PRINT #2, ligne$
						LOOP
					END IF
				END IF
			CLOSE #1
			CLOSE #2
			       
			OPEN "C:\APOPHIS\SYSTEME\APOPHIS.DAT" FOR OUTPUT AS #1
				PRINT #1, "module"
				PRINT #1, "GROUPES"
			CLOSE #1
		       
			END

		END IF
			      
		IF GetMouseLButton = True AND onClick(253, 130, 278, 155) = True THEN
			CALL HideMouse
		       
			SCREEN 0

			PRINT "L'assistant d'ajout de lien du gestionnaire de groupes est en cours de"
			PRINT "programmation. Pour que vous permettre d'utiliser le gestionnaire, cette"
			PRINT "console remplace provisoiremement le futur assisitant."
			PRINT
			PRINT
			PRINT "Nom du lien:"
			INPUT "> ", nouveauNomUnite$
			PRINT
			PRINT "Chemin d'accs du programme ou fichier:"
			INPUT "> ", nouveauCheminAccesUnite$
			PRINT
			PRINT "Type de lien ('fichier' ou 'programme')"
			INPUT "> ", nouveauTypeUnite$
			PRINT
			PRINT "Programme par dfaut (fichier uniquement - pour un programme tapez 'Entre')"
			INPUT "> ", nouveauProgrammeDefautUnite$
			PRINT
			PRINT "Ligne de commande de l'unit (pour un programme DOS ayant besoins d'options)"
			INPUT "> ", nouveauCommandeUnite$
			PRINT
			PRINT "Type de programme ('dos' ou 'apophis' - pour un fichier tapez 'Entre')"
			INPUT "> ", nouveauTypeProgrammeUnite$
			PRINT
			PRINT "Fichier lisezmoi (programme uniquement - pour un fichier tapez 'Entre')"
			INPUT "> ", nouveauLisezMoiUnite$
			PRINT
			PRINT "Auteur du fichier ou du programme (facultatif)"
			INPUT "> ", nouveauAuteurUnite$
			PRINT
			PRINT "Version du programme (pour un fichier tapez 'Entre')"
			INPUT "> ", nouveauVersionUnite$
		       
			OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR INPUT AS #1
			OPEN "C:\APOPHIS\SYSTEME\GROUPES.TMP" FOR OUTPUT AS #2
				DO WHILE NOT EOF(1)
					INPUT #1, ligne$
					PRINT #2, ligne$
				LOOP
			CLOSE #1
			CLOSE #2

			OPEN "C:\APOPHIS\SYSTEME\GROUPES.TMP" FOR INPUT AS #1
			OPEN "C:\APOPHIS\SYSTEME\" + fichierGroupe$ FOR OUTPUT AS #2
				INPUT #1, ligne$
				PRINT #2, ligne$
				INPUT #1, ligne$
				PRINT #2, ligne$

				IF nombreUnites% <> 0 THEN
					FOR i = 1 TO (nombreUnites% * 10)
						INPUT #1, ligne$
					       
						IF ligne$ = "-" THEN
							PRINT #2, ""
						ELSE
							PRINT #2, ligne$
						END IF
					NEXT i
				END IF
		      
				PRINT #2, "nom de l'unite=" + nouveauNomUnite$
				PRINT #2, "chemin d'acces de l'unite=" + nouveauCheminAccesUnite$
				PRINT #2, "type d'unite=" + nouveauTypeUnite$
				PRINT #2, "programme par defaut de l'unite=" + nouveauProgrammeDefautUnite$
				PRINT #2, "ligne de commande=" + nouveauCommandeUnite$
				PRINT #2, "type de programme=" + nouveauTypeProgrammeUnite$
				PRINT #2, "fichier lisezmoi=" + nouveauLisezMoiUnite$
				PRINT #2, "auteur=" + nouveauAuteurUnite$
				PRINT #2, "version=" + nouveauVersionUnite$

				PRINT #2, "-"
			CLOSE #1
			CLOSE #2

			PRINT
			PRINT
			PRINT "Le nouveau lien a bien t ajout."
			PRINT "Appuyez sur une touche pour retourner sous l'interface APOPHIS..."

			DO: LOOP WHILE INKEY$ = ""
		       
			SCREEN 12

			OPEN "C:\APOPHIS\SYSTEME\APOPHIS.DAT" FOR OUTPUT AS #1
				PRINT #1, "module"
				PRINT #1, "GROUPES"
			CLOSE #1

			END
		
		END IF

		IF GetMouseLButton = True AND onClick(157, 130, 182, 155) = True AND selection% <> 0 THEN
executerUnite:       
			CALL HideMouse
			barreAide ""
			CALL ShowMouse
		       
			IF typeUnite$(selection2%) = "programme" THEN
				i = 0
			       
				DO
					i = i + 1
				       
					lettre$ = MID$(cheminAccesUnite$(selection2%), LEN(cheminAccesUnite$(selection2%)) - i, 1)
				LOOP UNTIL lettre$ = "\"

				programme$ = RIGHT$(cheminAccesUnite$(selection2%), i)
				programme$ = LEFT$(programme$, LEN(programme$) - 4)

				OPEN "C:\APOPHIS\SYSTEME\APOPHIS.DAT" FOR OUTPUT AS #1
			       
				PRINT #1, "programme"
			       
				PRINT #1, LEFT$(cheminAccesUnite$(selection2%), LEN(cheminAccesUnite$(selection2%)) - i - 1)
				
				IF typeProgrammeUnite$(selection2) = "apophis" THEN
					PRINT #1, programme$
					PRINT #1, "apophis"
				ELSE
					IF commandeUnite$(selection2%) <> "aucune" THEN
						PRINT #1, programme$ + commandeUnite$(selection2%)
						PRINT #1, "dos"
					ELSE
						PRINT #1, programme$
						PRINT #1, "dos"
					END IF
				END IF
			       
				CLOSE #1

				END
			END IF

			
		' ------ GESTION DES OUVERTURES DE FICHIERS ------

		END IF

		IF GetMouseLButton = True AND onClick(424, 130, 449, 155) = True THEN
			CALL HideMouse
		       
			boutonAide 424, 130, 2
					      
			barreAide ""

			GET (157, 162)-(482, 383), fondFenetre
	       
			LINE (157, 162)-(482, 383), 7, BF

			font "Utilitaire de gestion de groupes", 172, 180, 1
			font "Version beta 1.0", 172, 190, 1

			frame 170, 220, 470, 276
		       
			font "Ce programme est un composant du systeme APOPHIS.", 180, 230, 0
			font "Il s'agit d'une version beta, les erreurs pouvant", 180, 240, 0
			font "survenir sont en cours de correction pour la", 180, 250, 0
			font "prochaine version d'APOPHIS.", 180, 260, 0

			frame 170, 290, 470, 356
		       
			font "Un sinple clic sur un fichier le selectionne, vous", 180, 300, 0
			font "pouvez alors choisir l'options appropriee dans les", 180, 310, 0
			font "boutons au dessus le l'espace de selection. La", 180, 320, 0
			font "touche entree demarre le programme selectionne ou", 180, 330, 0
			font "le programme associe au fichier selectionne.", 180, 340, 0
		       
			CALL ShowMouse
	       
			Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .5

			DO
				touche$ = INKEY$
			       
				ancienAide$ = Aide$

				IF onClick(424, 130, 449, 155) = True THEN Aide$ = "FERMER L'AIDE": GOTO suiteGroupesAide
				IF onClick(456, 130, 481, 155) = True THEN Aide$ = "QUITTER LE GESTIONNAIRE DE DOSSIERS": GOTO suiteGroupesAide

				Aide$ = ""
    
suiteGroupesAide:

				IF ancienAide$ <> Aide$ THEN barreAide Aide$
			       
				IF clickFermer(150, 100, 490, 380) = True THEN END
				IF GetMouseLButton = True AND onClick(456, 130, 481, 155) = True THEN END
			       
				IF touche$ = CHR$(27) OR touche$ = CHR$(13) THEN
					CALL HideMouse
				       
					boutonAide 424, 130, 1

					LINE (157, 162)-(482, 383), 0, BF
					
					PUT (157, 162), fondFenetre
			       
					CALL ShowMouse
				       
					Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .5
				       
					GOTO choix
				END IF
			       
				IF GetMouseLButton = True AND onClick(424, 130, 449, 155) = True THEN
					CALL HideMouse
				      
					boutonAide 424, 130, 1

					LINE (157, 162)-(482, 383), 0, BF
				       
					PUT (157, 162), fondFenetre
			      
					CALL ShowMouse
				      
					Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .5
				      
					GOTO choix
				END IF
			LOOP
		END IF
	       
		IF GetMouseLButton = True AND onClick(467, 161, 483, 176) = True AND pageActuelle% > 1 THEN
			pageActuelle% = pageActuelle% - 1
		       
			CALL HideMouse
			GOSUB redessinerIcones
			selection% = 0
			barreDefilement pageActuelle%, nombreDePages%
			CALL ShowMouse
	       
			Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .2
		END IF
	      
		IF GetMouseLButton = True AND onClick(467, 369, 483, 384) = True AND pageActuelle% < nombreDePages% THEN
			pageActuelle% = pageActuelle% + 1
		       
			CALL HideMouse
			GOSUB redessinerIcones
			selection% = 0
			barreDefilement pageActuelle%, nombreDePages%
			CALL ShowMouse
		       
			Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .2
		END IF
       
		ancienSelection% = selection%
		ancienPageActuelle% = pageActuelle%
	       
		IF GetMouseLButton = True AND onClick(166, 166, 250, 232) = True AND selection% <> 1 THEN selection% = 1: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(269, 166, 353, 232) = True AND selection% <> 2 THEN selection% = 2: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(371, 166, 455, 232) = True AND selection% <> 3 THEN selection% = 3: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(166, 238, 250, 306) = True AND selection% <> 4 THEN selection% = 4: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(269, 238, 353, 306) = True AND selection% <> 5 THEN selection% = 5: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(371, 238, 455, 306) = True AND selection% <> 6 THEN selection% = 6: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(166, 311, 250, 379) = True AND selection% <> 7 THEN selection% = 7: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(269, 311, 353, 379) = True AND selection% <> 8 THEN selection% = 8: GOSUB redessinerSelection
		IF GetMouseLButton = True AND onClick(371, 311, 455, 379) = True AND selection% <> 9 THEN selection% = 9: GOSUB redessinerSelection
	       
		IF touche$ = CHR$(13) AND selection% <> 0 THEN GOTO executerUnite
	       
		IF touche$ <> "" THEN
	       
			SELECT CASE selection%
				CASE 1
					IF touche$ = CHR$(0) + "H" AND pageActuelle% > 1 THEN selection% = 7: pageActuelle% = pageActuelle% - 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
					IF touche$ = CHR$(0) + "M" THEN selection% = 2
					IF touche$ = CHR$(0) + "P" THEN selection% = 4
				CASE 2
					IF touche$ = CHR$(0) + "K" THEN selection% = 1
					IF touche$ = CHR$(0) + "H" AND pageActuelle% > 1 THEN selection% = 8: pageActuelle% = pageActuelle% - 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
					IF touche$ = CHR$(0) + "M" THEN selection% = 3
					IF touche$ = CHR$(0) + "P" THEN selection% = 5
				CASE 3
					IF touche$ = CHR$(0) + "K" THEN selection% = 2
					IF touche$ = CHR$(0) + "H" AND pageActuelle% > 1 THEN selection% = 9: pageActuelle% = pageActuelle% - 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
					IF touche$ = CHR$(0) + "P" THEN selection% = 6
				CASE 4
					IF touche$ = CHR$(0) + "H" THEN selection% = 1
					IF touche$ = CHR$(0) + "M" THEN selection% = 5
					IF touche$ = CHR$(0) + "P" THEN selection% = 7
				CASE 5
					IF touche$ = CHR$(0) + "K" THEN selection% = 4
					IF touche$ = CHR$(0) + "H" THEN selection% = 2
					IF touche$ = CHR$(0) + "M" THEN selection% = 6
					IF touche$ = CHR$(0) + "P" THEN selection% = 8
				CASE 6
					IF touche$ = CHR$(0) + "K" THEN selection% = 5
					IF touche$ = CHR$(0) + "H" THEN selection% = 3
					IF touche$ = CHR$(0) + "P" THEN selection% = 9
				CASE 7
					IF touche$ = CHR$(0) + "H" THEN selection% = 4
					IF touche$ = CHR$(0) + "M" THEN selection% = 8
					IF touche$ = CHR$(0) + "P" AND pageActuelle% < nombreDePages% THEN selection% = 1: pageActuelle% = pageActuelle% + 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
				CASE 8
					IF touche$ = CHR$(0) + "K" THEN selection% = 7
					IF touche$ = CHR$(0) + "H" THEN selection% = 5
					IF touche$ = CHR$(0) + "M" THEN selection% = 9
					IF touche$ = CHR$(0) + "P" AND pageActuelle% < nombreDePages% THEN selection% = 2: pageActuelle% = pageActuelle% + 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
				CASE 9
					IF touche$ = CHR$(0) + "K" THEN selection% = 8
					IF touche$ = CHR$(0) + "H" THEN selection% = 6
					IF touche$ = CHR$(0) + "P" AND pageActuelle% < nombreDePages% THEN selection% = 3: pageActuelle% = pageActuelle% + 1: GOSUB redessinerIcones: barreDefilement pageActuelle%, nombreDePages%
			END SELECT

			GOSUB redessinerSelection

		END IF
       
		IF (pageActuelle% * 9 - 9 + selection%) > nombreUnites% THEN
			selection% = ancienSelection%
		       
			IF ancienPageActuelle% <> pageActuelle% THEN
				pageActuelle% = ancienPageActuelle%
				GOSUB redessinerIcones
				barreDefilement pageActuelle%, nombreDePages%
			END IF
		       
			GOSUB redessinerSelection
		END IF
	       
		IF touche$ = CHR$(13) AND selection% = 0 THEN selection% = 1: GOSUB redessinerSelection
		IF touche$ = CHR$(32) AND selection% = 0 THEN selection% = 1: GOSUB redessinerSelection

		selection2% = pageActuelle% * 9 - 9 + selection%
       
	LOOP
	
ELSE
       
	SCREEN 0
	COLOR 7, 0
	CLS
	PRINT "ͻ"
	PRINT " GROUPES.EXE      Programme annexe du systme APOPHIS    Version 1.00       "
	PRINT "ͼ"
	PRINT ""
	PRINT ""
	COLOR 10
	PRINT "Ce programme est utilis par le systme d'exploitation APOPHIS."
	PRINT ""
	PRINT "il ne peux tre utilis indpendament."
	SLEEP
	END

END IF

redessinerIcones:

zoneIcones 158, 163, 461, 382

IF nombreUnites% < (pageActuelle% * 9) THEN limite% = (nombreUnites% - ((pageActuelle% - 1) * 9)) ELSE limite% = 9

FOR numeroUnite% = 1 TO limite%

SELECT CASE numeroUnite%
	CASE 1
		iconeX% = 190
		iconeY% = 160
	CASE 2
		iconeX% = 293
		iconeY% = 160
	CASE 3
		iconeX% = 395
		iconeY% = 160
	CASE 4
		iconeX% = 190
		iconeY% = 234
	CASE 5
		iconeX% = 293
		iconeY% = 234
	CASE 6
		iconeX% = 395
		iconeY% = 234
	CASE 7
		iconeX% = 190
		iconeY% = 307
	CASE 8
		iconeX% = 293
		iconeY% = 307
	CASE 9
		iconeX% = 395
		iconeY% = 307
END SELECT

numeroUnite2% = pageActuelle% * 9 - 9 + numeroUnite%

IF typeUnite$(numeroUnite2%) = "programme" THEN
	IF typeProgrammeUnite$(numeroUnite2%) = "apophis" THEN iconeProgrammeApophis iconeX%, iconeY%: GOTO FinDessinIcone
	IF typeProgrammeUnite$(numeroUnite2%) = "dos" THEN iconeProgrammeDos iconeX%, iconeY%: GOTO FinDessinIcone
	iconeProgramme iconeX%, iconeY%
END IF

IF typeUnite$(numeroUnite2%) = "fichier" THEN
	iconeTexte iconeX%, iconeY%
END IF

FinDessinIcone:

IF LEN(nomUnite$(numeroUnite2%)) > 10 THEN
	texte1$ = LEFT$(nomUnite$(numeroUnite2%), 10)
ELSE
	texte1$ = nomUnite$(numeroUnite2%)
END IF

IF LEN(nomUnite$(numeroUnite2%)) > 10 THEN
	IF LEN(nomUnite$(numeroUnite2%)) < 20 THEN
		texte2$ = MID$(nomUnite$(numeroUnite2%), 11, LEN(nomUnite$(numeroUnite2%)) - 10)
	ELSE
		texte2$ = MID$(nomUnite$(numeroUnite2%), 11, 10)
	END IF
ELSE
	texte2$ = ""
END IF

IF LEN(nomUnite$(numeroUnite2%)) > 20 THEN
	IF LEN(nomUnite$(numeroUnite2%)) < 30 THEN
		texte3$ = MID$(nomUnite$(numeroUnite2%), 21, LEN(nomUnite$(numeroUnite2%)) - 20)
	ELSE
		texte3$ = MID$(nomUnite$(numeroUnite2%), 21, 10)
	END IF
ELSE
	texte3$ = ""
END IF

fontput iconeX% + 17 - 38, iconeY% + 43, texte1$, 1
fontput iconeX% + 17 - 38, iconeY% + 53, texte2$, 1
fontput iconeX% + 17 - 38, iconeY% + 63, texte3$, 1

NEXT
			  
RETURN


' ---------------------------------------------------------------------------

redessinerSelection:

CALL HideMouse

LINE (166, 166)-(250, 232), 15, B
LINE (269, 166)-(353, 232), 15, B
LINE (371, 166)-(455, 232), 15, B
LINE (166, 238)-(250, 306), 15, B
LINE (269, 238)-(353, 306), 15, B
LINE (371, 238)-(455, 306), 15, B
LINE (166, 311)-(250, 379), 15, B
LINE (269, 311)-(353, 379), 15, B
LINE (371, 311)-(455, 379), 15, B

SELECT CASE selection%
	CASE 1
		LINE (166, 166)-(250, 232), 8, B
	CASE 2
		LINE (269, 166)-(353, 232), 8, B
	CASE 3
		LINE (371, 166)-(455, 232), 8, B
	CASE 4
		LINE (166, 238)-(250, 306), 8, B
	CASE 5
		LINE (269, 238)-(353, 306), 8, B
	CASE 6
		LINE (371, 238)-(455, 306), 8, B
	CASE 7
		LINE (166, 311)-(250, 379), 8, B
	CASE 8
		LINE (269, 311)-(353, 379), 8, B
	CASE 9
		LINE (371, 311)-(455, 379), 8, B
END SELECT

CALL ShowMouse

Debut! = TIMER: DO: Fin! = TIMER: LOOP WHILE Fin! - Debut! < .2

RETURN

' ---------------------------------------------------------------------------

10000
	OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR OUTPUT AS #100
		PRINT #100, "APOPHIS - gestionnaire de groupes"
		PRINT #100, "Beta 1.0"
		PRINT #100, ERR
	CLOSE #100

	CHDIR "C:\APOPHIS\SYSTEME"
	SHELL "ERREUR /APOPHIS"

	OPEN "C:\APOPHIS\SYSTEME\ERREUR.DAT" FOR INPUT AS #100
		INPUT #100, erreurBureau$
	CLOSE #100

	IF erreurBureau$ = "fermer" THEN
		END
	END IF

	IF erreurBureau$ = "continuer" THEN RESUME
      
	GOTO Debut

SUB barreAide (Aide$)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

FOR i = 466 TO 479
	LINE (0, i)-(640, i), 7
NEXT i

LINE (0, 466)-(640, 466), 15

font Aide$, 5, 470, 4

END SUB

SUB barreDefilement (pageActuelle%, nombreDePages%)

LINE (467, 179)-(483, 366), 7, BF

bouton3 467, 161, 483, 176
LINE (472, 170)-(478, 170), 0
LINE (473, 169)-(477, 169), 0
LINE (474, 168)-(476, 168), 0
PSET (475, 167), 0

bouton3 467, 369, 483, 384
LINE (472, 375)-(478, 375), 0
LINE (473, 376)-(477, 376), 0
LINE (474, 377)-(476, 377), 0
PSET (475, 378), 0

IF nombreDePages% = 1 THEN
	LINE (474, 179)-(474, 366), 8
	LINE (476, 179)-(476, 366), 8
	EXIT SUB
END IF

LINE (475, 179)-(475, 366), 8

IF pageActuelle% = 1 THEN
	position% = 181
ELSE
	IF pageActuelle% = nombreDePages% THEN
		position% = 364
	ELSE
		position% = 180 + (INT(187 / (nombreDePages% - 1))) * (pageActuelle% - 1)
	END IF
END IF

CIRCLE (475, position%), 2, 0
PAINT (475, position%), 0, 0

END SUB

SUB bouton (x1%, y1%, x2%, y2%)

LINE (x1%, y1%)-(x2%, y2%), 7, BF
LINE (x1%, y1%)-(x2%, y2%), 0, B
LINE (x1% + 1, y2% - 1)-(x1% + 1, y1% + 1), 15
LINE -(x2% - 1, y1% + 1), 15
LINE (x2% - 1, y1% + 2)-(x2% - 1, y2% - 1), 8
LINE -(x1% + 2, y2% - 1), 8

END SUB

SUB bouton3 (x1%, y1%, x2%, y2%)

LINE (x1% + 1, y1% + 1)-(x2% - 1, y2% - 1), 7, BF
LINE (x1% + 1, y2% - 1)-(x1% + 1, y1% + 1), 15
LINE -(x2% - 1, y1% + 1), 15
LINE (x2% - 1, y1% + 2)-(x2% - 1, y2% - 1), 8
LINE -(x1% + 2, y2% - 1), 8

END SUB

DEFSNG A-Z
SUB boutonAide (l%, c%, etat%)

IF etat% = 1 THEN
	FOR a% = l% TO l% + 25
		LINE (a%, c%)-(a%, c% + 25), 7
	NEXT a%

	FOR a% = l% + 11 TO l% + 14
		LINE (a%, c% + 20)-(a%, c% + 23), 4
	NEXT a%

	PSET (l% + 11, c% + 23), 7
	PSET (l% + 11, c% + 20), 7
	PSET (l% + 14, c% + 23), 7
	PSET (l% + 14, c% + 20), 7

	FOR a% = l% + 11 TO l% + 14
		LINE (a%, c% + 18)-(a%, c% + 10), 4
	NEXT a%

	PSET (l% + 11, c% + 18), 7
	PSET (l% + 14, c% + 18), 7

	Pi = 3.141592654#
	CIRCLE (l% + 13, c% + 7), 5, 4, 1.5 * Pi, Pi
	CIRCLE (l% + 13, c% + 7), 4.5, 4, 1.5 * Pi, Pi
	CIRCLE (l% + 13, c% + 7), 3, 4, 1.5 * Pi, Pi
	PSET (l% + 9, c% + 5), 4
	PSET (l% + 11, c% + 3), 4
	PSET (l% + 15, c% + 3), 4
	PSET (l% + 17, c% + 5), 4
	PSET (l% + 17, c% + 9), 4
	PSET (l% + 15, c% + 11), 4
	PSET (l% + 12, c% + 11), 4
	PSET (l% + 8, c% + 8), 4
	PSET (l% + 9, c% + 8), 4
	PSET (l% + 8, c% + 9), 4
	PSET (l% + 11, c% + 10), 7

	LINE (l% + 26, c%)-(l% + 26, c% + 26), 0
	LINE (l% + 26, c% + 26)-(l%, c% + 26), 0

	LINE (l%, c%)-(l% + 24, c%), 15
	LINE (l%, c%)-(l%, c% + 25), 15
	LINE (l%, c% + 25)-(l% + 25, c% + 25), 8
	LINE -(l% + 25, c%), 8
	PSET (l%, c% + 25), 15
ELSE
	l% = l% + 1
	c% = c% + 1

	FOR a% = l% TO l% + 25
		LINE (a%, c%)-(a%, c% + 25), 7
	NEXT a%

	FOR a% = l% + 11 TO l% + 14
		LINE (a%, c% + 20)-(a%, c% + 23), 4
	NEXT a%

	PSET (l% + 11, c% + 23), 7
	PSET (l% + 11, c% + 20), 7
	PSET (l% + 14, c% + 23), 7
	PSET (l% + 14, c% + 20), 7

	FOR a% = l% + 11 TO l% + 14
		LINE (a%, c% + 18)-(a%, c% + 10), 4
	NEXT a%

	PSET (l% + 11, c% + 18), 7
	PSET (l% + 14, c% + 18), 7

	Pi = 3.141592654#
	CIRCLE (l% + 13, c% + 7), 5, 4, 1.5 * Pi, Pi
	CIRCLE (l% + 13, c% + 7), 4.5, 4, 1.5 * Pi, Pi
	CIRCLE (l% + 13, c% + 7), 3, 4, 1.5 * Pi, Pi
	PSET (l% + 9, c% + 5), 4
	PSET (l% + 11, c% + 3), 4
	PSET (l% + 15, c% + 3), 4
	PSET (l% + 17, c% + 5), 4
	PSET (l% + 17, c% + 9), 4
	PSET (l% + 15, c% + 11), 4
	PSET (l% + 12, c% + 11), 4
	PSET (l% + 8, c% + 8), 4
	PSET (l% + 9, c% + 8), 4
	PSET (l% + 8, c% + 9), 4
	PSET (l% + 11, c% + 10), 7

	l% = l% - 1
	c% = c% - 1
       
	LINE (l% + 26, c%)-(l% + 26, c% + 26), 15
	LINE (l% + 26, c% + 26)-(l%, c% + 26), 15

	LINE (l%, c%)-(l% + 24, c%), 0
	LINE (l%, c%)-(l%, c% + 25), 0
	LINE (l% + 1, c% + 25)-(l% + 1, c% + 1), 8
	LINE -(l% + 25, c% + 1), 8
	PSET (l%, c% + 25), 0
END IF

END SUB

DEFINT A-Z
SUB boutonAnnuler (l%, c%)

FOR a% = l% TO l% + 40
LINE (a%, c%)-(a%, c% + 15), 7
NEXT a%

LINE (l%, c%)-(l% + 40, c%), 15
LINE -(l% + 40, c% + 15), 0
LINE -(l%, c% + 15), 0
LINE (l%, c% + 14)-(l%, c%), 15
LINE (l% + 1, c% + 14)-(l% + 39, c% + 14), 8
LINE (l% + 39, c% + 1)-(l% + 39, c% + 14), 8

LINE (l% + 17, c% + 4)-(l% + 25, c% + 10), 4
LINE (l% + 17, c% + 10)-(l% + 25, c% + 4), 4
LINE (l% + 16, c% + 4)-(l% + 24, c% + 10), 4
LINE (l% + 16, c% + 10)-(l% + 24, c% + 4), 4
LINE (l% + 18, c% + 4)-(l% + 26, c% + 10), 4
LINE (l% + 18, c% + 10)-(l% + 26, c% + 4), 4
PSET (l% + 26, c% + 10), 7
PSET (l% + 26, c% + 4), 7

END SUB

SUB boutonExecuter (l%, c%)
	       
		LINE (l%, c%)-(l% + 26, c% + 26), 7, BF
		LINE (l%, c% + 26)-(l%, c%), 15
		LINE -(l% + 26, c%), 15
		LINE (l% + 26, c%)-(l% + 26, c% + 26), 0
		LINE (l% + 25, c% + 1)-(l% + 25, c% + 26), 8
		LINE (l%, c% + 26)-(l% + 26, c% + 26), 0
		LINE (l% + 1, c% + 25)-(l% + 25, c% + 25), 8
	       
		l% = l% + 1
		c% = c% + 1
	       
		LINE (l% + 3, c% + 3)-(l% + 21, c% + 21), 0, BF
		LINE (l% + 4, c% + 4)-(l% + 21, c% + 6), 1, BF
		LINE (l% + 4, c% + 7)-(l% + 20, c% + 20), 15, BF
		LINE (l% + 9, c% + 12)-(l% + 7, c% + 12), 0
		LINE -(l% + 7, c% + 16), 0
		LINE -(l% + 9, c% + 16), 0
		PSET (l% + 8, c% + 14), 0
		LINE (l% + 17, c% + 12)-(l% + 15, c% + 12), 0
		LINE -(l% + 15, c% + 16), 0
		LINE -(l% + 17, c% + 16), 0
		PSET (l% + 16, c% + 14), 0
		LINE (l% + 11, c% + 12)-(l% + 13, c% + 16), 0, BF
		LINE (l% + 12, c% + 12)-(l% + 12, c% + 16), 15
		LINE (l% + 11, c% + 14)-(l% + 13, c% + 14), 15
		PSET (l% + 12, c% + 14), 0
		LINE (l% + 5, c% + 8)-(l% + 8, c% + 10), 2, BF
		LINE (l% + 5, c% + 11)-(l% + 5, c% + 13), 2
		PSET (l% + 9, c% + 8), 2
		LINE (l% + 5, c% + 16)-(l% + 5, c% + 18), 9
		LINE (l% + 5, c% + 19)-(l% + 10, c% + 19), 9
		LINE (l% + 7, c% + 18)-(l% + 9, c% + 18), 9
		LINE (l% + 14, c% + 19)-(l% + 19, c% + 19), 4
		LINE -(l% + 19, c% + 16), 4
		LINE (l% + 16, c% + 18)-(l% + 18, c% + 18), 4
		LINE (l% + 19, c% + 13)-(l% + 19, c% + 8), 8
		LINE (l% + 18, c% + 8)-(l% + 18, c% + 10), 8
		LINE (l% + 11, c% + 8)-(l% + 15, c% + 8), 14
		LINE (l% + 13, c% + 9)-(l% + 15, c% + 9), 14
		LINE (l% + 12, c% + 10)-(l% + 14, c% + 10), 14

END SUB

SUB boutonInfos (l%, c%)
	       
		LINE (l%, c%)-(l% + 26, c% + 26), 7, BF
		LINE (l%, c% + 26)-(l%, c%), 15
		LINE -(l% + 26, c%), 15
		LINE (l% + 26, c%)-(l% + 26, c% + 26), 0
		LINE (l% + 25, c% + 1)-(l% + 25, c% + 26), 8
		LINE (l%, c% + 26)-(l% + 26, c% + 26), 0
		LINE (l% + 1, c% + 25)-(l% + 25, c% + 25), 8
		l% = l% + 1
		LINE (l% + 7, c% + 12)-(l% + 15, c% + 12), 1
		LINE (l% + 9, c% + 13)-(l% + 15, c% + 19), 1, BF
		LINE (l% + 7, c% + 20)-(l% + 17, c% + 21), 1, BF
		c% = c% + 1
		CIRCLE (l% + 12, c% + 6), 3, 1
		CIRCLE (l% + 12, c% + 6), 2, 1
		CIRCLE (l% + 12, c% + 6), 1, 1
		CIRCLE (l% + 12, c% + 6), .4, 1
		LINE (l% + 10, c% + 4)-(l% + 14, c% + 8), 1, BF

END SUB

SUB boutonNouveau (x, y, etat)

LINE (x, y)-(x + 25, y + 25), 7, BF

SELECT CASE etat
     
	CASE IS = 0
		LINE (x, y)-(x + 26, y + 26), 15, B
		LINE (x + 26, y)-(x + 26, y + 26), 0
		LINE (x, y + 26)-(x + 26, y + 26), 0
		LINE (x + 1, y + 25)-(x + 25, y + 25), 8
		LINE -(x + 25, y + 1), 8


	CASE IS = 2
		LINE (x, y)-(x + 26, y + 26), 15, B
		LINE (x, y)-(x + 26, y), 0
		LINE (x, y)-(x, y + 26), 0

END SELECT

LINE (x + 6, y + 4)-(x + 19, y + 22), 15, BF
LINE (x + 5, y + 3)-(x + 20, y + 23), 0, B
LINE (x + 5, y + 3)-(x + 10, y + 8), 0, B
LINE (x + 5, y + 8)-(x + 10, y + 3), 0
FOR i = 0 TO 4
	LINE (x + 5 + i, y + 3)-(x + 5 + i, y + 7 - i), 7
NEXT i

END SUB

SUB boutonOk (l%, c%)

FOR a% = l% TO l% + 40
LINE (a%, c%)-(a%, c% + 15), 7
NEXT a%

LINE (l%, c%)-(l% + 40, c%), 15
LINE -(l% + 40, c% + 15), 0
LINE -(l%, c% + 15), 0
LINE (l%, c% + 14)-(l%, c%), 15
LINE (l% + 1, c% + 14)-(l% + 39, c% + 14), 8
LINE (l% + 39, c% + 1)-(l% + 39, c% + 14), 8

LINE (l% + 15, c% + 6)-(l% + 18, c% + 11), 2
LINE (l% + 16, c% + 6)-(l% + 19, c% + 11), 2
LINE (l% + 14, c% + 6)-(l% + 17, c% + 11), 2

LINE (l% + 27, c% + 4)-(l% + 19, c% + 11), 2
LINE (l% + 28, c% + 4)-(l% + 20, c% + 11), 2
LINE (l% + 26, c% + 4)-(l% + 18, c% + 11), 2

PSET (l% + 17, c% + 11), 7

END SUB

DEFSNG A-Z
SUB boutonQuitter (l%, c%)

	FOR a% = l% TO l% + 25
		LINE (a%, c%)-(a%, c% + 25), 7
	NEXT a%
	FOR a% = l% + 12 TO l% + 23
		LINE (a%, c% + 2)-(a%, c% + 23), 6
	NEXT a%
	LINE (l% + 26, c%)-(l% + 26, c% + 26), 0
	LINE (l% + 26, c% + 26)-(l%, c% + 26), 0
	LINE (l% + 14, c% + 6)-(l% + 14, c% + 10), 0
	LINE (l% + 21, c% + 6)-(l% + 21, c% + 10), 0
	LINE (l% + 14, c% + 10)-(l% + 21, c% + 10), 0
	FOR a% = l% + 15 TO l% + 20
		LINE (a%, c% + 6)-(a%, c% + 9), 8
	NEXT a%
	PSET (l% + 17, c% + 5), 8
	PSET (l% + 18, c% + 5), 8
	PSET (l% + 15, c% + 5), 0
	PSET (l% + 16, c% + 5), 0
	PSET (l% + 17, c% + 4), 0
	PSET (l% + 18, c% + 4), 0
	PSET (l% + 19, c% + 5), 0
	PSET (l% + 20, c% + 5), 0
	
	PSET (l% + 14, c% + 13), 0
	PSET (l% + 15, c% + 13), 0
	PSET (l% + 16, c% + 13), 0
	PSET (l% + 14, c% + 14), 0

	FOR a% = l% + 14 TO l% + 21
		LINE (a%, c% + 16)-(a%, c% + 21), 0
	NEXT a%
	FOR a% = l% + 15 TO l% + 20
		LINE (a%, c% + 17)-(a%, c% + 20), 8
	NEXT a%

	PSET (l% + 12, c% + 2), 7
	PSET (l% + 13, c% + 2), 7
	PSET (l% + 14, c% + 2), 7
	PSET (l% + 12, c% + 3), 7

	PSET (l% + 23, c% + 2), 7
	PSET (l% + 22, c% + 2), 7
	PSET (l% + 21, c% + 2), 7
	PSET (l% + 23, c% + 3), 7

	'flche

	FOR a% = l% + 2 TO l% + 8
		LINE (a%, c% + 12)-(a%, c% + 14), 4
	NEXT a%
	PSET (l% + 11, c% + 13), 4
	PSET (l% + 10, c% + 12), 4
	PSET (l% + 10, c% + 13), 4
	PSET (l% + 10, c% + 14), 4
	PSET (l% + 9, c% + 11), 4
	PSET (l% + 9, c% + 12), 4
	PSET (l% + 9, c% + 13), 4
	PSET (l% + 9, c% + 14), 4
	PSET (l% + 9, c% + 15), 4
	PSET (l% + 8, c% + 10), 4
	PSET (l% + 8, c% + 11), 4
	PSET (l% + 8, c% + 15), 4
	PSET (l% + 8, c% + 16), 4
	

	LINE (l%, c% + 25)-(l% + 25, c% + 25), 8
	LINE -(l% + 25, c%), 8
	LINE -(l%, c%), 15
	LINE -(l%, c% + 25), 15
	   
END SUB

DEFINT A-Z
SUB BoutonSuivant (l%, c%)

FOR a% = l% TO l% + 40
LINE (a%, c%)-(a%, c% + 15), 7
NEXT a%

LINE (l%, c%)-(l% + 40, c%), 15
LINE -(l% + 40, c% + 15), 0
LINE -(l%, c% + 15), 0
LINE (l%, c% + 14)-(l%, c%), 15
LINE (l% + 1, c% + 14)-(l% + 39, c% + 14), 8
LINE (l% + 39, c% + 1)-(l% + 39, c% + 14), 8

LINE (l% + 12, c% + 7)-(l% + 28, c% + 7), 0
LINE (l% + 12, c% + 8)-(l% + 28, c% + 8), 0

LINE (l% + 28, c% + 7)-(l% + 21, c% + 4), 0
LINE (l% + 28, c% + 8)-(l% + 21, c% + 5), 0
LINE (l% + 28, c% + 8)-(l% + 21, c% + 11), 0
LINE (l% + 28, c% + 7)-(l% + 21, c% + 10), 0

END SUB

SUB boutonSupprimer (l%, c%)

		LINE (l%, c%)-(l% + 26, c% + 26), 7, BF
		LINE (l%, c% + 26)-(l%, c%), 15
		LINE -(l% + 26, c%), 15
		LINE (l% + 26, c%)-(l% + 26, c% + 26), 0
		LINE (l% + 25, c% + 1)-(l% + 25, c% + 26), 8
		LINE (l%, c% + 26)-(l% + 26, c% + 26), 0
		LINE (l% + 1, c% + 25)-(l% + 25, c% + 25), 8
	       
		l% = l% + 1
		c% = c% + 2
	       
		LINE (l% + 10, c% + 8)-(l% + 15, c% + 11), 4, BF
		LINE (l% + 4, c% + 4)-(l% + 5, c% + 7), 4, BF
		LINE (l% + 6, c% + 5)-(l% + 7, c% + 5), 4, BF
		LINE (l% + 6, c% + 6)-(l% + 8, c% + 8), 4, BF
		LINE (l% + 8, c% + 7)-(l% + 10, c% + 9), 4, BF
		LINE (l% + 19, c% + 4)-(l% + 20, c% + 6), 4, BF
		LINE (l% + 17, c% + 5)-(l% + 19, c% + 7), 4, BF
		LINE (l% + 17, c% + 8)-(l% + 15, c% + 6), 4, BF
		PSET (l% + 14, c% + 7), 4
		LINE (l% + 13, c% + 11)-(l% + 16, c% + 12), 4, BF
		LINE (l% + 16, c% + 13)-(l% + 17, c% + 15), 4, BF
		LINE (l% + 14, c% + 13)-(l% + 15, c% + 13), 4, BF
		LINE (l% + 17, c% + 15)-(l% + 18, c% + 17), 4, BF
		PSET (l% + 19, c% + 19), 4
		LINE (l% + 18, c% + 17)-(l% + 19, c% + 18), 4, BF
		PSET (l% + 15, c% + 14), 4
		LINE (l% + 9, c% + 11)-(l% + 5, c% + 15), 4
		LINE (l% + 4, c% + 17)-(l% + 9, c% + 12), 4
		LINE (l% + 10, c% + 12)-(l% + 4, c% + 18), 4
		LINE (l% + 11, c% + 12)-(l% + 4, c% + 19), 4

END SUB

SUB center (ligne%, texte$)

LOCATE ligne%, 41 - LEN(texte$) / 2
PRINT texte$

END SUB

FUNCTION clickFermer (x1%, y1%, x2%, y2%)

mousex% = GetMouseX + 1
mousey% = GetMouseY + 1

IF GetMouseLButton = False OR mousex% < (x2% - 21) OR mousex% > (x2% - 21 + 14) OR mousey% < (y1% + 6) OR mousey% > (y1% + 6 + 14) THEN clickFermer = False: EXIT FUNCTION

CALL HideMouse

closeFen x2% - 21, y1% + 6, 1

CALL ShowMouse

clickFermer = True

DO
LOOP WHILE GetMouseLButton = True

CALL HideMouse

closeFen x2% - 21, y1% + 6, 0

CALL ShowMouse

END FUNCTION

SUB closeFen (x, y, ButStat)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
	PRINT #1, "closeFen"
	PRINT #1, x
	PRINT #1, y
	PRINT #1, ButStat
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"

END SUB

SUB font (aecrire$, l%, c%, col%)

IF aecrire$ = "" THEN EXIT SUB

FOR a% = 1 TO LEN(aecrire$)
	SELECT CASE MID$(UCASE$(aecrire$), a%, 1)
		CASE "A"
			LINE (l%, c% + 1)-(l%, c% + 6), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 6), col%
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
		     
		CASE "B"
			LINE (l%, c%)-(l%, c% + 6), col%
			LINE -(l% + 3, c% + 6), col%
			LINE (l%, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE (l%, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
		CASE "C"
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			PSET (l% + 4, c% + 1), col%
			PSET (l% + 0, c% + 1), col%
			LINE (l%, c% + 2)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			PSET (l% + 4, c% + 5), col%
		CASE "D"
			LINE (l%, c%)-(l% + 3, c%), col%
			LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
			LINE (l%, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 5), col%
		CASE "E"
			LINE (l%, c%)-(l% + 4, c%), col%
			LINE (l%, c%)-(l%, c% + 6), col%
			LINE -(l% + 4, c% + 6), col%
			LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
			PSET (l% + 4, c% + 1), col%
			PSET (l% + 4, c% + 5), col%
		CASE "F"
			LINE (l%, c%)-(l% + 4, c%), col%
			LINE (l%, c%)-(l%, c% + 6), col%
			LINE (l%, c% + 3)-(l% + 2, c% + 3), col%
			PSET (l% + 4, c% + 1), col%
		CASE "G"
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			PSET (l% + 4, c% + 1), col%
			PSET (l% + 0, c% + 1), col%
			LINE (l%, c% + 2)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
			PSET (l% + 3, c% + 4), col%
		CASE "H"
			LINE (l%, c%)-(l%, c% + 6), col%
			LINE (l%, c% + 3)-(l% + 4, c% + 3), col%
			LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
		CASE "I"
			LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
		CASE "J"
			LINE (l% + 3, c%)-(l% + 3, c% + 5), col%
			LINE (l% + 1, c%)-(l% + 4, c%), col%
			LINE (l% + 2, c% + 6)-(l% + 1, c% + 6), col%
			LINE (l%, c% + 5)-(l%, c% + 4), col%
		CASE "K"
			LINE (l%, c%)-(l%, c% + 6), col%
			LINE (l%, c% + 4)-(l% + 4, c%), col%
			LINE (l%, c% + 2)-(l% + 4, c% + 6), col%
		CASE "L"
			LINE (l% + 1, c%)-(l% + 1, c% + 6), col%
			LINE -(l% + 4, c% + 6), col%
			PSET (l% + 4, c% + 5), col%
		CASE "M"
			LINE (l%, c% + 6)-(l%, c%), col%
			PSET (l% + 1, c% + 1), col%
			PSET (l% + 3, c% + 1), col%
			LINE (l% + 2, c% + 2)-(l% + 2, c% + 3), col%
			LINE (l% + 4, c%)-(l% + 4, c% + 6), col%
		CASE "N"
			LINE (l%, c% + 6)-(l%, c%), col%
			LINE -(l% + 4, c% + 6), col%
			LINE -(l% + 4, c%), col%
		CASE "O"
			LINE (l%, c% + 1)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
		CASE "P"
			LINE (l%, c% + 6)-(l%, c%), col%
			LINE -(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE (l% + 3, c% + 3)-(l%, c% + 3), col%
		     
		CASE "Q"
			LINE (l%, c% + 1)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 2, c% + 6), col%
			LINE (l% + 3, c% + 4)-(l% + 3, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 2, c%), col%
			PSET (l% + 4, c% + 6), col%
			PSET (l% + 3, c% + 6), col%
			PSET (l% + 3, c% + 5), col%
		CASE "R"
			LINE (l%, c% + 6)-(l%, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
			LINE (l% + 2, c% + 3)-(l% + 4, c% + 6), col%
		CASE "S"
			LINE (l% + 4, c%)-(l% + 1, c%), col%
			LINE (l%, c% + 1)-(l%, c% + 2), col%
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
			LINE (l% + 3, c% + 6)-(l%, c% + 6), col%
		CASE "T"
			LINE (l%, c% + 1)-(l%, c%), col%
			LINE -(l% + 4, c%), col%
			LINE -(l% + 4, c% + 1), col%
			LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
		CASE "U"
			LINE (l%, c%)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c%), col%
		CASE "V"
			LINE (l%, c%)-(l%, c% + 4), col%
			LINE -(l% + 2, c% + 6), col%
			LINE -(l% + 4, c% + 4), col%
			LINE -(l% + 4, c%), col%
		CASE "W"
			LINE (l%, c%)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 2, c% + 3), col%
			PSET (l% + 3, c% + 6), col%
			LINE (l% + 4, c%)-(l% + 4, c% + 5), col%
		CASE "X"
			LINE (l%, c%)-(l%, c% + 1), col%
			LINE -(l% + 4, c% + 5), col%
			LINE -(l% + 4, c% + 6), col%
			LINE (l%, c% + 6)-(l%, c% + 5), col%
			LINE -(l% + 4, c% + 1), col%
			LINE -(l% + 4, c%), col%
		CASE "Y"
			LINE (l%, c% + 1)-(l% + 2, c% + 3), col%
			LINE -(l% + 4, c% + 1), col%
			LINE (l% + 2, c% + 3)-(l% + 2, c% + 6), col%
			PSET (l%, c%), col%
			PSET (l% + 4, c%), col%
		CASE "Z"
			LINE (l%, c%)-(l% + 4, c%), col%
			LINE (l% + 4, c% + 1)-(l%, c% + 5), col%
			LINE (l%, c% + 6)-(l% + 4, c% + 6), col%
			PSET (l%, c% + 1), col%
			PSET (l% + 4, c% + 5), col%
		CASE ","
			PSET (l% + 1, c% + 5), col%
			PSET (l% + 1, c% + 6), col%
			PSET (l% + 0, c% + 7), col%
			l% = l% - 2
		CASE "."
			PSET (l% + 1, c% + 6), col%
			l% = l% - 2
		CASE ";"
			PSET (l% + 1, c% + 5), col%
			PSET (l% + 1, c% + 6), col%
			PSET (l% + 0, c% + 7), col%
			PSET (l% + 1, c% + 2), col%
			l% = l% - 2
		CASE "!"
			l% = l% + 1
			LINE (l% + 1, c%)-(l% + 1, c% + 4), col%
			LINE (l%, c% + 1)-(l%, c% + 2), col%
			LINE (l% + 2, c% + 1)-(l% + 2, c% + 2), col%
			PSET (l% + 1, c% + 6), col%
			l% = l% - 1
		CASE "'"
			LINE (l% + 1, c% - 1)-(l% + 1, c%), col%
			PSET (l%, c% + 1), col%
			l% = l% - 2
		CASE ":"
			PSET (l% + 1, c% + 6), col%
			PSET (l% + 1, c% + 3), col%
			l% = l% - 2
		CASE "\"
			LINE (l%, c%)-(l% + 3, c% + 6), col%
			l% = l% - 1
		CASE " "
			l% = l% - 3
		CASE "?"
			LINE (l% + 2, c%)-(l% + 4, c%), col%
			PSET (l% + 1, c% + 1), col%
			PSET (l% + 5, c% + 1), col%
			PSET (l% + 4, c% + 2), col%
			LINE (l% + 3, c% + 3)-(l% + 3, c% + 4), col%
			PSET (l% + 3, c% + 6), col%
		CASE "="
			LINE (l% + 1, c% + 5)-(l% + 3, c% + 5), col%
			LINE (l% + 1, c% + 2)-(l% + 3, c% + 2), col%
		CASE "0"
			LINE (l%, c% + 1)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
		CASE "1"
			LINE (l% + 2, c%)-(l% + 2, c% + 6), col%
			LINE (l% + 2, c%)-(l%, c% + 2), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
		CASE "2"
			PSET (l%, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE -(l%, c% + 6), col%
			LINE -(l% + 4, c% + 6), col%
		CASE "3"
			PSET (l%, c% + 1), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE (l% + 3, c% + 3)-(l% + 1, c% + 3), col%
			LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
			LINE (l% + 3, c% + 6)-(l% + 1, c% + 6), col%
			PSET (l%, c% + 5), col%
		CASE "4"
			LINE (l% + 2, c% + 6)-(l% + 4, c% + 6), col%
			LINE (l% + 3, c% + 6)-(l% + 3, c%), col%
			LINE -(l%, c% + 3), col%
			LINE -(l% + 4, c% + 3), col%
		CASE "5"
			LINE (l% + 4, c%)-(l%, c%), col%
			LINE -(l%, c% + 3), col%
			LINE -(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 4)-(l% + 4, c% + 5), col%
			LINE (l% + 3, c% + 6)-(l%, c% + 6), col%

		CASE "6"
			LINE (l%, c% + 1)-(l%, c% + 2), col%
			LINE (l%, c% + 3)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			PSET (l% + 4, c% + 1), col%
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
		     
		CASE "7"
			LINE (l%, c% + 1)-(l%, c%), col%
			LINE -(l% + 4, c%), col%
			LINE -(l% + 4, c% + 2), col%
			LINE -(l% + 2, c% + 4), col%
			LINE -(l% + 2, c% + 6), col%
	       CASE "8"
			LINE (l%, c% + 1)-(l%, c% + 2), col%
			LINE (l%, c% + 4)-(l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 2), col%
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
		CASE "9"
			LINE (l%, c% + 1)-(l%, c% + 2), col%
			PSET (l%, c% + 5), col%
			LINE (l% + 1, c% + 6)-(l% + 3, c% + 6), col%
			LINE (l% + 1, c%)-(l% + 3, c%), col%
			LINE (l% + 4, c% + 1)-(l% + 4, c% + 3), col%
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
			LINE (l% + 4, c% + 5)-(l% + 4, c% + 4), col%
		CASE "-"
			LINE (l% + 1, c% + 3)-(l% + 3, c% + 3), col%
		CASE "_"
			LINE (l% + 1, c% + 7)-(l% + 3, c% + 7), col%
		CASE ELSE
			LINE (l%, c%)-(l% + 4, c% + 6), col%, BF
	      
	END SELECT
	l% = l% + 6
NEXT a%

END SUB

SUB fontput (z1%, y1%, in$, c%)
DEF SEG = &HFFA6
o1% = z1%
FOR l% = 1 TO LEN(in$)
	l$ = MID$(in$, l%, 1)
	FOR y% = y1% TO y1% + 7
		x% = PEEK(&HE + (ASC(l$) * 8) + (y% - y1%))
		FOR z% = 0 TO 7
			IF x% AND (2 ^ (7 - z%)) THEN PSET (z1%, y%), c%
			z1% = z1% + 1
		NEXT z%
		z1% = z1% - 8
	NEXT y%
	z1% = z1% + 8
NEXT l%
DEF SEG
END SUB

SUB form (x1, y1, x2, y2, FormStat, titre$)

OPEN "C:\APOPHIS\SYSTEME\FENETRES.DAT" FOR OUTPUT AS #1
	PRINT #1, x1
	PRINT #1, y1
	PRINT #1, x2
	PRINT #1, y2
	PRINT #1, FormStat
	PRINT #1, titre$
CLOSE #1

CHDIR "C:\APOPHIS\SYSTEME"
SHELL "FENETRES /APOPHIS"

END SUB

SUB frame (x1, y1, x2, y2)

LINE (x1, y1)-(x2, y2), 7, B
LINE (x1 + 1, y1 + 1)-(x2 - 1, y1 + 1), 8
LINE (x1 + 1, y1 + 1)-(x1 + 1, y2 - 1), 8
LINE (x1 + 2, y1 + 2)-(x2 - 1, y2 - 1), 15, B
LINE (x1 + 3, y1 + 3)-(x2 - 2, y2 - 2), 7, BF
LINE (x1 + 3, y2 - 2)-(x2 - 2, y2 - 2), 8
LINE (x2 - 2, y2 - 2)-(x2 - 2, y1 + 3), 8
END SUB

FUNCTION GetMouseLButton
'------------------------------------------------
'|                                              |
'| Renvoi l'tat du bouton gauche de la souris: |
'|    + TRUE si enfonc                         |
'|    + FALSE si relach                        |
'|                                              |
'------------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 1 OR bx% = 3 THEN GetMouseLButton = True ELSE GetMouseLButton = False
DEF SEG
END FUNCTION

DEFSNG A-Z
FUNCTION GetMouseRButton
'-----------------------------------------------
'|                                             |
'| Renvoi l'tat du bouton droit de la souris: |
'|    + TRUE si enfonc                        |
'|    + FALSE si relach                       |
'|                                             |
'-----------------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF bx% = 2 OR bx% = 3 THEN GetMouseRButton = True ELSE GetMouseRButton = False
DEF SEG
END FUNCTION

DEFINT A-Z
FUNCTION GetMouseX
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes X de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseX = cx%
DEF SEG
END FUNCTION

DEFSNG A-Z
FUNCTION GetMouseY
'-----------------------------------------
'|                                       |
'| Renvoi les coordonnes Y de la souris |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 3
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
GetMouseY = dx%
DEF SEG
END FUNCTION

SUB HideMouse
'----------------------------------
'|                                |
'| Masque le curseur de la souris |
'|                                |
'----------------------------------
DEF SEG = SegAsm%
ax% = 2
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

DEFINT A-Z
SUB icone (y%, x%, fichier$, extention$)

x1% = x% - 2
y1% = y% - 18
x2% = x% + 22
y2% = y%

SELECT CASE extention$
	CASE "BAT"
		LINE (x1%, y1%)-(x2%, y2%), 15, B
		LINE (x1% + 1, y1% + 1)-(x2% - 1, y1% + 1), 1
		LINE (x1% + 1, y1% + 2)-(x2% - 1, y1% + 2), 1
		LINE (x1% + 3, y1% + 5)-(x2% - 5, y1% + 5), 4
		LINE (x1% + 3, y1% + 7)-(x2% - 3, y1% + 7), 4
		LINE (x1% + 3, y1% + 9)-(x2% - 6, y1% + 9), 4
		LINE (x1% + 3, y1% + 11)-(x2% - 4, y1% + 11), 4
		LINE (x1% + 3, y1% + 13)-(x2% - 5, y1% + 13), 4
		LINE (x1% + 3, y1% + 15)-(x2% - 7, y1% + 15), 4
	CASE "COM"
		LINE (x1%, y1%)-(x2%, y2%), 15, B
		LINE (x1% + 1, y1% + 1)-(x2% - 1, y1% + 1), 1
		LINE (x1% + 1, y1% + 2)-(x2% - 1, y1% + 2), 1
		font "dos", x1% + 4, y1% + 7, 7
	CASE "EXE"
		LINE (x1%, y1%)-(x2%, y2%), 15, B
		LINE (x1% + 1, y1% + 1)-(x2% - 1, y1% + 1), 1
		LINE (x1% + 1, y1% + 2)-(x2% - 1, y1% + 2), 1
		LINE (x1% + 2, y1% + 4)-(x1% + 7, y2% - 2), 7, B
		LINE (x1% + 9, y1% + 4)-(x2% - 2, y1% + 8), 7, B
		LINE (x1% + 9, y1% + 10)-(x1% + 13, y2% - 2), 7, B
		LINE (x1% + 15, y1% + 10)-(x2% - 2, y2% - 2), 7, B

	CASE "SYS"
		LINE (x2% - 8, y1% - 1)-(x1% + 4, y1% - 1), 15
		LINE -(x1% + 4, y2% + 1), 15
		LINE -(x2% - 4, y2% + 1), 15
		LINE -(x2% - 4, y1% - 1 + 4), 15
		LINE -(x2% - 8, y1% - 1), 15
		LINE (x2% - 4, y1% - 1 + 4)-(x2% - 8, y1% - 1 + 4), 15
		LINE -(x2% - 8, y1% - 1), 15
		PAINT (x2% - 7, y1% - 1 + 3), 7, 15
		PAINT (x1% + 5, y1% - 1 + 5), 7, 15
		CALL un(x1% + 7, y1% - 1 + 1)
		CALL zero(x1% + 11, y1% - 1 + 1)
		CALL zero(x1% + 7, y1% - 1 + 7)
		CALL un(x1% + 11, y1% - 1 + 7)
		CALL zero(x1% + 15, y1% - 1 + 7)
		CALL zero(x1% + 7, y1% - 1 + 13)
		CALL un(x1% + 11, y1% - 1 + 13)
		CALL zero(x1% + 15, y1% - 1 + 13)
	CASE "ADI"
		y1% = y1% - 3
	       
		CIRCLE (x1% + 7, y1% + 18), 4, 9
		CIRCLE (x1% + 7, y1% + 18), 3.5, 9
		CIRCLE (x1% + 7, y1% + 18), 3, 9
		CIRCLE (x1% + 7, y1% + 18), 2.5, 9
		CIRCLE (x1% + 7, y1% + 18), 2, 9
		CIRCLE (x1% + 7, y1% + 18), 1.5, 9
		CIRCLE (x1% + 7, y1% + 18), 1, 9
		CIRCLE (x1% + 7, y1% + 18), .5, 9
		PSET (x1% + 6, y1% + 17), 9
		PSET (x1% + 6, y1% + 19), 9
		PSET (x1% + 8, y1% + 17), 9
		PSET (x1% + 8, y1% + 19), 9

		FOR a% = x1% + 8 TO x1% + 15
			LINE (a%, y1% + 4)-(a%, y1% + 11), 4
		NEXT a%

		lim1% = x1% + 9     '+1 pour aller vers la gauche
		lim2% = x1% + 26    '+1 pour aller vers la gauche

		FOR a% = y1% + 18 TO y1% + 12 STEP -1      'ici y1%+18 est le point le plus bas
			lim1% = lim1% + 1                'et y1%+12 le plus haut (segment
			lim2% = lim2% - 1                'gal  la hauteur * 2)
			LINE (lim1% + 1, a%)-(lim2% - 1 - 1, a%), 2
		NEXT a%
	CASE "TXT"
		LINE (x2% - 8, y1%)-(x1% + 4, y1%), 15
		LINE -(x1% + 4, y2%), 15
		LINE -(x2% - 4, y2%), 15
		LINE -(x2% - 4, y1% + 4), 15
		LINE -(x2% - 8, y1%), 15
		LINE (x2% - 4, y1% + 4)-(x2% - 8, y1% + 4), 15
		LINE -(x2% - 8, y1%), 15
		PAINT (x2% - 7, y1% + 3), 7, 15
		LINE (x1% + 6, y1% + 3)-(x1% + 13, y1% + 3), 7
		LINE (x1% + 6, y1% + 5)-(x1% + 11, y1% + 5), 7
		LINE (x1% + 6, y1% + 7)-(x1% + 16, y1% + 7), 7
		LINE (x1% + 6, y1% + 9)-(x1% + 13, y1% + 9), 7
		LINE (x1% + 6, y1% + 11)-(x1% + 14, y1% + 11), 7
		LINE (x1% + 6, y1% + 13)-(x1% + 12, y1% + 13), 7
		LINE (x1% + 6, y1% + 15)-(x1% + 15, y1% + 15), 7
       
	CASE ELSE
		LINE (x2% - 8, y1%)-(x1% + 4, y1%), 15
		LINE -(x1% + 4, y2%), 15
		LINE -(x2% - 4, y2%), 15
		LINE -(x2% - 4, y1% + 4), 15
		LINE -(x2% - 8, y1%), 15
		LINE (x2% - 4, y1% + 4)-(x2% - 8, y1% + 4), 15
		LINE -(x2% - 8, y1%), 15
		PAINT (x2% - 7, y1% + 3), 7, 15
		font "?", x1% + 9, y1% + 7, 4
END SELECT

IF fichier$ = "INSTALL" AND extention$ = "EXE" THEN
		LINE (x1%, y1%)-(x2%, y2%), 0, BF
		LINE (x2% - 7, y1%)-(x2% - 1, y1% + 5), 7, B
		PAINT (x2% - 3, y1% + 2), 1, 7
		PSET (x2% - 6, y1% + 1), 3
		PSET (x2% - 5, y1% + 1), 9
		PSET (x2% - 6, y1% + 2), 9
		PSET (x2% - 5, y1% + 2), 9
		PSET (x2% - 4, y1% + 1), 9
		PSET (x2% - 6, y1% + 3), 9
		LINE (x2% - 4, y1% + 6)-(x2% - 1, y1% + 6), 8
		LINE (x2% - 9, y1% + 7)-(x2% + 1, y1% + 10), 7, B
		LINE (x2% - 3, y1% + 8)-(x2% - 1, y1% + 8), 8
	       
		LINE (x2% - 7, y1% + 10)-(x2% - 9, y1% + 13), 7
		LINE (x2% - 2, y1% + 10)-(x2% + 1, y1% + 13), 7
		LINE -(x2% - 9, y1% + 13), 7
	       
		PAINT (x2% - 4, y1% + 11), 8, 7


END IF

END SUB

SUB IconeDossier (l%, c%)

LINE (l% + 1, c% + 18)-(l% + 1, c% + 38), 15
LINE (l% + 2, c% + 38)-(l% + 33, c% + 38), 7
LINE (l% + 3, c% + 40)-(l% + 33, c% + 40), 8
LINE (l% + 34, c% + 39)-(l% + 34, c% + 21), 8
LINE (l% + 33, c% + 39)-(l% + 33, c% + 19), 7
LINE (l% + 2, c% + 39)-(l% + 32, c% + 18), 14, BF
LINE (l% + 31, c% + 17)-(l% + 2, c% + 17), 15

'onglet
LINE (l% + 2, c% + 16)-(l% + 5, c% + 13), 15
LINE -(l% + 15, c% + 13), 7
LINE -(l% + 19, c% + 16), 8
LINE (l% + 3, c% + 16)-(l% + 17, c% + 16), 14
LINE (l% + 4, c% + 15)-(l% + 16, c% + 15), 14
LINE (l% + 5, c% + 14)-(l% + 15, c% + 14), 14

END SUB

SUB iconeProgramme (l%, c%)

LINE (l% + 1, c% + 10)-(l% + 34, c% + 10), 8
LINE -(l% + 34, c% + 40), 0
LINE -(l% + 1, c% + 40), 0
LINE -(l% + 1, c% + 10), 8
LINE (l% + 2, c% + 11)-(l% + 33, c% + 39), 7, B

LINE (l% + 3, c% + 12)-(l% + 32, c% + 16), 1, BF
LINE (l% + 3, c% + 18)-(l% + 32, c% + 38), 8, B
LINE (l% + 32, c% + 18)-(l% + 32, c% + 38), 7
LINE -(l% + 4, c% + 38), 7
LINE (l% + 4, c% + 19)-(l% + 31, c% + 37), 15, BF
LINE (l% + 3, c% + 17)-(l% + 32, c% + 17), 7

'boutons verts et rouges

FOR a% = l% + 21 TO l% + 29 STEP 4
	LINE (a%, c% + 13)-(a% + 1, c% + 14), 2, B
	LINE (a%, c% + 15)-(a% + 2, c% + 15), 8
	LINE -(a% + 2, c% + 13), 8
NEXT a%

LINE (l% + 5, c% + 13)-(l% + 6, c% + 14), 12, B
LINE (l% + 5, c% + 15)-(l% + 7, c% + 15), 8
LINE -(l% + 7, c% + 13), 8

END SUB

SUB iconeProgrammeApophis (l%, c%)
LINE (l% + 1, c% + 10)-(l% + 34, c% + 10), 8
LINE -(l% + 34, c% + 40), 0
LINE -(l% + 1, c% + 40), 0
LINE -(l% + 1, c% + 10), 8
LINE (l% + 2, c% + 11)-(l% + 33, c% + 39), 7, B

LINE (l% + 3, c% + 12)-(l% + 32, c% + 16), 1, BF
LINE (l% + 3, c% + 18)-(l% + 32, c% + 38), 8, B
LINE (l% + 32, c% + 18)-(l% + 32, c% + 38), 7
LINE -(l% + 4, c% + 38), 7
LINE (l% + 4, c% + 19)-(l% + 31, c% + 37), 15, BF
LINE (l% + 3, c% + 17)-(l% + 32, c% + 17), 7

'boutons verts et rouges

FOR a% = l% + 21 TO l% + 29 STEP 4
	LINE (a%, c% + 13)-(a% + 1, c% + 14), 2, B
	LINE (a%, c% + 15)-(a% + 2, c% + 15), 8
	LINE -(a% + 2, c% + 13), 8
NEXT a%

LINE (l% + 5, c% + 13)-(l% + 6, c% + 14), 12, B
LINE (l% + 5, c% + 15)-(l% + 7, c% + 15), 8
LINE -(l% + 7, c% + 13), 8

font "apo", l% + 10, c% + 21, 0
font "phis", l% + 7, c% + 29, 0







END SUB

DEFSNG A-Z
SUB iconeProgrammeDos (l%, c%)

LINE (l% + 1, c% + 10)-(l% + 34, c% + 10), 8
LINE -(l% + 34, c% + 40), 0
LINE -(l% + 1, c% + 40), 0
LINE -(l% + 1, c% + 10), 8
LINE (l% + 2, c% + 11)-(l% + 33, c% + 39), 7, B

LINE (l% + 3, c% + 12)-(l% + 32, c% + 16), 1, BF
LINE (l% + 3, c% + 18)-(l% + 32, c% + 38), 8, B
LINE (l% + 32, c% + 18)-(l% + 32, c% + 38), 7
LINE -(l% + 4, c% + 38), 7
LINE (l% + 4, c% + 19)-(l% + 31, c% + 37), 15, BF
LINE (l% + 3, c% + 17)-(l% + 32, c% + 17), 7

'boutons verts et rouges

FOR a% = l% + 21 TO l% + 29 STEP 4
	LINE (a%, c% + 13)-(a% + 1, c% + 14), 2, B
	LINE (a%, c% + 15)-(a% + 2, c% + 15), 8
	LINE -(a% + 2, c% + 13), 8
NEXT a%

LINE (l% + 5, c% + 13)-(l% + 6, c% + 14), 12, B
LINE (l% + 5, c% + 15)-(l% + 7, c% + 15), 8
LINE -(l% + 7, c% + 13), 8

font "DOS", l% + 9, c% + 25, 0



END SUB

DEFINT A-Z
SUB iconeTexte (l, c)

LINE (l + 3, c + 16)-(l + 30, c + 40), 15, BF
LINE (l + 3, c + 7)-(l + 3, c + 40), 8
LINE (l + 4, c + 7)-(l + 4, c + 40), 7
LINE (l + 3, c + 40)-(l + 30, c + 40), 8
LINE (l + 4, c + 39)-(l + 30, c + 39), 7
LINE (l + 5, c + 7)-(l + 22, c + 16), 15, BF


LINE (l + 23, c + 8)-(l + 30, c + 17), 15
LINE (l + 23, c + 9)-(l + 30, c + 17), 15
LINE (l + 23, c + 10)-(l + 30, c + 18), 15
LINE (l + 23, c + 11)-(l + 30, c + 19), 15
LINE (l + 23, c + 12)-(l + 28, c + 25), 15, BF

LINE (l + 23, c + 8)-(l + 23, c + 14), 8
LINE -(l + 30, c + 14), 8

LINE (l + 23, c + 7)-(l + 30, c + 15), 8
LINE (l + 30, c + 15)-(l + 30, c + 40), 8

LINE (l + 4, c + 7)-(l + 23, c + 7), 8

LINE (l + 7, c + 12)-(l + 15, c + 12), 0
LINE (l + 7, c + 14)-(l + 15, c + 14), 0
LINE (l + 15, c + 18)-(l + 19, c + 18), 0
LINE (l + 7, c + 21)-(l + 24, c + 21), 0
LINE (l + 7, c + 24)-(l + 27, c + 24), 0
LINE (l + 7, c + 27)-(l + 25, c + 27), 0
LINE (l + 7, c + 30)-(l + 26, c + 30), 0
LINE (l + 7, c + 33)-(l + 23, c + 33), 0

END SUB

DEFSNG A-Z
FUNCTION initMouse
'-----------------------------------------
'|                                       |
'| initialise la souris                  |
'|    + TRUE si une souris est dtecte  |
'|    + FALSE si aucune souris dtecte  |
'|                                       |
'-----------------------------------------
DEF SEG = SegAsm%
ax% = 0
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
IF ax% = 0 THEN initMouse = False ELSE initMouse = True
DEF SEG
END FUNCTION

SUB MoveMouse (x%, y%)
'-----------------------------------
'|                                 |
'| Dplace le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 4
cx% = x%
dx% = y%
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

DEFINT A-Z
FUNCTION onClick! (x1%, y1%, x2%, y2%)
       
	mousex% = GetMouseX + 1
	mousey% = GetMouseY + 1

	IF mousex% > x1% AND mousex% < x2% AND mousey% > y1% AND mousey% < y2% THEN onClick = True ELSE onClick = False

END FUNCTION

SUB petitDossier (x, y)

LINE (x + 1, y)-(x + 3, y), 8
LINE (x + 4, y + 1)-(x + 8, y + 1), 8
LINE (x, y + 1)-(x, y + 6), 8
LINE (x + 1, y + 7)-(x + 8, y + 7), 8
LINE (x + 9, y + 6)-(x + 9, y + 2), 8

LINE (x + 1, y + 1)-(x + 3, y + 1), 15
LINE (x + 1, y + 2)-(x + 7, y + 5), 14, BF

LINE (x + 8, y + 2)-(x + 8, y + 6), 7
LINE -(x + 1, y + 6), 7

END SUB

SUB petitInfo (x%, y%)

LINE (x% + 3, y%)-(x% + 6, y%), 7

LINE (x% + 2, y% + 1)-(x% + 3, y% + 1), 7
LINE (x% + 6, y% + 1)-(x% + 7, y% + 1), 7

LINE (x% + 1, y% + 2)-(x% + 3, y% + 2), 7
LINE (x% + 6, y% + 2)-(x% + 8, y% + 2), 7

LINE (x%, y% + 3)-(x% + 9, y% + 3), 7

LINE (x%, y% + 4)-(x% + 3, y% + 6), 7, BF
LINE (x% + 6, y% + 4)-(x% + 9, y% + 6), 7, BF

LINE (x% + 1, y% + 7)-(x% + 2, y% + 7), 7
LINE (x% + 7, y% + 7)-(x% + 8, y% + 7), 7

LINE (x% + 2, y% + 8)-(x% + 7, y% + 8), 7

LINE (x% + 3, y% + 9)-(x% + 6, y% + 9), 7

END SUB

DEFSNG A-Z
SUB ShowMouse
'-----------------------------------
'|                                 |
'| Affiche le curseur de la souris |
'|                                 |
'-----------------------------------
DEF SEG = SegAsm%
ax% = 1
CALL ABSOLUTE(ax%, bx%, cx%, dx%, OffAsm%)
DEF SEG
END SUB

SUB TestSouris

	COLOR 7
       
	DO
	
	  mousex% = GetMouseX + 1
	  mousey% = GetMouseY + 1
	
	  LOCATE 1, 10
	  PRINT mousex%
	  LOCATE 1, 20
	  PRINT mousey%

	LOOP WHILE INKEY$ = ""

	END

END SUB

SUB un (l%, c%)

PSET (l% + 1, c% + 1), 0
PSET (l%, c% + 2), 0
PSET (l% + 1, c% + 2), 0
PSET (l% + 1, c% + 3), 0
PSET (l% + 1, c% + 4), 0
PSET (l% + 1, c% + 5), 0
PSET (l%, c% + 5), 0
PSET (l% + 2, c% + 5), 0

END SUB

SUB zero (l%, c%)

PSET (l% + 1, c% + 1), 0
PSET (l%, c% + 2), 0
PSET (l%, c% + 3), 0
PSET (l%, c% + 4), 0
PSET (l% + 1, c% + 5), 0
PSET (l% + 2, c% + 2), 0
PSET (l% + 2, c% + 4), 0
PSET (l% + 2, c% + 3), 0

END SUB

DEFINT A-Z
SUB zoneIcones (x1, y1, x2, y2)

	LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 15, BF
 
	LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 8, B

	LINE (x2 + 1, y1 - 1)-(x1 - 1, y1 - 1), 0
	LINE -(x1 - 1, y2 + 1), 0

END SUB

SUB zoneTexte (x1%, y1%, x2%, y2%)

	LINE (x1% - 1, y1% - 1)-(x2% + 1, y2% + 1), 0, BF
    
	LINE (x1%, y1%)-(x2%, y1%), 8
	LINE -(x2%, y2%), 7
	LINE -(x1%, y2%), 7
	LINE -(x1%, y1%), 8

	LINE (x1% - 1, y1% - 1)-(x2% + 1, y1% - 1), 7
	LINE (x2% + 1, y1%)-(x2% + 1, y2% + 1), 15
	LINE -(x1% - 1, y2% + 1), 15
	LINE -(x1% - 1, y1% - 1), 7

END SUB

